(TeX-add-style-hook
 "adigraph"
 (lambda ()
   (TeX-run-style-hooks
    "etoolbox"
    "fp"
    "xparse"
    "xstring"
    "tikz")
   (TeX-add-symbols
    '("AdigraphRom" 1)
    "myedgecounter"
    "nodesNumber"
    "radius"
    "myi"
    "myn"
    "mydpi"
    "AdigraphVersionNumber"
    "AdigraphZero"
    "AdigraphTextualZero"
    "AdigraphDefaultColor"
    "AdigraphDefaultWidth"
    "AdigraphRed"
    "AdigraphCyan"
    "AdigraphTwinEdgeWeight"
    "mySinSum"
    "myCosSum"
    "AdigraphNodeName"
    "AdigraphWeightA"
    "AdigraphWeightB"
    "AdigraphForwardPathColor"
    "AdigraphBackwardPathColor"
    "AdigraphForwardPathWidth"
    "AdigraphBackwardPathWidth"
    "AdigraphCurrentNode"
    "AdigraphLastParsedNode"
    "AdigraphTempList"
    "AdigraphCurrentElaboratingEdge"
    "AdigraphFirstNode"
    "AdigraphSecondNode"
    "AdigraphNodeList"
    "AdigraphEdgeList")
   (LaTeX-add-environments
    '("acronym" LaTeX-env-args ["argument"] 0))
   (LaTeX-add-counters
    "AdigraphTotalNodeCounter"
    "AdigraphCurrentNodeCounter"
    "AdigraphNumberOfPaths"
    "AdigraphCurrentPathNumber"
    "AdigraphAdjacentNodes"))
 :latex)

