(TeX-add-style-hook
 "adjustbox"
 (lambda ()
   (TeX-run-style-hooks
    "xkeyval"
    "adjcalc"
    "pgf"
    "calc"
    "trimclip"
    "graphicx"
    "collectbox"
    "ifoddpage"
    "varwidth")
   (TeX-add-symbols
    '("stackbox" ["argument"] 0)
    '("lapbox" ["argument"] 1)
    '("textarearightalignbox" ["argument"] 0)
    '("textarealeftalignbox" ["argument"] 0)
    '("pagerightalignbox" ["argument"] 0)
    '("pageleftalignbox" ["argument"] 0)
    '("textareacenterbox" ["argument"] 0)
    '("pagecenterbox" ["argument"] 0)
    '("innersidebox" ["argument"] 0)
    '("outersidebox" ["argument"] 0)
    '("rightalignbox" ["argument"] 0)
    '("leftalignbox" ["argument"] 0)
    '("centerbox" ["argument"] 0)
    '("adjincludegraphics" ["argument"] 1)
    '("splitbox" 2)
    '("phantombox" 3)
    '("adjustimage" 2)
    "adjustboxset"
    "newadjustboxenv"
    "renewadjustboxenv"
    "provideadjustboxenv"
    "declareadjustboxenv"
    "newadjustboxcmd"
    "renewadjustboxcmd"
    "provideadjustboxcmd"
    "declareadjustboxcmd"
    "newadjustimage"
    "renewadjustimage"
    "provideadjustimage"
    "declareadjustimage"
    "NewAdjustImage"
    "RenewAdjustImage"
    "ProvideAdjustImage"
    "DeclareAdjustImage"
    "newadjustboxkey"
    "renewadjustboxkey"
    "provideadjustboxkey"
    "defadjustboxkey"
    "rndcornersbox"
    "rndframebox"
    "rndfbox"
    "pageinnerbox"
    "pageouterbox"
    "textareainnerbox"
    "textareaouterbox"
    "minsizebox"
    "maxsizebox"
    "adjbox"
    "bgcolorbox"
    "fgimagebox"
    "bgimagebox"
    "foregroundbox"
    "backgroundbox"
    "splitboxnewline"
    "splitboxlastnewline"
    "pagebreakbox"
    "pagebreakboxoffset"
    "includegraphics"
    "Width"
    "Height"
    "Depth"
    "Totalheight"
    "smallestside"
    "largestside"
    "Smallestside"
    "Largestside"
    "pwidth"
    "pheight"
    "pdepth"
    "ptotalheight"
    "IMAGEFILENAME"
    "checkoddpage"
    "adjboxvtop"
    "adjboxvcenter"
    "adjboxvbottom"
    "setlength"
    "splitboxcmd")
   (LaTeX-add-labels
    "#1")
   (LaTeX-add-environments
    '("acronym" LaTeX-env-args ["argument"] 0)
    '("adjnofloat" 1)))
 :latex)

