(TeX-add-style-hook
 "authorarchive"
 (lambda ()
   (TeX-add-to-alist 'LaTeX-provided-package-options
                     '(("enumitem" "inline")))
   (TeX-run-style-hooks
    "ifthen"
    "enumitem"
    "graphicx"
    "eso-pic"
    "intopdf"
    "kvoptions"
    "hyperref"
    "calc"
    "qrcode"
    "dtk-logos"
    "lastpage")
   (TeX-add-symbols
    '("authorwidth" 1)
    '("authorat" 1)
    "authorcrfont"
    "authorsetup")
   (LaTeX-add-environments
    '("acronym" LaTeX-env-args ["argument"] 0)
    '("axiomlist" LaTeX-env-args ["argument"] 1)
    '("function" LaTeX-env-args ["argument"] 0)
    '("procedure" LaTeX-env-args ["argument"] 0)
    '("algorithmic" LaTeX-env-args ["argument"] 0)
    '("proof" LaTeX-env-args ["argument"] 0)
    '("gathered" LaTeX-env-args ["argument"] 0)
    '("alignedat" LaTeX-env-args ["argument"] 1)
    '("animateinline" LaTeX-env-args ["argument"] 1)
    '("AsciiDocList" LaTeX-env-args ["argument"] 0)
    '("AsciiList" LaTeX-env-args ["argument"] 1))
   (LaTeX-add-lengths
    "AA")
   (LaTeX-add-saveboxes
    "AA"))
 :latex)

