(TeX-add-style-hook
 "bankstatement"
 (lambda ()
   (TeX-add-to-alist 'LaTeX-provided-package-options
                     '(("geometry" "left=\\STM@JK@left" "right=\\STM@JK@right" "top=\\STM@JK@top" "bottom=\\STM@JK@bottom")))
   (TeX-run-style-hooks
    "latex2e"
    "xkeyval"
    "xkvltxp"
    "article"
    "art10"
    "geometry"
    "longtable"
    "tabularx"
    "xcolor"
    "graphicx"
    "booktabs"
    "datatool"
    "calc"
    "ifthen"
    "siunitx")
   (TeX-add-symbols
    '("bankstatement" ["argument"] 1)
    "STM")
   (LaTeX-add-environments
    '("acronym" LaTeX-env-args ["argument"] 0)
    '("axiomlist" LaTeX-env-args ["argument"] 1)
    '("function" LaTeX-env-args ["argument"] 0)
    '("procedure" LaTeX-env-args ["argument"] 0)
    '("algorithmic" LaTeX-env-args ["argument"] 0)
    '("proof" LaTeX-env-args ["argument"] 0)
    '("gathered" LaTeX-env-args ["argument"] 0)
    '("alignedat" LaTeX-env-args ["argument"] 1)
    '("animateinline" LaTeX-env-args ["argument"] 1)
    '("AsciiDocList" LaTeX-env-args ["argument"] 0)
    '("AsciiList" LaTeX-env-args ["argument"] 1)))
 :latex)

