(TeX-add-style-hook
 "beamerbasesection"
 (lambda ()
   (TeX-add-symbols
    "beamer"
    "insertlecturenumber"
    "insertlecture"
    "insertshortlecture"
    "insertpart"
    "partlinkshort"
    "sectionname"
    "secname"
    "lastsection"
    "insertsection"
    "insertsectionhead"
    "insertsectionnumber"
    "breakhere"
    "subsectionname"
    "subsecname"
    "insertsubsection"
    "insertsubsectionnumber"
    "insertsubsectionhead"
    "lastsubsection"
    "subsubsecname"
    "lastsubsubsection"
    "insertsubsubsection"
    "insertsubsubsectionnumber"
    "insertsubsubsectionhead"
    "appendix"
    "insertappendixframenumber"
    "insertframenumberinappendix")
   (LaTeX-add-environments
    '("acronym" LaTeX-env-args ["argument"] 0)
    '("axiomlist" LaTeX-env-args ["argument"] 1)
    '("function" LaTeX-env-args ["argument"] 0)
    '("procedure" LaTeX-env-args ["argument"] 0)
    '("algorithmic" LaTeX-env-args ["argument"] 0)
    '("proof" LaTeX-env-args ["argument"] 0)
    '("gathered" LaTeX-env-args ["argument"] 0)
    '("alignedat" LaTeX-env-args ["argument"] 1)
    '("animateinline" LaTeX-env-args ["argument"] 1)
    '("AsciiDocList" LaTeX-env-args ["argument"] 0)
    '("AsciiList" LaTeX-env-args ["argument"] 1)
    '("decl" LaTeX-env-args ["argument"] 0)
    '("bchart" LaTeX-env-args ["argument"] 0)
    '("beamercolorbox" LaTeX-env-args ["argument"] 1)
    '("pauses" LaTeX-env-args ["argument"] 0)
    '("table" LaTeX-env-args ["argument"] 0)
    '("figure" LaTeX-env-args ["argument"] 0)
    '("overprint" LaTeX-env-args ["argument"] 0))
   (LaTeX-add-counters
    "lecture"
    "part"
    "section"
    "subsection"
    "subsubsection"))
 :latex)

