(TeX-add-style-hook
 "begriff-bguq"
 (lambda ()
   (TeX-run-style-hooks
    "ifthen")
   (TeX-add-symbols
    '("BGall" 1)
    '("BGneg" 0)
    '("BGifb" 2)
    '("BGifc" 2)
    '("BGifp" 2)
    '("BGif" 2)
    '("BGquant" 1)
    '("BGnot" 0)
    '("BGcontent" 0)
    '("BGassert" 0)
    '("BGconditional" 2)
    '("BGstem" 1)
    '("BGterm" 1)
    '("BGbracket" 1)
    "quanttype")
   (LaTeX-add-environments
    '("acronym" LaTeX-env-args ["argument"] 0)
    '("axiomlist" LaTeX-env-args ["argument"] 1)
    '("function" LaTeX-env-args ["argument"] 0)
    '("procedure" LaTeX-env-args ["argument"] 0)
    '("algorithmic" LaTeX-env-args ["argument"] 0)
    '("proof" LaTeX-env-args ["argument"] 0)
    '("gathered" LaTeX-env-args ["argument"] 0)
    '("alignedat" LaTeX-env-args ["argument"] 1)
    '("animateinline" LaTeX-env-args ["argument"] 1)
    '("AsciiDocList" LaTeX-env-args ["argument"] 0)
    '("AsciiList" LaTeX-env-args ["argument"] 1)
    '("decl" LaTeX-env-args ["argument"] 0)
    '("bchart" LaTeX-env-args ["argument"] 0)
    '("beamercolorbox" LaTeX-env-args ["argument"] 1)
    '("pauses" LaTeX-env-args ["argument"] 0)
    '("table" LaTeX-env-args ["argument"] 0)
    '("figure" LaTeX-env-args ["argument"] 0)
    '("overprint" LaTeX-env-args ["argument"] 0)
    '("enumstep" LaTeX-env-args ["argument"] 0)
    '("itemstep" LaTeX-env-args ["argument"] 0)
    '("slide" LaTeX-env-args ["argument"] 1)
    '("slide" LaTeX-env-args ["argument"] 0))
   (LaTeX-add-lengths
    "BGthickness"
    "BGafterlen"
    "BGbeforelen"
    "BGspace"
    "BGlinewidth"))
 :latex)

