(TeX-add-style-hook
 "bookshelf"
 (lambda ()
   (TeX-add-to-alist 'LaTeX-provided-package-options
                     '(("geometry" "\\SIL@paper" "\\SIL@orient" "nohead" "nofoot" "margin=1cm") ("biblatex" "backend=biber" "style=authoryear" "doi=true" "isbn=true" "url=true" "uniquename=false")))
   (TeX-run-style-hooks
    "latex2e"
    "random"
    "pickfont"
    "svgnam"
    "fix-cm"
    "report"
    "rep10"
    "fontspec"
    "calc"
    "fp"
    "graphicx"
    "xcolor"
    "eso-pic"
    "geometry"
    "biblatex")
   (TeX-add-symbols
    '("makebook" 1)
    '("T" 2)
    "citeA"
    "titleref"
    "emdash")
   (LaTeX-add-environments
    '("acronym" LaTeX-env-args ["argument"] 0)
    '("axiomlist" LaTeX-env-args ["argument"] 1)
    '("function" LaTeX-env-args ["argument"] 0)
    '("procedure" LaTeX-env-args ["argument"] 0)
    '("algorithmic" LaTeX-env-args ["argument"] 0)
    '("proof" LaTeX-env-args ["argument"] 0)
    '("gathered" LaTeX-env-args ["argument"] 0)
    '("alignedat" LaTeX-env-args ["argument"] 1)
    '("animateinline" LaTeX-env-args ["argument"] 1)
    '("AsciiDocList" LaTeX-env-args ["argument"] 0)
    '("AsciiList" LaTeX-env-args ["argument"] 1)
    '("decl" LaTeX-env-args ["argument"] 0)
    '("bchart" LaTeX-env-args ["argument"] 0)
    '("beamercolorbox" LaTeX-env-args ["argument"] 1)
    '("pauses" LaTeX-env-args ["argument"] 0)
    '("table" LaTeX-env-args ["argument"] 0)
    '("figure" LaTeX-env-args ["argument"] 0)
    '("overprint" LaTeX-env-args ["argument"] 0)
    '("enumstep" LaTeX-env-args ["argument"] 0)
    '("itemstep" LaTeX-env-args ["argument"] 0)
    '("slide" LaTeX-env-args ["argument"] 1)
    '("slide" LaTeX-env-args ["argument"] 0)
    '("blochsphere" LaTeX-env-args ["argument"] 0)
    '("bondgraph" LaTeX-env-args ["argument"] 0))
   (LaTeX-add-lengths
    "SIL"))
 :latex)

