(TeX-add-style-hook
 "caption"
 (lambda ()
   (TeX-run-style-hooks
    "caption3"
    "ltcaption")
   (TeX-add-symbols
    '("piccaptiontype" 1)
    '("memcaptioninfo" 4)
    "M"
    "setcaptionsubtype"
    "string"
    "captionbox"
    "flushsubcaptionlistentries"
    "float"
    "ext"
    "LTcaptype"
    "SC"
    "captionfont"
    "AtCaptionPackage"
    "setcaptiontype"
    "captionof"
    "thecontinuedfloat"
    "theContinuedFloat"
    "ContinuedFloat"
    "stepcounter"
    "phantomcaption"
    "index"
    "glossary"
    "noexpand"
    "chapter"
    "appendix"
    "floatingfigure"
    "floatingtable"
    "capstart"
    "captionsetup"
    "captionlistentry"
    "continuedfloat"
    "bicaption"
    "figwindow"
    "tabwindow"
    "piccaption"
    "ivparpic"
    "noindent"
    "piccaptiontype"
    "rotcaption"
    "rotcaptionof"
    "label"
    "AfterCaptionPackage")
   (LaTeX-add-environments
    '("acronym" LaTeX-env-args ["argument"] 0)
    '("axiomlist" LaTeX-env-args ["argument"] 1)
    '("function" LaTeX-env-args ["argument"] 0)
    '("procedure" LaTeX-env-args ["argument"] 0)
    '("algorithmic" LaTeX-env-args ["argument"] 0)
    '("proof" LaTeX-env-args ["argument"] 0)
    '("gathered" LaTeX-env-args ["argument"] 0)
    '("alignedat" LaTeX-env-args ["argument"] 1)
    '("animateinline" LaTeX-env-args ["argument"] 1)
    '("AsciiDocList" LaTeX-env-args ["argument"] 0)
    '("AsciiList" LaTeX-env-args ["argument"] 1)
    '("decl" LaTeX-env-args ["argument"] 0)
    '("bchart" LaTeX-env-args ["argument"] 0)
    '("beamercolorbox" LaTeX-env-args ["argument"] 1)
    '("pauses" LaTeX-env-args ["argument"] 0)
    '("table" LaTeX-env-args ["argument"] 0)
    '("figure" LaTeX-env-args ["argument"] 0)
    '("overprint" LaTeX-env-args ["argument"] 0)
    '("enumstep" LaTeX-env-args ["argument"] 0)
    '("itemstep" LaTeX-env-args ["argument"] 0)
    '("slide" LaTeX-env-args ["argument"] 1)
    '("slide" LaTeX-env-args ["argument"] 0)
    '("blochsphere" LaTeX-env-args ["argument"] 0)
    '("bondgraph" LaTeX-env-args ["argument"] 0)
    '("xcalctab" LaTeX-env-args ["argument"] 0)
    '("calctab" LaTeX-env-args ["argument"] 0)
    '("calstable" LaTeX-env-args ["argument"] 0))
   (LaTeX-add-counters
    "continuedfloat")
   (LaTeX-add-caption-DeclareCaptions
    '("\\DeclareCaptionOption{position}" "Option" "position")
    '("\\DeclareCaptionOption*{config}" "Option" "config")
    '("\\DeclareCaptionOption{list-entry}" "Option" "list-entry")
    '("\\DeclareCaptionOption{parboxrestore}" "Option" "parboxrestore")
    '("\\DeclareCaptionOption{@minipage}" "Option" "@minipage")
    '("\\DeclareCaptionOption{compatibility}" "Option" "compatibility")
    '("\\DeclareCaptionOption*{caption}" "Option" "caption")
    '("\\DeclareCaptionOption{FPlist}" "Option" "FPlist")
    '("\\DeclareCaptionOption{FPref}" "Option" "FPref")
    '("\\DeclareCaptionOption{hypcap}" "Option" "hypcap")
    '("\\DeclareCaptionOption{hypcapspace}" "Option" "hypcapspace")
    '("\\DeclareCaptionOption{type}" "Option" "type")
    '("\\DeclareCaptionOption{type*}" "Option" "type*")
    '("\\DeclareCaptionStyle{ruled}" "Style" "ruled")))
 :latex)

