(TeX-add-style-hook
 "catechis"
 (lambda ()
   (TeX-run-style-hooks
    "paralist")
   (TeX-add-symbols
    "catquesnumsty"
    "catquessty"
    "catanssty"
    "catques"
    "catcommsty"
    "catcomment"
    "catexplicsty"
    "catexplic"
    "restoreindents"
    "catcitetitlesty"
    "catcitetitleword"
    "catcitetitle"
    "catcitesty"
    "catsrcsty"
    "catcite"
    "scripture")
   (LaTeX-add-environments
    "catcitations"
    '("acronym" LaTeX-env-args ["argument"] 0)
    '("axiomlist" LaTeX-env-args ["argument"] 1)
    '("function" LaTeX-env-args ["argument"] 0)
    '("procedure" LaTeX-env-args ["argument"] 0)
    '("algorithmic" LaTeX-env-args ["argument"] 0)
    '("proof" LaTeX-env-args ["argument"] 0)
    '("gathered" LaTeX-env-args ["argument"] 0)
    '("alignedat" LaTeX-env-args ["argument"] 1)
    '("animateinline" LaTeX-env-args ["argument"] 1)
    '("AsciiDocList" LaTeX-env-args ["argument"] 0)
    '("AsciiList" LaTeX-env-args ["argument"] 1)
    '("decl" LaTeX-env-args ["argument"] 0)
    '("bchart" LaTeX-env-args ["argument"] 0)
    '("beamercolorbox" LaTeX-env-args ["argument"] 1)
    '("pauses" LaTeX-env-args ["argument"] 0)
    '("table" LaTeX-env-args ["argument"] 0)
    '("figure" LaTeX-env-args ["argument"] 0)
    '("overprint" LaTeX-env-args ["argument"] 0)
    '("enumstep" LaTeX-env-args ["argument"] 0)
    '("itemstep" LaTeX-env-args ["argument"] 0)
    '("slide" LaTeX-env-args ["argument"] 1)
    '("slide" LaTeX-env-args ["argument"] 0)
    '("blochsphere" LaTeX-env-args ["argument"] 0)
    '("bondgraph" LaTeX-env-args ["argument"] 0)
    '("xcalctab" LaTeX-env-args ["argument"] 0)
    '("calctab" LaTeX-env-args ["argument"] 0)
    '("calstable" LaTeX-env-args ["argument"] 0))
   (LaTeX-add-counters
    "catquesnum")
   (LaTeX-add-lengths
    "catquesindent"
    "catqueshindent"
    "catansindent"
    "catanshindent"
    "catquesnumwd"
    "commindent"
    "commhindent"
    "explicindent"
    "explichindent"
    "catcitationbefskip"
    "catcitationaftskip"
    "catciteindent"
    "catcitehindent"
    "catsrcindent"
    "catsrchindent"))
 :latex)

