(TeX-add-style-hook
 "crossreftools"
 (lambda ()
   (TeX-add-symbols
    '("crtcrefifundefinedlabel" 3)
    '("crtcrefifdefinedlabel" 3)
    '("crtifundefinedlabel" 3)
    '("crtifdefinedlabel" 3)
    '("crtprovidecurrentlabelinfo" 2)
    '("crtprovidecurrentlabel" 1)
    '("crtprovidecurrentlabelname" 1)
    '("crtpostlabelhook" 1)
    '("crtprelabelhook" 1)
    '("crtaddlabeltotoc" 1)
    '("crtlistoflabelsfileextension" 1)
    '("crtlistoflabelsstructurelevel" 1)
    '("crthyperCref" 1)
    '("crthypercref" 1)
    '("crthyperlink" 2)
    '("crtrefcounter" 1)
    '("crtrefname" 1)
    '("crtrefanchor" 1)
    '("crtrefpage" 1)
    '("crtrefnumber" 1)
    '("crtextractref" 2)
    '("crtCref" 1)
    '("crtcref" 1)
    '("crtcrefcountervalue" 1)
    '("crtcrefpage" 1)
    '("crtcrefreference" 1)
    '("crtcrefresult" 1)
    '("crtcrefnumber" 1)
    '("crtcrefcounter" 1)
    '("crtextractcref" 2)
    '("crtCrefnamebylabel" 1)
    '("crtcrefnamebylabel" 1)
    '("crtCrefname" 1)
    '("crtCrefpluralname" 1)
    '("crtcrefpluralname" 1)
    '("crtcrefname" 1)
    '("crtcrefundefinedcountervalue" 1)
    '("crtrefundefinedtext" 1)
    "crt"
    "listoflabelsname"
    "listoflabelstructurelevel"
    "crtlistoflabels"
    "crtcrossreflabel"
    "crtlnameref"
    "crtunameref"
    "crtnameref"
    "l"
    "crossreftoolspackageversion")
   (LaTeX-add-labels
    "#1")
   (LaTeX-add-environments
    '("acronym" LaTeX-env-args ["argument"] 0)
    '("axiomlist" LaTeX-env-args ["argument"] 1)
    '("function" LaTeX-env-args ["argument"] 0)
    '("procedure" LaTeX-env-args ["argument"] 0)
    '("algorithmic" LaTeX-env-args ["argument"] 0)
    '("proof" LaTeX-env-args ["argument"] 0)
    '("gathered" LaTeX-env-args ["argument"] 0)
    '("alignedat" LaTeX-env-args ["argument"] 1)
    '("animateinline" LaTeX-env-args ["argument"] 1)
    '("AsciiDocList" LaTeX-env-args ["argument"] 0)
    '("AsciiList" LaTeX-env-args ["argument"] 1)
    '("decl" LaTeX-env-args ["argument"] 0)
    '("bchart" LaTeX-env-args ["argument"] 0)
    '("beamercolorbox" LaTeX-env-args ["argument"] 1)
    '("pauses" LaTeX-env-args ["argument"] 0)
    '("table" LaTeX-env-args ["argument"] 0)
    '("figure" LaTeX-env-args ["argument"] 0)
    '("overprint" LaTeX-env-args ["argument"] 0)
    '("enumstep" LaTeX-env-args ["argument"] 0)
    '("itemstep" LaTeX-env-args ["argument"] 0)
    '("slide" LaTeX-env-args ["argument"] 1)
    '("slide" LaTeX-env-args ["argument"] 0)
    '("blochsphere" LaTeX-env-args ["argument"] 0)
    '("bondgraph" LaTeX-env-args ["argument"] 0)
    '("xcalctab" LaTeX-env-args ["argument"] 0)
    '("calctab" LaTeX-env-args ["argument"] 0)
    '("calstable" LaTeX-env-args ["argument"] 0)
    '("baseenclosures" LaTeX-env-args ["argument"] 1)
    '("enclosures" LaTeX-env-args ["argument"] 0)
    '("adjustwidth" LaTeX-env-args ["argument"] 2)
    '("CJK" LaTeX-env-args ["argument"] 2)
    '("colorstrip" LaTeX-env-args ["argument"] 1)
    '("cnltxquote" LaTeX-env-args ["argument"] 0)
    '("papers" LaTeX-env-args ["argument"] 0)
    '("administrivia" LaTeX-env-args ["argument"] 0)
    '("tutorials" LaTeX-env-args ["argument"] 0)
    '("assignments" LaTeX-env-args ["argument"] 0)
    '("schedule" LaTeX-env-args ["argument"] 0)
    '("evaluation" LaTeX-env-args ["argument"] 0)
    '("introduction" LaTeX-env-args ["argument"] 0)
    '("textbooks" LaTeX-env-args ["argument"] 0)))
 :latex)

