(TeX-add-style-hook
 "glossaries-extra-bib2gls"
 (lambda ()
   (TeX-add-symbols
    '("printunsrtabbreviations" ["argument"] 0)
    '("printunsrtnumbers" ["argument"] 0)
    '("printunsrtsymbols" ["argument"] 0)
    '("printunsrtindex" ["argument"] 0)
    '("printunsrtacronyms" ["argument"] 0)
    '("glsxtrifinlabelprefixlist" 3)
    '("glsxtrprependlabelprefix" 1)
    '("glsxtraddlabelprefix" 1)
    '("glsxtrSetWidestFallback" 2)
    '("glsxtrSetWidest" 3)
    '("glsxtrfmtexternalnameref" 4)
    '("glsxtrfmtinternalnameref" 3)
    '("glsxtrnameloclink" 6)
    '("glsxtrnamereflink" 4)
    '("glsxtrequationlocfmt" 2)
    '("glsxtrdisplaylocnameref" 8)
    '("glsxtrdisplaysupploc" 5)
    '("glsxtrmultisupplocation" 3)
    '("GlsXtrDualBackLink" 2)
    '("GlsXtrIndexCounterLink" 2)
    '("GlsXtrIfHasNonZeroChildCount" 3)
    "glshex"
    "glscapturedgroup"
    "glsxtrprovidecommand"
    "glsrenewcommand"
    "glsxtr"
    "GlsXtrDualField"
    "GlsXtrBibTeXEntryAliases"
    "GlsXtrProvideBibTeXFields"
    "glsxtrclearlabelprefixes"
    "string"
    "Alpha"
    "Beta"
    "Epsilon"
    "Zeta"
    "Eta"
    "Iota"
    "Kappa"
    "Mu"
    "Nu"
    "Omicron"
    "Rho"
    "Tau"
    "Chi"
    "Digamma"
    "omicron"
    "Upalpha"
    "Upbeta"
    "Upepsilon"
    "Upzeta"
    "Upeta"
    "Upiota"
    "Upkappa"
    "Upmu"
    "Upnu"
    "Upomicron"
    "Uprho"
    "Uptau"
    "Upchi"
    "upomicron"
    "glsxtrcontrolrules"
    "glsxtrspacerules"
    "glsxtrnonprintablerules"
    "glsxtrcombiningdiacriticrules"
    "glsxtrcombiningdiacriticIrules"
    "glsxtrcombiningdiacriticIIrules"
    "glsxtrcombiningdiacriticIIIrules"
    "glsxtrcombiningdiacriticIVrules"
    "glsxtrhyphenrules"
    "glsxtrgeneralpuncrules"
    "glsxtrgeneralpuncIrules"
    "glsxtrcurrencyrules"
    "glsxtrgeneralpuncIIrules"
    "glsxtrGeneralLatinIrules"
    "glsxtrGeneralLatinIIrules"
    "glsxtrGeneralLatinIIIrules"
    "glsxtrGeneralLatinIVrules"
    "glsxtrGeneralLatinVrules"
    "glsxtrGeneralLatinVIrules"
    "glsxtrGeneralLatinVIIrules"
    "glsxtrGeneralLatinVIIIrules"
    "glsxtrLatinA"
    "glsxtrLatinE"
    "glsxtrLatinH"
    "glsxtrLatinI"
    "glsxtrLatinK"
    "glsxtrLatinL"
    "glsxtrLatinM"
    "glsxtrLatinN"
    "glsxtrLatinO"
    "glsxtrLatinP"
    "glsxtrLatinS"
    "glsxtrLatinT"
    "glsxtrLatinX"
    "glsxtrLatinSchwa"
    "glsxtrLatinEszettSs"
    "glsxtrLatinEszettSz"
    "glsxtrLatinEth"
    "glsxtrLatinThorn"
    "glsxtrLatinAELigature"
    "glsxtrLatinOELigature"
    "glsxtrLatinAA"
    "glsxtrLatinWynn"
    "glsxtrLatinInsularG"
    "glsxtrLatinOslash"
    "glsxtrLatinLslash"
    "glsxtrMathUpGreekIrules"
    "glsxtrMathUpGreekIIrules"
    "glsxtrMathItalicGreekIrules"
    "glsxtrMathItalicGreekIIrules"
    "glsxtrMathItalicUpperGreekIrules"
    "glsxtrMathItalicUpperGreekIIrules"
    "glsxtrMathItalicLowerGreekIrules"
    "glsxtrMathItalicLowerGreekIIrules"
    "glsxtrMathGreekIrules"
    "glsxtrMathGreekIIrules"
    "glsxtrUpAlpha"
    "glsxtrUpBeta"
    "glsxtrUpGamma"
    "glsxtrUpDelta"
    "glsxtrUpEpsilon"
    "glsxtrUpDigamma"
    "glsxtrUpZeta"
    "glsxtrUpEta"
    "glsxtrUpTheta"
    "glsxtrUpIota"
    "glsxtrUpKappa"
    "glsxtrUpLambda"
    "glsxtrUpMu"
    "glsxtrUpNu"
    "glsxtrUpXi"
    "glsxtrUpOmicron"
    "glsxtrUpPi"
    "glsxtrUpRho"
    "glsxtrUpSigma"
    "glsxtrUpTau"
    "glsxtrUpUpsilon"
    "glsxtrUpPhi"
    "glsxtrUpChi"
    "glsxtrUpPsi"
    "glsxtrUpOmega"
    "glsxtrMathItalicAlpha"
    "glsxtrMathItalicBeta"
    "glsxtrMathItalicGamma"
    "glsxtrMathItalicDelta"
    "glsxtrMathItalicEpsilon"
    "glsxtrMathItalicZeta"
    "glsxtrMathItalicEta"
    "glsxtrMathItalicTheta"
    "glsxtrMathItalicIota"
    "glsxtrMathItalicKappa"
    "glsxtrMathItalicLambda"
    "glsxtrMathItalicMu"
    "glsxtrMathItalicNu"
    "glsxtrMathItalicXi"
    "glsxtrMathItalicOmicron"
    "glsxtrMathItalicPi"
    "glsxtrMathItalicRho"
    "glsxtrMathItalicSigma"
    "glsxtrMathItalicTau"
    "glsxtrMathItalicUpsilon"
    "glsxtrMathItalicPhi"
    "glsxtrMathItalicChi"
    "glsxtrMathItalicPsi"
    "glsxtrMathItalicOmega"
    "glsxtrMathItalicPartial"
    "glsxtrMathItalicNabla"
    "glsxtrdigitrules"
    "glsxtrBasicDigitrules"
    "glsxtrSubScriptDigitrules"
    "glsxtrSuperScriptDigitrules"
    "glsxtrfractionrules"
    "bibglsdelimN"
    "bibglslastDelimN"
    "glshypernumber"
    "glsxtrsupplocationurl"
    "noexpand"
    "CurrentTrackedTag"
    "TrackLangRequireDialectPrefix")
   (LaTeX-add-environments
    '("acronym" LaTeX-env-args ["argument"] 0)
    '("axiomlist" LaTeX-env-args ["argument"] 1)
    '("function" LaTeX-env-args ["argument"] 0)
    '("procedure" LaTeX-env-args ["argument"] 0)
    '("algorithmic" LaTeX-env-args ["argument"] 0)
    '("proof" LaTeX-env-args ["argument"] 0)
    '("gathered" LaTeX-env-args ["argument"] 0)
    '("alignedat" LaTeX-env-args ["argument"] 1)
    '("animateinline" LaTeX-env-args ["argument"] 1)
    '("AsciiDocList" LaTeX-env-args ["argument"] 0)
    '("AsciiList" LaTeX-env-args ["argument"] 1)
    '("decl" LaTeX-env-args ["argument"] 0)
    '("bchart" LaTeX-env-args ["argument"] 0)
    '("beamercolorbox" LaTeX-env-args ["argument"] 1)
    '("pauses" LaTeX-env-args ["argument"] 0)
    '("table" LaTeX-env-args ["argument"] 0)
    '("figure" LaTeX-env-args ["argument"] 0)
    '("overprint" LaTeX-env-args ["argument"] 0)
    '("enumstep" LaTeX-env-args ["argument"] 0)
    '("itemstep" LaTeX-env-args ["argument"] 0)
    '("slide" LaTeX-env-args ["argument"] 1)
    '("slide" LaTeX-env-args ["argument"] 0)
    '("blochsphere" LaTeX-env-args ["argument"] 0)
    '("bondgraph" LaTeX-env-args ["argument"] 0)
    '("xcalctab" LaTeX-env-args ["argument"] 0)
    '("calctab" LaTeX-env-args ["argument"] 0)
    '("calstable" LaTeX-env-args ["argument"] 0)
    '("baseenclosures" LaTeX-env-args ["argument"] 1)
    '("enclosures" LaTeX-env-args ["argument"] 0)
    '("adjustwidth" LaTeX-env-args ["argument"] 2)
    '("CJK" LaTeX-env-args ["argument"] 2)
    '("colorstrip" LaTeX-env-args ["argument"] 1)
    '("cnltxquote" LaTeX-env-args ["argument"] 0)
    '("papers" LaTeX-env-args ["argument"] 0)
    '("administrivia" LaTeX-env-args ["argument"] 0)
    '("tutorials" LaTeX-env-args ["argument"] 0)
    '("assignments" LaTeX-env-args ["argument"] 0)
    '("schedule" LaTeX-env-args ["argument"] 0)
    '("evaluation" LaTeX-env-args ["argument"] 0)
    '("introduction" LaTeX-env-args ["argument"] 0)
    '("textbooks" LaTeX-env-args ["argument"] 0)
    '("recipe" LaTeX-env-args ["argument"] 3)
    '("DTLthebibliography" LaTeX-env-args ["argument"] 1)
    '("DTLenvforeach" LaTeX-env-args ["argument"] 2)
    '("ditaa" LaTeX-env-args ["argument"] 2)
    '("neatopic" LaTeX-env-args ["argument"] 0)
    '("dotpic" LaTeX-env-args ["argument"] 0)
    '("ErstelleGrafik" LaTeX-env-args ["argument"] 1)
    '("Table" LaTeX-env-args ["argument"] 1)
    '("Figure" LaTeX-env-args ["argument"] 1)
    '("docsidebar" LaTeX-env-args ["argument"] 0)
    '("move" LaTeX-env-args ["argument"] 1)
    '("Diagram" LaTeX-env-args ["argument"] 2)
    '("diagram" LaTeX-env-args ["argument"] 0)
    '("edstub" LaTeX-env-args ["argument"] 1)
    '("swapgender" LaTeX-env-args ["argument"] 0)
    '("problemset" LaTeX-env-args ["argument"] 0)
    '("problem" LaTeX-env-args ["argument"] 0)
    '("exercise" LaTeX-env-args ["argument"] 0)
    '("example" LaTeX-env-args ["argument"] 0)
    '("psli" LaTeX-env-args ["argument"] 0)
    '("Eqlist" LaTeX-env-args ["argument"] 1)
    '("eqlist" LaTeX-env-args ["argument"] 0)
    '("erratum" LaTeX-env-args ["argument"] 1)
    '("workarea" LaTeX-env-args ["argument"] 1)
    '("problemmp" LaTeX-env-args ["argument"] 0)
    '("test" LaTeX-env-args ["argument"] 0)
    '("risposta" LaTeX-env-args ["argument"] 1)
    '("tabella" LaTeX-env-args ["argument"] 2)
    '("etaremune" LaTeX-env-args ["argument"] 0)
    '("solutionorgrid" LaTeX-env-args ["argument"] 0)
    '("solutionordottedlines" LaTeX-env-args ["argument"] 0)
    '("solutionorlines" LaTeX-env-args ["argument"] 0)
    '("solutionorbox" LaTeX-env-args ["argument"] 0)
    '("solution" LaTeX-env-args ["argument"] 0)
    '("multiplechoice" LaTeX-env-args ["argument"] 0)
    '("shortanswer" LaTeX-env-args ["argument"] 0)
    '("truefalse" LaTeX-env-args ["argument"] 0)
    '("fillin" LaTeX-env-args ["argument"] 0)
    '("matching" LaTeX-env-args ["argument"] 0)
    '("subexercise" LaTeX-env-args ["argument"] 0)
    '("solutionseries" LaTeX-env-args ["argument"] 2)
    '("exerciseseries" LaTeX-env-args ["argument"] 1)
    '("exercises" LaTeX-env-args ["argument"] 0)
    '("flagderiv" LaTeX-env-args ["argument"] 0)
    '("flashcard" LaTeX-env-args ["argument"] 1)
    '("fullminipage" LaTeX-env-args ["argument"] 0)
    '("gmatrix" LaTeX-env-args ["argument"] 0)))
 :latex)

