(TeX-add-style-hook
 "lwarp-engtlc"
 (lambda ()
   (TeX-add-symbols
    '("yinf" ["argument"] 0)
    '("zinf" ["argument"] 0)
    '("potinc" ["argument"] 0)
    '("potdiss" ["argument"] 0)
    '("potirr" ["argument"] 0)
    '("potCC" ["argument"] 0)
    '("potDC" ["argument"] 0)
    '("potdisp" ["argument"] 0)
    '("frecciadex" ["argument"] 0)
    '("var" 1)
    '("valatt" 1)
    '("prob" 1)
    '("signz" 1)
    '("signn" 1)
    '("signf" 1)
    '("signt" 1)
    '("yinfn" 1)
    '("zinfn" 1)
    '("ynorm" 1)
    '("y" 1)
    '("znorm" 1)
    '("z" 1)
    '("potin" 1)
    '("gammain" 1)
    '("gammacorrin" 1)
    '("gammatensin" 1)
    '("ex" 1)
    '("deltain" 1)
    '("intinf" 1)
    '("analitic" 1)
    '("loga" 2)
    '("minimo" 1)
    '("massimo" 1)
    '("for" 2)
    '("indB" 1)
    '("modulo" 1)
    '("moduloexp" 2)
    '("energia" 1)
    '("seno" 1)
    '("coseno" 1)
    '("vettore" 1)
    '("versore" 1)
    '("Info" 1)
    '("parteimm" 1)
    '("partereale" 1)
    '("invfourier" 1)
    '("fourier" 1)
    '("etsymbolbracearg" 2)
    '("unit" 1)
    "LWR"
    "micro"
    "ho"
    "s"
    "ms"
    "us"
    "ns"
    "ps"
    "um"
    "mm"
    "cm"
    "dm"
    "m"
    "km"
    "MA"
    "kA"
    "A"
    "mA"
    "uA"
    "nA"
    "MV"
    "kV"
    "V"
    "mV"
    "uV"
    "mohm"
    "ohm"
    "kohm"
    "Mohm"
    "pSi"
    "nSi"
    "uSi"
    "mSi"
    "Si"
    "kSi"
    "MSi"
    "fFa"
    "pFa"
    "nFa"
    "uFa"
    "mFa"
    "Fa"
    "fHe"
    "pHe"
    "nHe"
    "uHe"
    "mHe"
    "He"
    "dB"
    "dBm"
    "uW"
    "mW"
    "W"
    "kW"
    "MW"
    "Hz"
    "kHz"
    "MHz"
    "GHz"
    "THz"
    "bit"
    "kbit"
    "Mbit"
    "Byte"
    "kByte"
    "MByte"
    "GByte"
    "TByte"
    "bits"
    "kbits"
    "Mbits"
    "Bytes"
    "kBytes"
    "MBytes"
    "GBytes"
    "TBytes"
    "chips"
    "kchips"
    "Mchips"
    "chipsubit"
    "varianzarumore"
    "valc"
    "diff"
    "iu"
    "gammatens"
    "gammacorr"
    "gammak"
    "lbvt"
    "lbg"
    "lbgvt"
    "zvt"
    "yvt"
    "campoe"
    "campoefas"
    "campoh"
    "campohfas"
    "comma"
    "dato"
    "bfRe"
    "bfIm"
    "noisevar"
    "Spimplies"
    "Downimplies"
    "unitvec"
    "vector"
    "cosine"
    "sine"
    "energy"
    "Abs"
    "AbsPow"
    "Max"
    "Min"
    "clight"
    "Log"
    "analytic"
    "infint"
    "deltaimp"
    "Vgamma"
    "Cgamma"
    "Vgammain"
    "Cgammain"
    "Kgamma"
    "powerin"
    "availpow"
    "irrpow"
    "disspow"
    "incpow"
    "potalim"
    "potDC"
    "Efield"
    "Hfield"
    "phasorEfield"
    "phasorHfiled"
    "given"
    "expval"
    "rmexp")
   (LaTeX-add-environments
    '("acronym" LaTeX-env-args ["argument"] 0)
    '("axiomlist" LaTeX-env-args ["argument"] 1)
    '("function" LaTeX-env-args ["argument"] 0)
    '("procedure" LaTeX-env-args ["argument"] 0)
    '("algorithmic" LaTeX-env-args ["argument"] 0)
    '("proof" LaTeX-env-args ["argument"] 0)
    '("gathered" LaTeX-env-args ["argument"] 0)
    '("alignedat" LaTeX-env-args ["argument"] 1)
    '("animateinline" LaTeX-env-args ["argument"] 1)
    '("AsciiDocList" LaTeX-env-args ["argument"] 0)
    '("AsciiList" LaTeX-env-args ["argument"] 1)
    '("decl" LaTeX-env-args ["argument"] 0)
    '("bchart" LaTeX-env-args ["argument"] 0)
    '("beamercolorbox" LaTeX-env-args ["argument"] 1)
    '("pauses" LaTeX-env-args ["argument"] 0)
    '("table" LaTeX-env-args ["argument"] 0)
    '("figure" LaTeX-env-args ["argument"] 0)
    '("overprint" LaTeX-env-args ["argument"] 0)
    '("enumstep" LaTeX-env-args ["argument"] 0)
    '("itemstep" LaTeX-env-args ["argument"] 0)
    '("slide" LaTeX-env-args ["argument"] 1)
    '("slide" LaTeX-env-args ["argument"] 0)
    '("blochsphere" LaTeX-env-args ["argument"] 0)
    '("bondgraph" LaTeX-env-args ["argument"] 0)
    '("xcalctab" LaTeX-env-args ["argument"] 0)
    '("calctab" LaTeX-env-args ["argument"] 0)
    '("calstable" LaTeX-env-args ["argument"] 0)
    '("baseenclosures" LaTeX-env-args ["argument"] 1)
    '("enclosures" LaTeX-env-args ["argument"] 0)
    '("adjustwidth" LaTeX-env-args ["argument"] 2)
    '("CJK" LaTeX-env-args ["argument"] 2)
    '("colorstrip" LaTeX-env-args ["argument"] 1)
    '("cnltxquote" LaTeX-env-args ["argument"] 0)
    '("papers" LaTeX-env-args ["argument"] 0)
    '("administrivia" LaTeX-env-args ["argument"] 0)
    '("tutorials" LaTeX-env-args ["argument"] 0)
    '("assignments" LaTeX-env-args ["argument"] 0)
    '("schedule" LaTeX-env-args ["argument"] 0)
    '("evaluation" LaTeX-env-args ["argument"] 0)
    '("introduction" LaTeX-env-args ["argument"] 0)
    '("textbooks" LaTeX-env-args ["argument"] 0)
    '("recipe" LaTeX-env-args ["argument"] 3)
    '("DTLthebibliography" LaTeX-env-args ["argument"] 1)
    '("DTLenvforeach" LaTeX-env-args ["argument"] 2)
    '("ditaa" LaTeX-env-args ["argument"] 2)
    '("neatopic" LaTeX-env-args ["argument"] 0)
    '("dotpic" LaTeX-env-args ["argument"] 0)
    '("ErstelleGrafik" LaTeX-env-args ["argument"] 1)
    '("Table" LaTeX-env-args ["argument"] 1)
    '("Figure" LaTeX-env-args ["argument"] 1)
    '("docsidebar" LaTeX-env-args ["argument"] 0)
    '("move" LaTeX-env-args ["argument"] 1)
    '("Diagram" LaTeX-env-args ["argument"] 2)
    '("diagram" LaTeX-env-args ["argument"] 0)
    '("edstub" LaTeX-env-args ["argument"] 1)
    '("swapgender" LaTeX-env-args ["argument"] 0)
    '("problemset" LaTeX-env-args ["argument"] 0)
    '("problem" LaTeX-env-args ["argument"] 0)
    '("exercise" LaTeX-env-args ["argument"] 0)
    '("example" LaTeX-env-args ["argument"] 0)
    '("psli" LaTeX-env-args ["argument"] 0)
    '("Eqlist" LaTeX-env-args ["argument"] 1)
    '("eqlist" LaTeX-env-args ["argument"] 0)
    '("erratum" LaTeX-env-args ["argument"] 1)
    '("workarea" LaTeX-env-args ["argument"] 1)
    '("problemmp" LaTeX-env-args ["argument"] 0)
    '("test" LaTeX-env-args ["argument"] 0)
    '("risposta" LaTeX-env-args ["argument"] 1)
    '("tabella" LaTeX-env-args ["argument"] 2)
    '("etaremune" LaTeX-env-args ["argument"] 0)
    '("solutionorgrid" LaTeX-env-args ["argument"] 0)
    '("solutionordottedlines" LaTeX-env-args ["argument"] 0)
    '("solutionorlines" LaTeX-env-args ["argument"] 0)
    '("solutionorbox" LaTeX-env-args ["argument"] 0)
    '("solution" LaTeX-env-args ["argument"] 0)
    '("multiplechoice" LaTeX-env-args ["argument"] 0)
    '("shortanswer" LaTeX-env-args ["argument"] 0)
    '("truefalse" LaTeX-env-args ["argument"] 0)
    '("fillin" LaTeX-env-args ["argument"] 0)
    '("matching" LaTeX-env-args ["argument"] 0)
    '("subexercise" LaTeX-env-args ["argument"] 0)
    '("solutionseries" LaTeX-env-args ["argument"] 2)
    '("exerciseseries" LaTeX-env-args ["argument"] 1)
    '("exercises" LaTeX-env-args ["argument"] 0)
    '("flagderiv" LaTeX-env-args ["argument"] 0)
    '("flashcard" LaTeX-env-args ["argument"] 1)
    '("fullminipage" LaTeX-env-args ["argument"] 0)
    '("gmatrix" LaTeX-env-args ["argument"] 0)
    '("printunsrtglossarywrap" LaTeX-env-args ["argument"] 0)
    '("maszynopis" LaTeX-env-args ["argument"] 0)
    '("gnuplot" LaTeX-env-args ["argument"] 0)
    '("Encap" LaTeX-env-args ["argument"] 3)
    '("Row" LaTeX-env-args ["argument"] 0)
    '("row" LaTeX-env-args ["argument"] 2)
    '("arttitsub" LaTeX-env-args ["argument"] 2)
    '("artsubtit" LaTeX-env-args ["argument"] 2)
    '("art" LaTeX-env-args ["argument"] 1)
    '("widedesc" LaTeX-env-args ["argument"] 0)
    '("flexlist" LaTeX-env-args ["argument"] 1)
    '("hvFloatEnv" LaTeX-env-args ["argument"] 0)
    '("inctext" LaTeX-env-args ["argument"] 0)
    '("labeling" LaTeX-env-args ["argument"] 1)
    '("KeyValTable" LaTeX-env-args ["argument"] 1)
    '("pattern" LaTeX-env-args ["argument"] 2)
    '("letter" LaTeX-env-args ["argument"] 1)
    '("InstanceDescription" LaTeX-env-args ["argument"] 3)
    '("edtable" LaTeX-env-args ["argument"] 1)
    '("longbox" LaTeX-env-args ["argument"] 0)
    '("longfbox" LaTeX-env-args ["argument"] 0)
    '("lpic" LaTeX-env-args ["argument"] 1)
    '("FullLsc" LaTeX-env-args ["argument"] 7)
    '("Lsc" LaTeX-env-args ["argument"] 3)
    '("lsccreateinst" LaTeX-env-args ["argument"] 3)
    '("lscinst" LaTeX-env-args ["argument"] 1)
    '("simregion" LaTeX-env-args ["argument"] 0)
    '("coregion" LaTeX-env-args ["argument"] 0)
    '("ltssidetoks" LaTeX-env-args ["argument"] 1)
    '("ltsfnquote" LaTeX-env-args ["argument"] 0)))
 :latex)

