(TeX-add-style-hook
 "lwarp-libertinust1math"
 (lambda ()
   (TeX-add-symbols
    '("asteraccent" 1)
    '("widebridgeabove" 1)
    '("annuity" 1)
    '("leftrightarrowaccent" 1)
    '("leftarrowaccent" 1)
    '("rightharpoonaccent" 1)
    '("leftharpoonaccent" 1)
    '("droang" 1)
    '("ocommatopright" 1)
    '("oturnedcomma" 1)
    '("candra" 1)
    '("ovhook" 1)
    "smalliintsl"
    "smalliiintsl"
    "smalliiiintsl"
    "smallointsl"
    "smalloiintsl"
    "smalliintup"
    "smalliiintup"
    "smalliiiintup"
    "smallointup"
    "smalloiintup"
    "iintslop"
    "iiintslop"
    "iiiintslop"
    "oiintslop"
    "oiiintslop"
    "iintupop"
    "iiintupop"
    "iiiintupop"
    "oiintupop"
    "oiiintupop"
    "smalliint"
    "smalliiint"
    "smalliiiint"
    "smalloint"
    "smalloiint"
    "iintop"
    "iiintop"
    "iiiintop"
    "oiintop"
    "oiiintop"
    "oiint"
    "bigcupdot"
    "bigsqcap"
    "xsol"
    "xbsol"
    "braceld"
    "bracerd"
    "bracelu"
    "braceru"
    "braceex"
    "bracemu"
    "bracemd"
    "parenld"
    "parenrd"
    "parenlu"
    "parenru"
    "bracketld"
    "bracketrd"
    "bracketlu"
    "bracketru"
    "bracketex"
    "parenex"
    "mapstochar"
    "Zbar"
    "notchar"
    "upbackepsilon"
    "smblkcircle"
    "enleadertwodots"
    "unicodeellipsis"
    "mathellipsis"
    "dprime"
    "trprime"
    "backdprime"
    "backtrprime"
    "caretinsert"
    "Exclam"
    "hyphenbullet"
    "fracslash"
    "Question"
    "closure"
    "qprime"
    "vertoverlay"
    "enclosecircle"
    "enclosesquare"
    "enclosetriangle"
    "Eulerconst"
    "turnediota"
    "Angstrom"
    "sansLturned"
    "sansLmirrored"
    "Yup"
    "upand"
    "increment"
    "smallin"
    "nni"
    "smallni"
    "QED"
    "vysmwhtcircle"
    "vysmblkcircle"
    "rightangle"
    "Colon"
    "dotminus"
    "dashcolon"
    "dotsminusdots"
    "kernelcontraction"
    "invlazys"
    "sinewave"
    "nsime"
    "simneqq"
    "napprox"
    "approxident"
    "backcong"
    "nasymp"
    "nlesssim"
    "ngtrsim"
    "nlessgtr"
    "ngtrless"
    "nsubset"
    "nsupset"
    "cupleftarrow"
    "cupdot"
    "circledequal"
    "assert"
    "VDash"
    "prurel"
    "origof"
    "smallprod"
    "smallcoprod"
    "smallsum"
    "Hfraktur"
    "dsol"
    "rsolbar"
    "eqless"
    "eqgtr"
    "npreccurlyeq"
    "nsucccurlyeq"
    "nsqsubseteq"
    "nsqsupseteq"
    "sqsubsetneq"
    "sqsupsetneq"
    "nvartriangleleft"
    "nvartriangleright"
    "vdotsmath"
    "unicodecdots"
    "adots"
    "succneq"
    "preceqq"
    "succeqq"
    "precneq"
    "mapsfrom"
    "longmapsfrom"
    "diameter"
    "coloneq"
    "eqcolon"
    "arceq"
    "wedgeq"
    "veeeq"
    "stareq"
    "eqdef"
    "measeq"
    "questeq"
    "nequiv"
    "Equiv"
    "house"
    "musicalnote"
    "degree"
    "mathsection"
    "mathparagraph"
    "checkmarkmath"
    "invnot"
    "mathvisiblespace"
    "mdlgblksquare"
    "mdlgwhtsquare"
    "bigblacktriangleup"
    "varbigtriangleup"
    "bigblacktriangledown"
    "varbigtriangledown"
    "Longmapsfrom"
    "mdlgblkdiamond"
    "mdlgwhtdiamond"
    "Longmapsto"
    "fisheye"
    "mdlgwhtlozenge"
    "mdlgwhtcircle"
    "bullseye"
    "mdlgblkcircle"
    "Nwarrow"
    "Nearrow"
    "Searrow"
    "Swarrow"
    "Mapsfrom"
    "smwhtcircle"
    "smwhtdiamond"
    "Mapsto"
    "uppartial"
    "mathsfbf"
    "mathbfit"
    "mathsfbfit"
    "mathsfit"
    "vectorsym"
    "matrixsym"
    "tensorsym"
    "mathboldsans"
    "mathbold"
    "dlb"
    "drb"
    "sqrtsign"
    "smallintsl"
    "smallintup"
    "intslop"
    "ointslop"
    "intupop"
    "ointupop"
    "intop"
    "ointop"
    "prodop"
    "coprodop"
    "sumop"
    "bigwedgeop"
    "bigveeop"
    "bigcapop"
    "bigcupop"
    "xsolop"
    "xbsolop"
    "bigodotop"
    "bigoplusop"
    "bigotimesop"
    "bigcupdotop"
    "biguplusop"
    "bigsqcapop"
    "bigsqcupop"
    "rightarrowaccent"
    "ngets"
    "nsimeq"
    "nle"
    "nge")
   (LaTeX-add-environments
    '("acronym" LaTeX-env-args ["argument"] 0)
    '("axiomlist" LaTeX-env-args ["argument"] 1)
    '("function" LaTeX-env-args ["argument"] 0)
    '("procedure" LaTeX-env-args ["argument"] 0)
    '("algorithmic" LaTeX-env-args ["argument"] 0)
    '("proof" LaTeX-env-args ["argument"] 0)
    '("gathered" LaTeX-env-args ["argument"] 0)
    '("alignedat" LaTeX-env-args ["argument"] 1)
    '("animateinline" LaTeX-env-args ["argument"] 1)
    '("AsciiDocList" LaTeX-env-args ["argument"] 0)
    '("AsciiList" LaTeX-env-args ["argument"] 1)
    '("decl" LaTeX-env-args ["argument"] 0)
    '("bchart" LaTeX-env-args ["argument"] 0)
    '("beamercolorbox" LaTeX-env-args ["argument"] 1)
    '("pauses" LaTeX-env-args ["argument"] 0)
    '("table" LaTeX-env-args ["argument"] 0)
    '("figure" LaTeX-env-args ["argument"] 0)
    '("overprint" LaTeX-env-args ["argument"] 0)
    '("enumstep" LaTeX-env-args ["argument"] 0)
    '("itemstep" LaTeX-env-args ["argument"] 0)
    '("slide" LaTeX-env-args ["argument"] 1)
    '("slide" LaTeX-env-args ["argument"] 0)
    '("blochsphere" LaTeX-env-args ["argument"] 0)
    '("bondgraph" LaTeX-env-args ["argument"] 0)
    '("xcalctab" LaTeX-env-args ["argument"] 0)
    '("calctab" LaTeX-env-args ["argument"] 0)
    '("calstable" LaTeX-env-args ["argument"] 0)
    '("baseenclosures" LaTeX-env-args ["argument"] 1)
    '("enclosures" LaTeX-env-args ["argument"] 0)
    '("adjustwidth" LaTeX-env-args ["argument"] 2)
    '("CJK" LaTeX-env-args ["argument"] 2)
    '("colorstrip" LaTeX-env-args ["argument"] 1)
    '("cnltxquote" LaTeX-env-args ["argument"] 0)
    '("papers" LaTeX-env-args ["argument"] 0)
    '("administrivia" LaTeX-env-args ["argument"] 0)
    '("tutorials" LaTeX-env-args ["argument"] 0)
    '("assignments" LaTeX-env-args ["argument"] 0)
    '("schedule" LaTeX-env-args ["argument"] 0)
    '("evaluation" LaTeX-env-args ["argument"] 0)
    '("introduction" LaTeX-env-args ["argument"] 0)
    '("textbooks" LaTeX-env-args ["argument"] 0)
    '("recipe" LaTeX-env-args ["argument"] 3)
    '("DTLthebibliography" LaTeX-env-args ["argument"] 1)
    '("DTLenvforeach" LaTeX-env-args ["argument"] 2)
    '("ditaa" LaTeX-env-args ["argument"] 2)
    '("neatopic" LaTeX-env-args ["argument"] 0)
    '("dotpic" LaTeX-env-args ["argument"] 0)
    '("ErstelleGrafik" LaTeX-env-args ["argument"] 1)
    '("Table" LaTeX-env-args ["argument"] 1)
    '("Figure" LaTeX-env-args ["argument"] 1)
    '("docsidebar" LaTeX-env-args ["argument"] 0)
    '("move" LaTeX-env-args ["argument"] 1)
    '("Diagram" LaTeX-env-args ["argument"] 2)
    '("diagram" LaTeX-env-args ["argument"] 0)
    '("edstub" LaTeX-env-args ["argument"] 1)
    '("swapgender" LaTeX-env-args ["argument"] 0)
    '("problemset" LaTeX-env-args ["argument"] 0)
    '("problem" LaTeX-env-args ["argument"] 0)
    '("exercise" LaTeX-env-args ["argument"] 0)
    '("example" LaTeX-env-args ["argument"] 0)
    '("psli" LaTeX-env-args ["argument"] 0)
    '("Eqlist" LaTeX-env-args ["argument"] 1)
    '("eqlist" LaTeX-env-args ["argument"] 0)
    '("erratum" LaTeX-env-args ["argument"] 1)
    '("workarea" LaTeX-env-args ["argument"] 1)
    '("problemmp" LaTeX-env-args ["argument"] 0)
    '("test" LaTeX-env-args ["argument"] 0)
    '("risposta" LaTeX-env-args ["argument"] 1)
    '("tabella" LaTeX-env-args ["argument"] 2)
    '("etaremune" LaTeX-env-args ["argument"] 0)
    '("solutionorgrid" LaTeX-env-args ["argument"] 0)
    '("solutionordottedlines" LaTeX-env-args ["argument"] 0)
    '("solutionorlines" LaTeX-env-args ["argument"] 0)
    '("solutionorbox" LaTeX-env-args ["argument"] 0)
    '("solution" LaTeX-env-args ["argument"] 0)
    '("multiplechoice" LaTeX-env-args ["argument"] 0)
    '("shortanswer" LaTeX-env-args ["argument"] 0)
    '("truefalse" LaTeX-env-args ["argument"] 0)
    '("fillin" LaTeX-env-args ["argument"] 0)
    '("matching" LaTeX-env-args ["argument"] 0)
    '("subexercise" LaTeX-env-args ["argument"] 0)
    '("solutionseries" LaTeX-env-args ["argument"] 2)
    '("exerciseseries" LaTeX-env-args ["argument"] 1)
    '("exercises" LaTeX-env-args ["argument"] 0)
    '("flagderiv" LaTeX-env-args ["argument"] 0)
    '("flashcard" LaTeX-env-args ["argument"] 1)
    '("fullminipage" LaTeX-env-args ["argument"] 0)
    '("gmatrix" LaTeX-env-args ["argument"] 0)
    '("printunsrtglossarywrap" LaTeX-env-args ["argument"] 0)
    '("maszynopis" LaTeX-env-args ["argument"] 0)
    '("gnuplot" LaTeX-env-args ["argument"] 0)
    '("Encap" LaTeX-env-args ["argument"] 3)
    '("Row" LaTeX-env-args ["argument"] 0)
    '("row" LaTeX-env-args ["argument"] 2)
    '("arttitsub" LaTeX-env-args ["argument"] 2)
    '("artsubtit" LaTeX-env-args ["argument"] 2)
    '("art" LaTeX-env-args ["argument"] 1)
    '("widedesc" LaTeX-env-args ["argument"] 0)
    '("flexlist" LaTeX-env-args ["argument"] 1)
    '("hvFloatEnv" LaTeX-env-args ["argument"] 0)
    '("inctext" LaTeX-env-args ["argument"] 0)
    '("labeling" LaTeX-env-args ["argument"] 1)
    '("KeyValTable" LaTeX-env-args ["argument"] 1)
    '("pattern" LaTeX-env-args ["argument"] 2)
    '("letter" LaTeX-env-args ["argument"] 1)
    '("InstanceDescription" LaTeX-env-args ["argument"] 3)
    '("edtable" LaTeX-env-args ["argument"] 1)
    '("longbox" LaTeX-env-args ["argument"] 0)
    '("longfbox" LaTeX-env-args ["argument"] 0)
    '("lpic" LaTeX-env-args ["argument"] 1)
    '("FullLsc" LaTeX-env-args ["argument"] 7)
    '("Lsc" LaTeX-env-args ["argument"] 3)
    '("lsccreateinst" LaTeX-env-args ["argument"] 3)
    '("lscinst" LaTeX-env-args ["argument"] 1)
    '("simregion" LaTeX-env-args ["argument"] 0)
    '("coregion" LaTeX-env-args ["argument"] 0)
    '("ltssidetoks" LaTeX-env-args ["argument"] 1)
    '("ltsfnquote" LaTeX-env-args ["argument"] 0)
    '("subfloatrow" LaTeX-env-args ["argument"] 0)
    '("floatrow" LaTeX-env-args ["argument"] 0)
    '("fullwidth" LaTeX-env-args ["argument"] 0)))
 :latex)

