(TeX-add-style-hook
 "mathastext"
 (lambda ()
   (TeX-add-symbols
    '("MTWillUse" ["argument"] 4)
    '("MTDeclareVersion" ["argument"] 5)
    '("MTlowerast" 1)
    '("MTgreekfont" 1)
    '("MTlettershape" 1)
    '("MTboldvariant" 1)
    '("MTshape" 1)
    '("MTseries" 1)
    '("MTfamily" 1)
    '("MTencoding" 1)
    '("pmvec" 1)
    '("MTSymbolScale" 1)
    '("MTEulerScale" 1)
    '("MTunsetmathskips" 1)
    '("MTsetmathskips" 3)
    '("MTprimeskip" 1)
    '("MTforallskip" 1)
    '("MTexistsskip" 1)
    "MTnormalprime"
    "MTprimedoesskip"
    "MTnonlettersdonotobeymathxx"
    "MTnonlettersobeymathxx"
    "MTeasynonlettersdonotobeymathxx"
    "MTeasynonlettersobeymathxx"
    "MTmathactiveletters"
    "MTmathactiveLetters"
    "MTmathstandardletters"
    "MTicinmath"
    "MTICinmath"
    "MTnoicinmath"
    "MTnoICinmath"
    "MTicalsoinmathxx"
    "MTresetnewmcodes"
    "MTcustomizenewmcodes"
    "MTmathoperatorsobeymathxx"
    "MTmathoperatorsdonotobeymathxx"
    "MTfixfonts"
    "MTdonotfixfonts"
    "MTitgreek"
    "MTupgreek"
    "MTitGreek"
    "MTupGreek"
    "mst"
    "MTnormalasterisk"
    "MTactiveasterisk"
    "models"
    "MTexplicitbracesobeymathxx"
    "MTexplicitbracesdonotobeymathxx"
    "prodpsy"
    "sumpsy"
    "implies"
    "impliedby"
    "iff"
    "shortiff"
    "to"
    "longto"
    "mapsto"
    "longmapsto"
    "aleph"
    "inftypsy"
    "emptyset"
    "nabla"
    "surd"
    "neg"
    "clubsuit"
    "diamondsuit"
    "heartsuit"
    "spadesuit"
    "smallint"
    "wedge"
    "vee"
    "cap"
    "cup"
    "bullet"
    "div"
    "otimes"
    "oplus"
    "pm"
    "times"
    "proptopsy"
    "leq"
    "geq"
    "approx"
    "supset"
    "subset"
    "supseteq"
    "subseteq"
    "in"
    "sim"
    "perp"
    "equiv"
    "rangle"
    "langle"
    "Re"
    "Im"
    "DotTriangle"
    "MTstandardgreek"
    "MTcustomgreek"
    "MTrecordstandardgreek"
    "MTDoNotDeclareVersion"
    "MTDeclareVersion"
    "MTversion"
    "MTeverymathoff"
    "MTeverymathdefault"
    "MTnormalexists"
    "MTexistsdoesskip"
    "exists"
    "MTnormalforall"
    "MTforalldoesskip"
    "forall"
    "Mathastextexistsskip"
    "Mathastextforallskip"
    "Mathastextprimeskip"
    "mathastextexistsskip"
    "mathastextforallskip"
    "mathastextprimeskip"
    "x"
    "mathnormal"
    "mathrm"
    "mathbf"
    "mathit"
    "mathsf"
    "mathtt"
    "MathastextEulerScale"
    "MathastextSymbolScale"
    "Mathastextencoding"
    "Mathastextfamily"
    "Mathastextseries"
    "Mathastextshape"
    "Mathastextboldvariant"
    "Mathastextlettershape"
    "Mathastextitgreek"
    "Mathastextupgreek"
    "MathastextitGreek"
    "MathastextupGreek"
    "Mathastextgreekfont"
    "ast"
    "colon"
    "relbar"
    "fi"
    "hbar"
    "Relbar"
    "backslash"
    "setminus"
    "vert"
    "mid"
    "lbrace"
    "rbrace"
    "mathdollar"
    "MToriginalprod"
    "prod"
    "MToriginalsum"
    "sum"
    "varnothing"
    "angle"
    "cong"
    "notin"
    "Alpha"
    "Beta"
    "Epsilon"
    "Zeta"
    "Eta"
    "Iota"
    "Kappa"
    "Mu"
    "Nu"
    "Omicron"
    "Rho"
    "Tau"
    "Chi"
    "Digamma"
    "Gamma"
    "Delta"
    "Theta"
    "Lambda"
    "Xi"
    "Pi"
    "Sigma"
    "Upsilon"
    "Phi"
    "Psi"
    "Omega"
    "alpha"
    "beta"
    "gamma"
    "delta"
    "epsilon"
    "zeta"
    "eta"
    "theta"
    "iota"
    "kappa"
    "lambda"
    "mu"
    "nu"
    "xi"
    "omicron"
    "pi"
    "rho"
    "sigma"
    "tau"
    "upsilon"
    "phi"
    "chi"
    "psi"
    "omega"
    "digamma"
    "varsigma"
    "varepsilon"
    "vartheta"
    "varpi"
    "varrho"
    "varphi"
    "partial"
    "wp"
    "ell"
    "Mathastextstandardgreek"
    "Mathastextcustomgreek"
    "imath"
    "jmath"
    "MathastextDeclareVersion"
    "MathastextVersion"
    "Mathastextversion"
    "MTVersion"
    "mathastextversion"
    "MathastextWillUse"
    "Mathastextwilluse"
    "Mathastext"
    "Huge"
    "HUGE"
    "defaultscriptratio"
    "defaultscriptscriptratio"
    "Hurl"
    "inodot"
    "jnodot")
   (LaTeX-add-environments
    '("acronym" LaTeX-env-args ["argument"] 0)
    '("axiomlist" LaTeX-env-args ["argument"] 1)
    '("function" LaTeX-env-args ["argument"] 0)
    '("procedure" LaTeX-env-args ["argument"] 0)
    '("algorithmic" LaTeX-env-args ["argument"] 0)
    '("proof" LaTeX-env-args ["argument"] 0)
    '("gathered" LaTeX-env-args ["argument"] 0)
    '("alignedat" LaTeX-env-args ["argument"] 1)
    '("animateinline" LaTeX-env-args ["argument"] 1)
    '("AsciiDocList" LaTeX-env-args ["argument"] 0)
    '("AsciiList" LaTeX-env-args ["argument"] 1)
    '("decl" LaTeX-env-args ["argument"] 0)
    '("bchart" LaTeX-env-args ["argument"] 0)
    '("beamercolorbox" LaTeX-env-args ["argument"] 1)
    '("pauses" LaTeX-env-args ["argument"] 0)
    '("table" LaTeX-env-args ["argument"] 0)
    '("figure" LaTeX-env-args ["argument"] 0)
    '("overprint" LaTeX-env-args ["argument"] 0)
    '("enumstep" LaTeX-env-args ["argument"] 0)
    '("itemstep" LaTeX-env-args ["argument"] 0)
    '("slide" LaTeX-env-args ["argument"] 1)
    '("slide" LaTeX-env-args ["argument"] 0)
    '("blochsphere" LaTeX-env-args ["argument"] 0)
    '("bondgraph" LaTeX-env-args ["argument"] 0)
    '("xcalctab" LaTeX-env-args ["argument"] 0)
    '("calctab" LaTeX-env-args ["argument"] 0)
    '("calstable" LaTeX-env-args ["argument"] 0)
    '("baseenclosures" LaTeX-env-args ["argument"] 1)
    '("enclosures" LaTeX-env-args ["argument"] 0)
    '("adjustwidth" LaTeX-env-args ["argument"] 2)
    '("CJK" LaTeX-env-args ["argument"] 2)
    '("colorstrip" LaTeX-env-args ["argument"] 1)
    '("cnltxquote" LaTeX-env-args ["argument"] 0)
    '("papers" LaTeX-env-args ["argument"] 0)
    '("administrivia" LaTeX-env-args ["argument"] 0)
    '("tutorials" LaTeX-env-args ["argument"] 0)
    '("assignments" LaTeX-env-args ["argument"] 0)
    '("schedule" LaTeX-env-args ["argument"] 0)
    '("evaluation" LaTeX-env-args ["argument"] 0)
    '("introduction" LaTeX-env-args ["argument"] 0)
    '("textbooks" LaTeX-env-args ["argument"] 0)
    '("recipe" LaTeX-env-args ["argument"] 3)
    '("DTLthebibliography" LaTeX-env-args ["argument"] 1)
    '("DTLenvforeach" LaTeX-env-args ["argument"] 2)
    '("ditaa" LaTeX-env-args ["argument"] 2)
    '("neatopic" LaTeX-env-args ["argument"] 0)
    '("dotpic" LaTeX-env-args ["argument"] 0)
    '("ErstelleGrafik" LaTeX-env-args ["argument"] 1)
    '("Table" LaTeX-env-args ["argument"] 1)
    '("Figure" LaTeX-env-args ["argument"] 1)
    '("docsidebar" LaTeX-env-args ["argument"] 0)
    '("move" LaTeX-env-args ["argument"] 1)
    '("Diagram" LaTeX-env-args ["argument"] 2)
    '("diagram" LaTeX-env-args ["argument"] 0)
    '("edstub" LaTeX-env-args ["argument"] 1)
    '("swapgender" LaTeX-env-args ["argument"] 0)
    '("problemset" LaTeX-env-args ["argument"] 0)
    '("problem" LaTeX-env-args ["argument"] 0)
    '("exercise" LaTeX-env-args ["argument"] 0)
    '("example" LaTeX-env-args ["argument"] 0)
    '("psli" LaTeX-env-args ["argument"] 0)
    '("Eqlist" LaTeX-env-args ["argument"] 1)
    '("eqlist" LaTeX-env-args ["argument"] 0)
    '("erratum" LaTeX-env-args ["argument"] 1)
    '("workarea" LaTeX-env-args ["argument"] 1)
    '("problemmp" LaTeX-env-args ["argument"] 0)
    '("test" LaTeX-env-args ["argument"] 0)
    '("risposta" LaTeX-env-args ["argument"] 1)
    '("tabella" LaTeX-env-args ["argument"] 2)
    '("etaremune" LaTeX-env-args ["argument"] 0)
    '("solutionorgrid" LaTeX-env-args ["argument"] 0)
    '("solutionordottedlines" LaTeX-env-args ["argument"] 0)
    '("solutionorlines" LaTeX-env-args ["argument"] 0)
    '("solutionorbox" LaTeX-env-args ["argument"] 0)
    '("solution" LaTeX-env-args ["argument"] 0)
    '("multiplechoice" LaTeX-env-args ["argument"] 0)
    '("shortanswer" LaTeX-env-args ["argument"] 0)
    '("truefalse" LaTeX-env-args ["argument"] 0)
    '("fillin" LaTeX-env-args ["argument"] 0)
    '("matching" LaTeX-env-args ["argument"] 0)
    '("subexercise" LaTeX-env-args ["argument"] 0)
    '("solutionseries" LaTeX-env-args ["argument"] 2)
    '("exerciseseries" LaTeX-env-args ["argument"] 1)
    '("exercises" LaTeX-env-args ["argument"] 0)
    '("flagderiv" LaTeX-env-args ["argument"] 0)
    '("flashcard" LaTeX-env-args ["argument"] 1)
    '("fullminipage" LaTeX-env-args ["argument"] 0)
    '("gmatrix" LaTeX-env-args ["argument"] 0)
    '("printunsrtglossarywrap" LaTeX-env-args ["argument"] 0)
    '("maszynopis" LaTeX-env-args ["argument"] 0)
    '("gnuplot" LaTeX-env-args ["argument"] 0)
    '("Encap" LaTeX-env-args ["argument"] 3)
    '("Row" LaTeX-env-args ["argument"] 0)
    '("row" LaTeX-env-args ["argument"] 2)
    '("arttitsub" LaTeX-env-args ["argument"] 2)
    '("artsubtit" LaTeX-env-args ["argument"] 2)
    '("art" LaTeX-env-args ["argument"] 1)
    '("widedesc" LaTeX-env-args ["argument"] 0)
    '("flexlist" LaTeX-env-args ["argument"] 1)
    '("hvFloatEnv" LaTeX-env-args ["argument"] 0)
    '("inctext" LaTeX-env-args ["argument"] 0)
    '("labeling" LaTeX-env-args ["argument"] 1)
    '("KeyValTable" LaTeX-env-args ["argument"] 1)
    '("pattern" LaTeX-env-args ["argument"] 2)
    '("letter" LaTeX-env-args ["argument"] 1)
    '("InstanceDescription" LaTeX-env-args ["argument"] 3)
    '("edtable" LaTeX-env-args ["argument"] 1)
    '("longbox" LaTeX-env-args ["argument"] 0)
    '("longfbox" LaTeX-env-args ["argument"] 0)
    '("lpic" LaTeX-env-args ["argument"] 1)
    '("FullLsc" LaTeX-env-args ["argument"] 7)
    '("Lsc" LaTeX-env-args ["argument"] 3)
    '("lsccreateinst" LaTeX-env-args ["argument"] 3)
    '("lscinst" LaTeX-env-args ["argument"] 1)
    '("simregion" LaTeX-env-args ["argument"] 0)
    '("coregion" LaTeX-env-args ["argument"] 0)
    '("ltssidetoks" LaTeX-env-args ["argument"] 1)
    '("ltsfnquote" LaTeX-env-args ["argument"] 0)
    '("subfloatrow" LaTeX-env-args ["argument"] 0)
    '("floatrow" LaTeX-env-args ["argument"] 0)
    '("fullwidth" LaTeX-env-args ["argument"] 0)
    '("longtable" LaTeX-env-args ["argument"] 1)
    '("multlined" LaTeX-env-args ["argument"] 0)
    '("Vsmallmatrix" LaTeX-env-args ["argument"] 0)
    '("vsmallmatrix" LaTeX-env-args ["argument"] 0)
    '("Bsmallmatrix" LaTeX-env-args ["argument"] 0)
    '("bsmallmatrix" LaTeX-env-args ["argument"] 0)
    '("psmallmatrix" LaTeX-env-args ["argument"] 0)
    '("strip" LaTeX-env-args ["argument"] 0)
    '("system" LaTeX-env-args ["argument"] 0)
    '("darray" LaTeX-env-args ["argument"] 1)
    '("fleqn" LaTeX-env-args ["argument"] 0)
    '("VNiceMatrix" LaTeX-env-args ["argument"] 0)
    '("vNiceMatrix" LaTeX-env-args ["argument"] 0)
    '("BNiceMatrix" LaTeX-env-args ["argument"] 0)
    '("bNiceMatrix" LaTeX-env-args ["argument"] 0)
    '("pNiceMatrix" LaTeX-env-args ["argument"] 0)
    '("NiceMatrix" LaTeX-env-args ["argument"] 0)
    '("NiceArray" LaTeX-env-args ["argument"] 1)
    '("Parallel" LaTeX-env-args ["argument"] 2)
    '("parcolumns" LaTeX-env-args ["argument"] 1)
    '("pdfsidelinecomment" LaTeX-env-args ["argument"] 1)
    '("stabular" LaTeX-env-args ["argument"] 1)
    '("itembox" LaTeX-env-args ["argument"] 1)
    '("screen" LaTeX-env-args ["argument"] 0)
    '("measuredfigure" LaTeX-env-args ["argument"] 0)
    '("tablenotes" LaTeX-env-args ["argument"] 0)
    '("threeparttable" LaTeX-env-args ["argument"] 0)
    '("tram" LaTeX-env-args ["argument"] 0)
    '("WithArrows" LaTeX-env-args ["argument"] 0)))
 :latex)

