(TeX-add-style-hook
 "source2edoc"
 (lambda ()
   (TeX-run-style-hooks
    "latex2e"
    "l3doc"
    "l3doc10")
   (TeX-add-symbols
    "url"
    "partname"
    "protect"
    "aalph"
    "thepart"
    "filesep"
    "filekey"
    "docincludeaux"
    "MaintainedBy"
    "MaintainedByLaTeXTeam"
    "task"
    "commentline")
   (LaTeX-add-environments
    '("acronym" LaTeX-env-args ["argument"] 0)
    '("axiomlist" LaTeX-env-args ["argument"] 1)
    '("function" LaTeX-env-args ["argument"] 0)
    '("procedure" LaTeX-env-args ["argument"] 0)
    '("algorithmic" LaTeX-env-args ["argument"] 0)
    '("proof" LaTeX-env-args ["argument"] 0)
    '("gathered" LaTeX-env-args ["argument"] 0)
    '("alignedat" LaTeX-env-args ["argument"] 1)
    '("animateinline" LaTeX-env-args ["argument"] 1)
    '("AsciiDocList" LaTeX-env-args ["argument"] 0)
    '("AsciiList" LaTeX-env-args ["argument"] 1)
    '("decl" LaTeX-env-args ["argument"] 0)))
 :latex)

