(TeX-add-style-hook
 "xintfrac"
 (lambda ()
   (TeX-run-style-hooks
    "xint")
   (TeX-add-symbols
    "XINTdigits"
    "y"
    "empty"
    "z"
    "xintLen"
    "xintlen"
    "xintEq"
    "xinteq"
    "xintNotEq"
    "xintGt"
    "xintgt"
    "xintLt"
    "xintlt"
    "xintGtorEq"
    "xintLtorEq"
    "xintIsZero"
    "xintiszero"
    "xintIsNotZero"
    "xintisnotzero"
    "xintOdd"
    "xintodd"
    "xintEven"
    "xinteven"
    "xintifSgn"
    "xintifsgn"
    "xintifCmp"
    "xintifcmp"
    "xintifEq"
    "xintifeq"
    "xintifGt"
    "xintifgt"
    "xintifLt"
    "xintiflt"
    "xintifZero"
    "xintifzero"
    "xintifNotZero"
    "xintifnotzero"
    "xintifOne"
    "xintifone"
    "xintifOdd"
    "xintifodd"
    "xintRaw"
    "xintraw"
    "xintiLogTen"
    "xintilogten"
    "xintPRaw"
    "xintpraw"
    "xintSPRaw"
    "xintspraw"
    "xintFracToSciE"
    "xintRawWithZeros"
    "xintrawwithzeros"
    "xintDecToString"
    "xintdectostring"
    "xintFloor"
    "xintfloor"
    "xintiFloor"
    "xintifloor"
    "xintCeil"
    "xintceil"
    "xintiCeil"
    "xinticeil"
    "xintNumerator"
    "xintnumerator"
    "xintDenominator"
    "xintdenominator"
    "xintFrac"
    "xintSignedFrac"
    "xintsignedfrac"
    "xintFwOver"
    "xintfwover"
    "xintSignedFwOver"
    "xintsignedfwover"
    "xintREZ"
    "xintrez"
    "xintE"
    "xinte"
    "xintIrr"
    "xintPIrr"
    "xintirr"
    "xintpirr"
    "xintifInt"
    "xintifint"
    "xintIsInt"
    "xintisint"
    "xintJrr"
    "xintjrr"
    "xintTFrac"
    "xinttfrac"
    "xintTrunc"
    "xintiTrunc"
    "xinttrunc"
    "xintitrunc"
    "xintTTrunc"
    "xintttrunc"
    "xintnum"
    "xintRound"
    "xintiRound"
    "xintround"
    "xintiround"
    "xintXTrunc"
    "xintAdd"
    "xintadd"
    "xintSub"
    "xintsub"
    "xintSum"
    "xintsum"
    "xintMul"
    "xintmul"
    "xintSqr"
    "xintsqr"
    "xintipow"
    "xintPow"
    "xintpow"
    "xintFac"
    "xintfac"
    "xintBinomial"
    "xintbinomial"
    "xintipfactorial"
    "xintPFactorial"
    "xintpfactorial"
    "xintPrd"
    "xintprd"
    "xintDiv"
    "xintdiv"
    "xintDivFloor"
    "xintdivfloor"
    "xintDivTrunc"
    "xintdivtrunc"
    "xintDivRound"
    "xintdivround"
    "xintModTrunc"
    "xintmodtrunc"
    "xintDivMod"
    "xintdivmod"
    "xintMod"
    "xintmod"
    "xintIsOne"
    "xintisone"
    "xintGeq"
    "xintgeq"
    "xintMax"
    "xintmax"
    "xintMaxof"
    "xintmaxof"
    "xintMin"
    "xintmin"
    "xintMinof"
    "xintminof"
    "xintCmp"
    "xintcmp"
    "xintAbs"
    "xintabs"
    "xintOpp"
    "xintopp"
    "xintInv"
    "xintinv"
    "xintSgn"
    "xintsgn"
    "xintGCD"
    "xintgcd"
    "xintGCDof"
    "xintgcdof"
    "xintLCM"
    "xintlcm"
    "xintLCMof"
    "xintlcmof"
    "xintDigits"
    "xinttheDigits"
    "xintSetDigits"
    "xintFloat"
    "xintfloat"
    "XINTinFloat"
    "XINTinfloat"
    "XINTinFloatS"
    "XINTinfloatS"
    "XINTFloatiLogTen"
    "XINTfloatilogten"
    "xintPFloat"
    "xintpfloat"
    "xintPFloatE"
    "XINTinFloatFracdigits"
    "XINTinfloatfracdigits"
    "xintFloatAdd"
    "xintfloatadd"
    "XINTinFloatAdd"
    "XINTinfloatadd"
    "xintFloatSub"
    "xintfloatsub"
    "XINTinFloatSub"
    "XINTinfloatsub"
    "xintFloatMul"
    "xintfloatmul"
    "XINTinFloatMul"
    "XINTinfloatmul"
    "XINTinFloatInv"
    "xintFloatDiv"
    "xintfloatdiv"
    "XINTinFloatDiv"
    "XINTinfloatdiv"
    "xintFloatPow"
    "xintfloatpow"
    "XINTinFloatPow"
    "XINTinfloatpow"
    "xintFloatPower"
    "xintfloatpower"
    "XINTinFloatPower"
    "XINTinfloatpower"
    "XINTinFloatPowerH"
    "XINTinfloatpowerh"
    "xintFloatFac"
    "xintfloatfac"
    "XINTinFloatFac"
    "XINTinfloatfac"
    "xintFloatPFactorial"
    "xintfloatpfactorial"
    "XINTinFloatPFactorial"
    "XINTinfloatpfactorial"
    "xintFloatBinomial"
    "xintfloatbinomial"
    "XINTinFloatBinomial"
    "XINTinfloatbinomial"
    "xintFloatSqrt"
    "xintfloatsqrt"
    "XINTinFloatSqrt"
    "XINTinfloatsqrt"
    "xintFloatE"
    "xintfloate"
    "XINTinFloatE"
    "XINTinfloate"
    "XINTinFloatMod"
    "XINTinfloatmod"
    "XINTinFloatDivFloor"
    "XINTinfloatdivfloor"
    "XINTinFloatDivMod"
    "XINTinfloatdivmod"
    "xintifFloatInt"
    "xintiffloatint"
    "xintFloatIsInt"
    "xintfloatisint"
    "XINTinFloatdigits"
    "XINTinFloatSdigits"
    "XINTinFloatSqrtdigits"
    "XINTinFloatFacdigits"
    "XINTFloatiLogTendigits"
    "XINTinRandomFloatS"
    "XINTinRandomFloatSdigits"
    "XINTinrandomfloatS"
    "XINT"
    "XINTinRandomFloatSixteen"
    "PoorManLogBaseTen"
    "poormanlogbaseten"
    "PoorManPowerOfTen"
    "poormanpoweroften"
    "PoorManPower"
    "xintLog"
    "XINTinFloatLog"
    "xintExp"
    "XINTinFloatExp"
    "XINTinFloatMaxof"
    "XINTinFloatMinof"
    "XINTinFloatSum"
    "XINTinFloatPrd"))
 :latex)

