(TeX-add-style-hook
 "accessibility"
 (lambda ()
   (TeX-run-style-hooks
    "xkeyval"
    "ifthen")
   (TeX-add-symbols
    '("recognizeLanguageChange" 1)
    '("convertLanguageInCode" 1)
    '("originalminisecWithOption" 1)
    '("originalminisecWithTwoOption" 2)
    '("originalminisecWithStar" 1)
    '("originalsubparagraphWithOption" 1)
    '("originalsubparagraphWithTwoOption" 2)
    '("originalsubparagraphWithStar" 1)
    '("originalparagraphWithOption" 1)
    '("originalparagraphWithTwoOption" 2)
    '("originalparagraphWithStar" 1)
    '("originalsubsubsectionWithOption" 1)
    '("originalsubsubsectionWithTwoOption" 2)
    '("originalsubsubsectionWithStar" 1)
    '("originalsubsectionWithOption" 1)
    '("originalsubsectionWithTwoOption" 2)
    '("originalsubsectionWithStar" 1)
    '("originalsectionWithOption" 1)
    '("originalsectionWithTwoOption" 2)
    '("originalsectionWithStar" 1)
    '("originaladdchapWithOption" 1)
    '("originaladdchapWithTwoOption" 2)
    '("originaladdchapWithStar" 1)
    '("originalchapterWithOption" 1)
    '("originalchapterWithTwoOption" 2)
    '("originalchapterWithStar" 1)
    '("EndPage" 1)
    '("writeComplexTextObj" 5)
    '("writePDFLeafObj" 2)
    '("EveryparConfig" 2)
    '("closeUntilPDFStruct" 1)
    '("sectionInDepth" 2)
    '("thead" 1)
    '("newhref" 3)
    '("alt" 1)
    "EveryparReset"
    "linenopenalty"
    "linenopenaltypar"
    "BeginPage"
    "linenoprevgraf"
    "closeItem"
    "originalthead"
    "accessPushStack"
    "accessPopStack"
    "accessReadTopStack"
    "originaleverypar"
    "everypar"
    "noexpand"
    "makeLineNumber"
    "LastNumberedPage"
    "testLastNumberedPage"
    "testFirstNumberedPage"
    "testNumberedPage"
    "lastAC"
    "firstAC"
    "pageAC"
    "nextAC"
    "testNextNumberedPage"
    "NumberedPageCache"
    "gotNumberedPage"
    "linenumberpar"
    "originalnewpage"
    "originalchapter"
    "originaladdchap"
    "originalsection"
    "originalsubsection"
    "originalsubsubsection"
    "originalparagraph"
    "originalsubparagraph"
    "originalminisec"
    "originalquote"
    "originalendquote"
    "originalquotation"
    "originalendquotation"
    "originalverse"
    "originalendverse"
    "originalverbatim"
    "originalendverbatim"
    "originalitemize"
    "originalenditemize"
    "originallabelitemi"
    "originallabelitemii"
    "originallabelitemiii"
    "originallabelitemiv"
    "originalenumerate"
    "originalendenumerate"
    "originallabelenumi"
    "originallabelenumii"
    "originallabelenumiii"
    "originallabelenumiv"
    "originaldescription"
    "originalenddescription"
    "originaldescriptionlabel"
    "originalFormulaBegin"
    "originalFormulaEnd"
    "originalequation"
    "originalendequation"
    "originaleqnarray"
    "originalendeqnarray"
    "originalamp"
    "originaltabular"
    "originalendtabular"
    "originalaryend"
    "originaltabend"
    "originaltabbing"
    "originalendtabbing"
    "originalkill"
    "originalemph"
    "originalhyperlink"
    "originalhyperpage"
    "originalnolinkurl"
    "originalref"
    "originalpageref"
    "originalcite"
    "originalverb"
    "originalFormulaTextBegin"
    "originalFormulaTextEnd"
    "originalfootnote"
    "footnote"
    "originalcontentsline"
    "originalthebibliography"
    "originalendthebibliography"
    "originalbibitem"
    "originaltheindex"
    "originalendtheindex"
    "originaldotfill"
    "originalfootnoterule"
    "originalhrule"
    "hrule"
    "originalmaketitle"
    "originalincludegraphics"
    "originalpicture"
    "originalendpicture"
    "originalselectlanguage"
    "originalotherlanguage"
    "originalendotherlanguage"
    "originalforeignlanguage"
    "originalnewacronym"
    "glodesc"
    "glolong"
    "gloshort")
   (LaTeX-add-environments
    "otherlanguage"
    "linenomath"
    '("PDFParSect" 2)
    '("PDFSect" 2)
    '("PDFInlineObjInText" 1)
    '("PDFSpezialTextObj" 1)
    '("PDFStructObj" 2)
    "PDFTextObj"
    "PDFMarkContent"
    "PDFList"
    "PDFListLabel"
    "PDFTable"
    "PDFTableLine"
    "PDFTableCell"
    "PDFFootnote"
    "PDFFootnoteReference"
    "PDFFootnoteText"
    "PDFPageArtefakt"
    "PDFLayoutArtefakt")
   (LaTeX-add-counters
    "StructTree"
    "ObjHelp"
    "TaggedObj"
    "TextObjNum"
    "PDFReferenceObjNum"
    "ParCounter"
    "ClassMap"
    "linenumber"
    "abslinenumber"
    "mypage"
    "LastPar"
    "ListDepth"
    "PDFFootnotemark"
    "PDFFootnotetext"
    "ObjNum"))
 :latex)

