(TeX-add-style-hook
 "acro"
 (lambda ()
   (TeX-run-style-hooks
    "}"
    "translations")
   (TeX-add-symbols
    "hbadness")
   (LaTeX-add-xparse-macros
    '("\\NewDocumentCommand \\AcroStyle {smO{}}" "AcroStyle" "smO{}" "New")
    '("\\NewDocumentCommand \\AcroAddRow {+m}" "AcroAddRow" "+m" "New")
    '("\\NewDocumentCommand \\AcroRerun {}" "AcroRerun" "" "New")
    '("\\NewDocumentCommand \\AcroPropertiesMap {+m}" "AcroPropertiesMap" "+m" "New")
    '("\\NewDocumentCommand \\AcroAcronymsMap {+m}" "AcroAcronymsMap" "+m" "New")
    '("\\NewExpandableDocumentCommand \\AcroMapBreak {}" "AcroMapBreak" "" "New")
    '("\\NewDocumentCommand \\AcroPropertiesSet {m+m}" "AcroPropertiesSet" "m+m" "New")
    '("\\NewDocumentCommand \\AcroMap {m+m}" "AcroMap" "m+m" "New")
    '("\\NewDocumentCommand \\AcroNeedPackage {m}" "AcroNeedPackage" "m" "New")
    '("\\NewDocumentCommand \\acsetup {+m}" "acsetup" "+m" "New")
    '("\\NewDocumentCommand \\acroloadstyle {m}" "acroloadstyle" "m" "New")
    '("\\NewExpandableDocumentCommand \\acroifstarredTF {}" "acroifstarredTF" "" "New")
    '("\\NewExpandableDocumentCommand \\acroifstarredT {}" "acroifstarredT" "" "New")
    '("\\NewExpandableDocumentCommand \\acroifstarredF {}" "acroifstarredF" "" "New")
    '("\\NewExpandableDocumentCommand \\acroifusedTF {m}" "acroifusedTF" "m" "New")
    '("\\NewExpandableDocumentCommand \\acroifusedT {m}" "acroifusedT" "m" "New")
    '("\\NewExpandableDocumentCommand \\acroifusedF {m}" "acroifusedF" "m" "New")
    '("\\NewDocumentCommand \\acuse {m}" "acuse" "m" "New")
    '("\\NewDocumentCommand \\acuseall {}" "acuseall" "" "New")
    '("\\NewDocumentCommand \\acreset {m}" "acreset" "m" "New")
    '("\\NewDocumentCommand \\acresetall {}" "acresetall" "" "New")
    '("\\NewExpandableDocumentCommand \\acsimple {mm}" "acsimple" "mm" "New")
    '("\\NewDocumentCommand \\acbarrier {}" "acbarrier" "" "New")
    '("\\NewDocumentCommand \\acswitchoff {}" "acswitchoff" "" "New")
    '("\\NewDocumentCommand \\acswitchon {}" "acswitchon" "" "New")
    '("\\NewDocumentCommand \\DeclareAcroProperty {st?t!t|t>m}" "DeclareAcroProperty" "st?t!t|t>m" "New")
    '("\\NewDocumentCommand \\DeclareAcroPropertyAlias {st?t!t|t>mm}" "DeclareAcroPropertyAlias" "st?t!t|t>mm" "New")
    '("\\NewDocumentCommand \\MakeAcroPropertyAlias {mm}" "MakeAcroPropertyAlias" "mm" "New")
    '("\\NewDocumentCommand \\NewAcroPreset {m+m}" "NewAcroPreset" "m+m" "New")
    '("\\NewDocumentCommand \\RenewAcroPreset {m+m}" "RenewAcroPreset" "m+m" "New")
    '("\\NewDocumentCommand \\DeclareAcroPreset {m+m}" "DeclareAcroPreset" "m+m" "New")
    '("\\NewDocumentCommand \\UseAcroTemplate {O{acronym}mO{1}}" "UseAcroTemplate" "O{acronym}mO{1}" "New")
    '("\\NewDocumentCommand \\NewAcroTemplate {O{acronym}m+m}" "NewAcroTemplate" "O{acronym}m+m" "New")
    '("\\NewDocumentCommand \\RenewAcroTemplate {O{acronym}m+m}" "RenewAcroTemplate" "O{acronym}m+m" "New")
    '("\\NewDocumentCommand \\SetupAcroTemplate {O{acronym}m+m}" "SetupAcroTemplate" "O{acronym}m+m" "New")
    '("\\NewDocumentCommand \\SetupNextAcroTemplate {O{acronym}m+m}" "SetupNextAcroTemplate" "O{acronym}m+m" "New")
    '("\\NewDocumentCommand \\DeclareAcronym {m+m}" "DeclareAcronym" "m+m" "New")
    '("\\NewDocumentCommand \\DeclareAcroEnding {mmm}" "DeclareAcroEnding" "mmm" "New")
    '("\\NewDocumentCommand \\DeclareAcroArticle {mm}" "DeclareAcroArticle" "mm" "New")
    '("\\NewDocumentCommand \\DeclareAcroTranslation {m+m}" "DeclareAcroTranslation" "m+m" "New")
    '("\\NewDocumentCommand \\AddAcroTranslations {m+m}" "AddAcroTranslations" "m+m" "New")
    '("\\NewExpandableDocumentCommand \\acrotranslate {m}" "acrotranslate" "m" "New")
    '("\\NewExpandableDocumentCommand \\aciftrailing {}" "aciftrailing" "" "New")
    '("\\NewDocumentCommand \\acfootnote {m}" "acfootnote" "m" "New")
    '("\\NewDocumentCommand \\acgobbletrail {}" "acgobbletrail" "" "New")
    '("\\NewExpandableDocumentCommand \\acdot   {}" "acdot" "" "New")
    '("\\NewExpandableDocumentCommand \\acspace {}" "acspace" "" "New")
    '("\\NewExpandableDocumentCommand \\abbrdot {}" "abbrdot" "" "New")
    '("\\NewDocumentCommand \\acroupper {}" "acroupper" "" "New")
    '("\\NewDocumentCommand \\acrofull {}" "acrofull" "" "New")
    '("\\NewDocumentCommand \\printacronyms {o}" "printacronyms" "o" "New")
    '("\\NewDocumentCommand \\acroheading  {}" "acroheading" "" "New")
    '("\\NewDocumentCommand \\acropreamble {}" "acropreamble" "" "New")
    '("\\NewDocumentCommand \\acropostamble {}" "acropostamble" "" "New")
    '("\\NewExpandableDocumentCommand \\acrolistname {}" "acrolistname" "" "New")
    '("\\NewDocumentCommand \\acronymsmapTF {+m+m+m}" "acronymsmapTF" "+m+m+m" "New")
    '("\\NewDocumentCommand \\acronymsmapT {+m+m}" "acronymsmapT" "+m+m" "New")
    '("\\NewDocumentCommand \\acronymsmapF {+m+m}" "acronymsmapF" "+m+m" "New")
    '("\\NewDocumentCommand \\acronymsmap {+m}" "acronymsmap" "+m" "New")
    '("\\NewExpandableDocumentCommand \\acrofield {mm}" "acrofield" "mm" "New")
    '("\\NewDocumentCommand \\acroprintfield {mm}" "acroprintfield" "mm" "New")
    '("\\NewExpandableDocumentCommand \\acroiffieldTF {+m+m+m+m}" "acroiffieldTF" "+m+m+m+m" "New")
    '("\\NewDocumentCommand \\acroifanyfieldTF {mm+m+m}" "acroifanyfieldTF" "mm+m+m" "New")
    '("\\NewDocumentCommand \\acroifallfieldsTF {mm+m+m}" "acroifallfieldsTF" "mm+m+m" "New")
    '("\\NewExpandableDocumentCommand \\acroifpagefieldTF {m}" "acroifpagefieldTF" "m" "New")
    '("\\NewDocumentCommand \\acrowrite {m}" "acrowrite" "m" "New")
    '("\\NewDocumentCommand \\acroshow {m}" "acroshow" "m" "New")
    '("\\NewDocumentCommand \\acrodonotuse {}" "acrodonotuse" "" "New")
    '("\\NewDocumentCommand \\acroformat {mm}" "acroformat" "mm" "New")
    '("\\NewDocumentCommand \\acrogroupcite {}" "acrogroupcite" "" "New")
    '("\\NewDocumentCommand \\acrocite {}" "acrocite" "" "New")
    '("\\NewExpandableDocumentCommand \\acroifpropertyTF {m}" "acroifpropertyTF" "m" "New")
    '("\\NewExpandableDocumentCommand \\acroifpropertyT {m}" "acroifpropertyT" "m" "New")
    '("\\NewExpandableDocumentCommand \\acroifpropertyF {m}" "acroifpropertyF" "m" "New")
    '("\\NewExpandableDocumentCommand \\acroifbooleanTF {m}" "acroifbooleanTF" "m" "New")
    '("\\NewExpandableDocumentCommand \\acroifbooleanT {m}" "acroifbooleanT" "m" "New")
    '("\\NewExpandableDocumentCommand \\acroifbooleanF {m}" "acroifbooleanF" "m" "New")
    '("\\NewExpandableDocumentCommand \\acroifTF {m}" "acroifTF" "m" "New")
    '("\\NewExpandableDocumentCommand \\acroifT {m}" "acroifT" "m" "New")
    '("\\NewExpandableDocumentCommand \\acroifF {m}" "acroifF" "m" "New")
    '("\\NewDocumentCommand \\acroifanyTF {m+m+m}" "acroifanyTF" "m+m+m" "New")
    '("\\NewDocumentCommand \\acroifanyT {m+m}" "acroifanyT" "m+m" "New")
    '("\\NewDocumentCommand \\acroifanyF {m+m}" "acroifanyF" "m+m" "New")
    '("\\NewDocumentCommand \\acroifallTF {m+m+m}" "acroifallTF" "m+m+m" "New")
    '("\\NewDocumentCommand \\acroifallT {m+m}" "acroifallT" "m+m" "New")
    '("\\NewDocumentCommand \\acroifallF {m+m}" "acroifallF" "m+m" "New")
    '("\\NewDocumentCommand \\acroifsingleTF {+m+m}" "acroifsingleTF" "+m+m" "New")
    '("\\NewDocumentCommand \\acroifsingleT {+m}" "acroifsingleT" "+m" "New")
    '("\\NewDocumentCommand \\acroifsingleF {+m}" "acroifsingleF" "+m" "New")
    '("\\NewDocumentCommand \\acroiffirstTF {+m+m}" "acroiffirstTF" "+m+m" "New")
    '("\\NewDocumentCommand \\acroiffirstT {+m}" "acroiffirstT" "+m" "New")
    '("\\NewDocumentCommand \\acroiffirstF {+m}" "acroiffirstF" "+m" "New")
    '("\\NewDocumentCommand \\acroiftagTF {m+m+m}" "acroiftagTF" "m+m+m" "New")
    '("\\NewDocumentCommand \\acroiftagT {m+m}" "acroiftagT" "m+m" "New")
    '("\\NewDocumentCommand \\acroiftagF {m+m}" "acroiftagF" "m+m" "New")
    '("\\NewDocumentCommand \\acropages {mm}" "acropages" "mm" "New")
    '("\\NewDocumentCommand \\acronopagerange {}" "acronopagerange" "" "New")
    '("\\NewDocumentCommand \\acroneedpages {}" "acroneedpages" "" "New")
    '("\\NewDocumentCommand \\acropagefill {}" "acropagefill" "" "New")
    '("\\NewDocumentCommand \\acrodotfill {}" "acrodotfill" "" "New")
    '("\\NewExpandableDocumentCommand \\acroifpagesTF {}" "acroifpagesTF" "" "New")
    '("\\NewExpandableDocumentCommand \\acroifpagesT {}" "acroifpagesT" "" "New")
    '("\\NewExpandableDocumentCommand \\acroifpagesF {}" "acroifpagesF" "" "New")
    '("\\NewExpandableDocumentCommand \\acroifchapterTF {}" "acroifchapterTF" "" "New")
    '("\\NewExpandableDocumentCommand \\acroifchapterT {}" "acroifchapterT" "" "New")
    '("\\NewExpandableDocumentCommand \\acroifchapterF {}" "acroifchapterF" "" "New")
    '("\\ProvideExpandableDocumentCommand \\nospace {}" "nospace" "" "Provide")))
 :latex)

