(TeX-add-style-hook
 "algorithmic"
 (lambda ()
   (TeX-run-style-hooks
    "ifthen"
    "keyval")
   (TeX-add-symbols
    '("REPEAT" ["argument"] 0)
    '("LOOP" ["argument"] 0)
    '("WHILE" ["argument"] 1)
    '("FORALL" ["argument"] 1)
    '("FOR" ["argument"] 1)
    '("ELSIF" ["argument"] 1)
    '("ELSE" ["argument"] 0)
    '("IF" ["argument"] 1)
    '("BODY" ["argument"] 0)
    '("OUTPUTS" ["argument"] 0)
    '("INPUTS" ["argument"] 0)
    '("UNTIL" 1)
    '("COMMENT" 1)
    '("algorithmiccomment" 1)
    "ALC"
    "algorithmicrequire"
    "algorithmicensure"
    "algorithmicend"
    "algorithmicif"
    "algorithmicthen"
    "algorithmicelse"
    "algorithmicelsif"
    "algorithmicendif"
    "algorithmicfor"
    "algorithmicforall"
    "algorithmicdo"
    "algorithmicendfor"
    "algorithmicwhile"
    "algorithmicendwhile"
    "algorithmicloop"
    "algorithmicendloop"
    "algorithmicrepeat"
    "algorithmicuntil"
    "algorithmicprint"
    "algorithmicreturn"
    "algorithmicand"
    "algorithmicor"
    "algorithmicxor"
    "algorithmicnot"
    "algorithmicto"
    "algorithmicinputs"
    "algorithmicoutputs"
    "algorithmicglobals"
    "algorithmicbody"
    "algorithmictrue"
    "algorithmicfalse"
    "REQUIRE"
    "ENSURE"
    "PRINT"
    "RETURN"
    "TRUE"
    "FALSE"
    "AND"
    "OR"
    "XOR"
    "NOT"
    "TO"
    "STATE"
    "STMT"
    "ENDINPUTS"
    "ENDOUTPUTS"
    "GLOBALS"
    "ENDBODY"
    "ENDIF"
    "ENDFOR"
    "ENDWHILE"
    "ENDLOOP"
    "algsetup")
   (LaTeX-add-environments
    '("acronym" LaTeX-env-args ["argument"] 0)
    '("axiomlist" LaTeX-env-args ["argument"] 1)
    '("function" LaTeX-env-args ["argument"] 0)
    '("procedure" LaTeX-env-args ["argument"] 0)
    '("algorithmic" LaTeX-env-args ["argument"] 0)
    "ALC")
   (LaTeX-add-lengths
    "ALC"
    "algorithmicindent"))
 :latex)

