(TeX-add-style-hook
 "animate"
 (lambda ()
   (TeX-run-style-hooks
    "latex2e"
    "xkeyval"
    "ifthen"
    "iftex"
    "ifdraft"
    "calc"
    "graphics"
    "zref-abspage"
    "standalone"
    "standalone10"
    "pdfbase"
    "ocgbase"
    "pdftexcmds")
   (TeX-add-symbols
    '("animategraphics" ["argument"] 4)
    "string"
    "animategraphics"
    "width"
    "height"
    "depth"
    "totalheight"
    "newframe"
    "multiframe"
    "animateinline"
    "multiframebreak")
   (LaTeX-add-environments
    '("acronym" LaTeX-env-args ["argument"] 0)
    '("axiomlist" LaTeX-env-args ["argument"] 1)
    '("function" LaTeX-env-args ["argument"] 0)
    '("procedure" LaTeX-env-args ["argument"] 0)
    '("algorithmic" LaTeX-env-args ["argument"] 0)
    '("proof" LaTeX-env-args ["argument"] 0)
    '("gathered" LaTeX-env-args ["argument"] 0)
    '("alignedat" LaTeX-env-args ["argument"] 1)
    '("animateinline" LaTeX-env-args ["argument"] 1)
    "anim"))
 :latex)

