(TeX-add-style-hook
 "arraycols"
 (lambda ()
   (TeX-add-to-alist 'LaTeX-provided-package-options
                     '(("cellspace" "math")))
   (TeX-run-style-hooks
    "array"
    "cellspace"
    "tabularx"
    "makecell")
   (TeX-add-symbols
    "whline")
   (LaTeX-add-environments
    '("acronym" LaTeX-env-args ["argument"] 0)
    '("axiomlist" LaTeX-env-args ["argument"] 1)
    '("function" LaTeX-env-args ["argument"] 0)
    '("procedure" LaTeX-env-args ["argument"] 0)
    '("algorithmic" LaTeX-env-args ["argument"] 0)
    '("proof" LaTeX-env-args ["argument"] 0)
    '("gathered" LaTeX-env-args ["argument"] 0)
    '("alignedat" LaTeX-env-args ["argument"] 1)
    '("animateinline" LaTeX-env-args ["argument"] 1))
   (LaTeX-add-lengths
    "savedwidth"))
 :latex)

