(TeX-add-style-hook
 "attachfile2"
 (lambda ()
   (TeX-run-style-hooks
    "iftex"
    "keyval"
    "color"
    "infwarerr"
    "ltxcmds"
    "kvoptions"
    "pdftexcmds"
    "pdfescape"
    "hyperref"
    "hycolor")
   (TeX-add-symbols
    '("textattachfile" ["argument"] 0)
    '("attachfile" ["argument"] 0)
    '("attachfile" ["argument"] 1)
    '("noattachfile" ["argument"] 0)
    '("textattachfile" ["argument"] 2)
    '("notextattachfile" ["argument"] 1)
    '("attachfilesetup" 1)
    "atfi"
    "attachfile")
   (LaTeX-add-environments
    '("acronym" LaTeX-env-args ["argument"] 0)
    '("axiomlist" LaTeX-env-args ["argument"] 1)
    '("function" LaTeX-env-args ["argument"] 0)
    '("procedure" LaTeX-env-args ["argument"] 0)
    '("algorithmic" LaTeX-env-args ["argument"] 0)
    '("proof" LaTeX-env-args ["argument"] 0)
    '("gathered" LaTeX-env-args ["argument"] 0)
    '("alignedat" LaTeX-env-args ["argument"] 1)
    '("animateinline" LaTeX-env-args ["argument"] 1)
    '("AsciiDocList" LaTeX-env-args ["argument"] 0)
    '("AsciiList" LaTeX-env-args ["argument"] 1))
   (LaTeX-add-lengths
    "atfi")
   (LaTeX-add-saveboxes
    "atfi"))
 :latex)

