(TeX-add-style-hook
 "axessibility"
 (lambda ()
   (TeX-add-to-alist 'LaTeX-provided-package-options
                     '(("fontenc" "T1")))
   (TeX-run-style-hooks
    "glyphtounicode"
    "amsmath"
    "amssymb"
    "xstring"
    "tagpdf"
    "fontenc"
    "fontspec"
    "luacode"
    "accsupp")
   (TeX-add-symbols
    '("doreplacement" 1)
    "auxiliaryspace"
    "wrapmlstar"
    "wrapmlalt"
    "wrap"
    "wrapml")
   (LaTeX-add-environments
    '("acronym" LaTeX-env-args ["argument"] 0)
    '("axiomlist" LaTeX-env-args ["argument"] 1)
    '("function" LaTeX-env-args ["argument"] 0)
    '("procedure" LaTeX-env-args ["argument"] 0)
    '("algorithmic" LaTeX-env-args ["argument"] 0)
    '("proof" LaTeX-env-args ["argument"] 0)
    '("gathered" LaTeX-env-args ["argument"] 0)
    '("alignedat" LaTeX-env-args ["argument"] 1)
    '("animateinline" LaTeX-env-args ["argument"] 1)
    '("AsciiDocList" LaTeX-env-args ["argument"] 0)
    '("AsciiList" LaTeX-env-args ["argument"] 1)
    "temp"
    "tempenv"))
 :latex)

