(TeX-add-style-hook
 "bicaption"
 (lambda ()
   (TeX-run-style-hooks
    "caption")
   (TeX-add-symbols
    '("selectcaptionlanguage" 1)
    '("DeclareCaptionLangOption" 1)
    '("DeclareBiCaptionSeparator" 2)
    "bicaptionbox"
    "bisubcaption"
    "bisubcaptionbox"
    "LT"
    "DeclareCaptionLanguageOption"
    "captionmainlanguage"
    "subbicaption"
    "subbicaptionbox")
   (LaTeX-add-environments
    '("acronym" LaTeX-env-args ["argument"] 0)
    '("axiomlist" LaTeX-env-args ["argument"] 1)
    '("function" LaTeX-env-args ["argument"] 0)
    '("procedure" LaTeX-env-args ["argument"] 0)
    '("algorithmic" LaTeX-env-args ["argument"] 0)
    '("proof" LaTeX-env-args ["argument"] 0)
    '("gathered" LaTeX-env-args ["argument"] 0)
    '("alignedat" LaTeX-env-args ["argument"] 1)
    '("animateinline" LaTeX-env-args ["argument"] 1)
    '("AsciiDocList" LaTeX-env-args ["argument"] 0)
    '("AsciiList" LaTeX-env-args ["argument"] 1)
    '("decl" LaTeX-env-args ["argument"] 0)
    '("bchart" LaTeX-env-args ["argument"] 0)
    '("beamercolorbox" LaTeX-env-args ["argument"] 1)
    '("pauses" LaTeX-env-args ["argument"] 0)
    '("table" LaTeX-env-args ["argument"] 0)
    '("figure" LaTeX-env-args ["argument"] 0)
    '("overprint" LaTeX-env-args ["argument"] 0)
    '("enumstep" LaTeX-env-args ["argument"] 0)
    '("itemstep" LaTeX-env-args ["argument"] 0)
    '("slide" LaTeX-env-args ["argument"] 1)
    '("slide" LaTeX-env-args ["argument"] 0)
    '("blochsphere" LaTeX-env-args ["argument"] 0)
    '("bondgraph" LaTeX-env-args ["argument"] 0)
    '("xcalctab" LaTeX-env-args ["argument"] 0)
    '("calctab" LaTeX-env-args ["argument"] 0)
    '("calstable" LaTeX-env-args ["argument"] 0))
   (LaTeX-add-caption-DeclareCaptions
    '("\\DeclareCaptionOption{bi-lang}" "Option" "bi-lang")
    '("\\DeclareCaptionOption{bi-singlelinecheck}" "Option" "bi-singlelinecheck")
    '("\\DeclareCaptionOption{bi-slc}" "Option" "bi-slc")
    '("\\DeclareCaptionOption{bi-swap}" "Option" "bi-swap")
    '("\\DeclareCaptionOption{bi-separator}" "Option" "bi-separator")
    '("\\DeclareCaptionOption{lang}" "Option" "lang")))
 :latex)

