(TeX-add-style-hook
 "bitart"
 (lambda ()
   (TeX-add-to-alist 'LaTeX-provided-class-options
                     '(("ctexart" "UTF8" "AutoFakeBold" "AutoFakeSlant" "zihao=-4")))
   (TeX-add-to-alist 'LaTeX-provided-package-options
                     '(("geometry" "a4paper" "left=3.18cm" "right=3.18cm" "top=2.54cm" "bottom=2.54cm" "includeheadfoot" "left=3cm" "right=2.4cm" "top=2.6cm" "bottom=2.38cm") ("biblatex" "style=gb7714-2015" "backend=biber")))
   (TeX-run-style-hooks
    "latex2e"
    "../lab-report/misc/cover_v1"
    "misc/cover"
    "ctexart"
    "ctexart10"
    "geometry"
    "fontspec"
    "setspace"
    "graphicx"
    "fancyhdr"
    "pdfpages"
    "booktabs"
    "multirow"
    "caption"
    "titlesec"
    "float"
    "etoolbox"
    "biblatex")
   (TeX-add-symbols
    '("upcite" 1))
   (LaTeX-add-environments
    '("acronym" LaTeX-env-args ["argument"] 0)
    '("axiomlist" LaTeX-env-args ["argument"] 1)
    '("function" LaTeX-env-args ["argument"] 0)
    '("procedure" LaTeX-env-args ["argument"] 0)
    '("algorithmic" LaTeX-env-args ["argument"] 0)
    '("proof" LaTeX-env-args ["argument"] 0)
    '("gathered" LaTeX-env-args ["argument"] 0)
    '("alignedat" LaTeX-env-args ["argument"] 1)
    '("animateinline" LaTeX-env-args ["argument"] 1)
    '("AsciiDocList" LaTeX-env-args ["argument"] 0)
    '("AsciiList" LaTeX-env-args ["argument"] 1)
    '("decl" LaTeX-env-args ["argument"] 0)
    '("bchart" LaTeX-env-args ["argument"] 0)
    '("beamercolorbox" LaTeX-env-args ["argument"] 1)
    '("pauses" LaTeX-env-args ["argument"] 0)
    '("table" LaTeX-env-args ["argument"] 0)
    '("figure" LaTeX-env-args ["argument"] 0)
    '("overprint" LaTeX-env-args ["argument"] 0)
    '("enumstep" LaTeX-env-args ["argument"] 0)
    '("itemstep" LaTeX-env-args ["argument"] 0)
    '("slide" LaTeX-env-args ["argument"] 1)
    '("slide" LaTeX-env-args ["argument"] 0)))
 :latex)

