(TeX-add-style-hook
 "caption3"
 (lambda ()
   (TeX-run-style-hooks
    "keyval")
   (TeX-add-symbols
    "endnotemark"
    "endnote"
    '("showcaptionsetup" ["argument"] 1)
    '("DeclareCaptionListFormat" 2)
    '("DeclareCaptionTextFormat" 2)
    '("DeclareCaptionLabelFormat" 2)
    '("DeclareCaptionBox" 2)
    '("DeclareCaptionSinglelinecheck" 2)
    '("DeclareCaptionStyle" 1)
    '("DeclareCaptionLength" 1)
    "l"
    "caption"
    "undefine"
    "DeclareCaptionOption"
    "DeclareCaptionOptionNoValue"
    "captionsetup"
    "clearcaptionsetup"
    "SetCaptionDefault"
    "SetCaptionFallback"
    "setcaptionmargin"
    "setcaptionwidth"
    "string"
    "DeclareCaptionFormat"
    "DeclareCaptionLabelSeparator"
    "captionnewline"
    "DeclareCaptionFont"
    "DeclareCaptionJustification"
    "centerfirst"
    "centerlast"
    "AtBeginCaption"
    "AtEndCaption"
    "AtCaptionPackage"
    "AfterCaptionPackage"
    "DeclareCaptionType"
    "ForEachCaptionType"
    "newfloat"
    "DeclareCaptionSubType"
    "ForEachCaptionSubType"
    "bothIfFirst"
    "bothIfSecond"
    "inputencoding"
    "IfCaptionOptionCheck"
    "CurrentOption"
    "edef"
    "captionfont"
    "captionlabelfont"
    "captionlisttype"
    "label"
    "hypertarget"
    "footnote"
    "footnotemark"
    "acused"
    "glsunset"
    "stepcounter"
    "ignorespaces"
    "noexpand")
   (LaTeX-add-environments
    '("acronym" LaTeX-env-args ["argument"] 0)
    '("axiomlist" LaTeX-env-args ["argument"] 1)
    '("function" LaTeX-env-args ["argument"] 0)
    '("procedure" LaTeX-env-args ["argument"] 0)
    '("algorithmic" LaTeX-env-args ["argument"] 0)
    '("proof" LaTeX-env-args ["argument"] 0)
    '("gathered" LaTeX-env-args ["argument"] 0)
    '("alignedat" LaTeX-env-args ["argument"] 1)
    '("animateinline" LaTeX-env-args ["argument"] 1)
    '("AsciiDocList" LaTeX-env-args ["argument"] 0)
    '("AsciiList" LaTeX-env-args ["argument"] 1)
    '("decl" LaTeX-env-args ["argument"] 0)
    '("bchart" LaTeX-env-args ["argument"] 0)
    '("beamercolorbox" LaTeX-env-args ["argument"] 1)
    '("pauses" LaTeX-env-args ["argument"] 0)
    '("table" LaTeX-env-args ["argument"] 0)
    '("figure" LaTeX-env-args ["argument"] 0)
    '("overprint" LaTeX-env-args ["argument"] 0)
    '("enumstep" LaTeX-env-args ["argument"] 0)
    '("itemstep" LaTeX-env-args ["argument"] 0)
    '("slide" LaTeX-env-args ["argument"] 1)
    '("slide" LaTeX-env-args ["argument"] 0)
    '("blochsphere" LaTeX-env-args ["argument"] 0)
    '("bondgraph" LaTeX-env-args ["argument"] 0)
    '("xcalctab" LaTeX-env-args ["argument"] 0)
    '("calctab" LaTeX-env-args ["argument"] 0)
    '("calstable" LaTeX-env-args ["argument"] 0))
   (LaTeX-add-lengths
    "abovecaptionskip"
    "belowcaptionskip"))
 :latex)

