(TeX-add-style-hook
 "ccicons"
 (lambda ()
   (TeX-run-style-hooks
    "xkeyval")
   (TeX-add-symbols
    "ccLogo"
    "ccAttribution"
    "ccShareAlike"
    "ccNoDerivatives"
    "ccNonCommercial"
    "ccNonCommercialEU"
    "ccNonCommercialJP"
    "ccPublicDomain"
    "ccPublicDomainAlt"
    "ccZero"
    "ccSampling"
    "ccShare"
    "ccRemix"
    "ccCopy"
    "ccby"
    "ccbysa"
    "ccbynd"
    "ccbync"
    "ccbynceu"
    "ccbyncjp"
    "ccbyncsa"
    "ccbyncsaeu"
    "ccbyncsajp"
    "ccbyncnd"
    "ccbyncndeu"
    "ccbyncndjp"
    "cczero"
    "ccpd")
   (LaTeX-add-environments
    '("acronym" LaTeX-env-args ["argument"] 0)
    '("axiomlist" LaTeX-env-args ["argument"] 1)
    '("function" LaTeX-env-args ["argument"] 0)
    '("procedure" LaTeX-env-args ["argument"] 0)
    '("algorithmic" LaTeX-env-args ["argument"] 0)
    '("proof" LaTeX-env-args ["argument"] 0)
    '("gathered" LaTeX-env-args ["argument"] 0)
    '("alignedat" LaTeX-env-args ["argument"] 1)
    '("animateinline" LaTeX-env-args ["argument"] 1)
    '("AsciiDocList" LaTeX-env-args ["argument"] 0)
    '("AsciiList" LaTeX-env-args ["argument"] 1)
    '("decl" LaTeX-env-args ["argument"] 0)
    '("bchart" LaTeX-env-args ["argument"] 0)
    '("beamercolorbox" LaTeX-env-args ["argument"] 1)
    '("pauses" LaTeX-env-args ["argument"] 0)
    '("table" LaTeX-env-args ["argument"] 0)
    '("figure" LaTeX-env-args ["argument"] 0)
    '("overprint" LaTeX-env-args ["argument"] 0)
    '("enumstep" LaTeX-env-args ["argument"] 0)
    '("itemstep" LaTeX-env-args ["argument"] 0)
    '("slide" LaTeX-env-args ["argument"] 1)
    '("slide" LaTeX-env-args ["argument"] 0)
    '("blochsphere" LaTeX-env-args ["argument"] 0)
    '("bondgraph" LaTeX-env-args ["argument"] 0)
    '("xcalctab" LaTeX-env-args ["argument"] 0)
    '("calctab" LaTeX-env-args ["argument"] 0)
    '("calstable" LaTeX-env-args ["argument"] 0)))
 :latex)

