(TeX-add-style-hook
 "changes"
 (lambda ()
   (TeX-run-style-hooks
    "xkeyval"
    "etoolbox"
    "xstring"
    "xcolor"
    "ulem"
    "todonotes"
    "truncate")
   (TeX-add-symbols
    '("listofchanges" ["argument"] 0)
    '("definechangesauthor" ["argument"] 1)
    '("setsummarytowidth" 1)
    '("setsummarywidth" 1)
    '("settruncatewidth" 1)
    '("ChangesListline" 4)
    '("setcommentmarkup" 1)
    '("sethighlightmarkup" 1)
    '("setdeletedmarkup" 1)
    '("setaddedmarkup" 1)
    '("setauthormarkuptext" 1)
    '("setauthormarkupposition" 1)
    '("setauthormarkup" 1)
    '("setsocextension" 1)
    '("setlocextension" 1)
    "Changes"
    "listofchangesname"
    "summaryofchangesname"
    "compactsummaryofchangesname"
    "changesaddedname"
    "changesdeletedname"
    "changesreplacedname"
    "changeshighlightname"
    "changescommentname"
    "changesauthorname"
    "changesanonymousname"
    "changesnochanges"
    "changesnoloc"
    "changesnosoc"
    "cleaders"
    "protect")
   (LaTeX-add-environments
    '("acronym" LaTeX-env-args ["argument"] 0)
    '("axiomlist" LaTeX-env-args ["argument"] 1)
    '("function" LaTeX-env-args ["argument"] 0)
    '("procedure" LaTeX-env-args ["argument"] 0)
    '("algorithmic" LaTeX-env-args ["argument"] 0)
    '("proof" LaTeX-env-args ["argument"] 0)
    '("gathered" LaTeX-env-args ["argument"] 0)
    '("alignedat" LaTeX-env-args ["argument"] 1)
    '("animateinline" LaTeX-env-args ["argument"] 1)
    '("AsciiDocList" LaTeX-env-args ["argument"] 0)
    '("AsciiList" LaTeX-env-args ["argument"] 1)
    '("decl" LaTeX-env-args ["argument"] 0)
    '("bchart" LaTeX-env-args ["argument"] 0)
    '("beamercolorbox" LaTeX-env-args ["argument"] 1)
    '("pauses" LaTeX-env-args ["argument"] 0)
    '("table" LaTeX-env-args ["argument"] 0)
    '("figure" LaTeX-env-args ["argument"] 0)
    '("overprint" LaTeX-env-args ["argument"] 0)
    '("enumstep" LaTeX-env-args ["argument"] 0)
    '("itemstep" LaTeX-env-args ["argument"] 0)
    '("slide" LaTeX-env-args ["argument"] 1)
    '("slide" LaTeX-env-args ["argument"] 0)
    '("blochsphere" LaTeX-env-args ["argument"] 0)
    '("bondgraph" LaTeX-env-args ["argument"] 0)
    '("xcalctab" LaTeX-env-args ["argument"] 0)
    '("calctab" LaTeX-env-args ["argument"] 0)
    '("calstable" LaTeX-env-args ["argument"] 0)
    '("baseenclosures" LaTeX-env-args ["argument"] 1)
    '("enclosures" LaTeX-env-args ["argument"] 0)
    '("adjustwidth" LaTeX-env-args ["argument"] 2))
   (LaTeX-add-counters
    "authorcommentcount")
   (LaTeX-add-lengths
    "Changes")
   (LaTeX-add-changes-definechangesauthors
    "\\@empty"
    "#1"))
 :latex)

