(TeX-add-style-hook
 "competences"
 (lambda ()
   (TeX-add-to-alist 'LaTeX-provided-package-options
                     '(("todonotes" "color=blue!20" "")))
   (TeX-run-style-hooks
    "todonotes"
    "datatool"
    "etoolbox"
    "longtable")
   (TeX-add-symbols
    '("addGlobalCompetence" ["argument"] 1)
    '("addcompetence" ["argument"] 1)
    '("declareprefix" 1)
    '("declarecompetence" 1)
    '("tableauprefix" 1)
    '("sumpfpartie" 2)
    '("tableaupartie" 1)
    '("sumcspartie" 2)
    '("ifpartexists" 3)
    '("ifquestexists" 3)
    '("ifcompexists" 3)
    "dummyMacro"
    "getCurrentSectionNumber"
    "getCurrentpartiedocument"
    "tableaucompetences"
    "total"
    "gtotal"
    "quest"
    "partie"
    "cstotal"
    "ptotal"
    "pctotal"
    "gptotal"
    "pftotal")
   (LaTeX-add-environments
    '("acronym" LaTeX-env-args ["argument"] 0)
    '("axiomlist" LaTeX-env-args ["argument"] 1)
    '("function" LaTeX-env-args ["argument"] 0)
    '("procedure" LaTeX-env-args ["argument"] 0)
    '("algorithmic" LaTeX-env-args ["argument"] 0)
    '("proof" LaTeX-env-args ["argument"] 0)
    '("gathered" LaTeX-env-args ["argument"] 0)
    '("alignedat" LaTeX-env-args ["argument"] 1)
    '("animateinline" LaTeX-env-args ["argument"] 1)
    '("AsciiDocList" LaTeX-env-args ["argument"] 0)
    '("AsciiList" LaTeX-env-args ["argument"] 1)
    '("decl" LaTeX-env-args ["argument"] 0)
    '("bchart" LaTeX-env-args ["argument"] 0)
    '("beamercolorbox" LaTeX-env-args ["argument"] 1)
    '("pauses" LaTeX-env-args ["argument"] 0)
    '("table" LaTeX-env-args ["argument"] 0)
    '("figure" LaTeX-env-args ["argument"] 0)
    '("overprint" LaTeX-env-args ["argument"] 0)
    '("enumstep" LaTeX-env-args ["argument"] 0)
    '("itemstep" LaTeX-env-args ["argument"] 0)
    '("slide" LaTeX-env-args ["argument"] 1)
    '("slide" LaTeX-env-args ["argument"] 0)
    '("blochsphere" LaTeX-env-args ["argument"] 0)
    '("bondgraph" LaTeX-env-args ["argument"] 0)
    '("xcalctab" LaTeX-env-args ["argument"] 0)
    '("calctab" LaTeX-env-args ["argument"] 0)
    '("calstable" LaTeX-env-args ["argument"] 0)
    '("baseenclosures" LaTeX-env-args ["argument"] 1)
    '("enclosures" LaTeX-env-args ["argument"] 0)
    '("adjustwidth" LaTeX-env-args ["argument"] 2)
    '("CJK" LaTeX-env-args ["argument"] 2)
    '("colorstrip" LaTeX-env-args ["argument"] 1)
    '("cnltxquote" LaTeX-env-args ["argument"] 0)
    '("papers" LaTeX-env-args ["argument"] 0)
    "dummyEnv"))
 :latex)

