(TeX-add-style-hook
 "dtxdescribe"
 (lambda ()
   (TeX-run-style-hooks
    "dtxexample_cut"
    "makeidx"
    "etoolbox"
    "xparse"
    "xifthen"
    "xcolor"
    "caption"
    "newfloat"
    "fancyvrb"
    "xstring"
    "pict2e")
   (TeX-add-symbols
    "endash"
    '("watchout" ["argument"] 0)
    '("ItemDescribeOther" ["argument"] 1)
    '("ItemDescribeObject" ["argument"] 1)
    '("ItemDescribeOption" ["argument"] 1)
    '("ItemDescribeKey" ["argument"] 1)
    '("ItemDescribeCounter" ["argument"] 1)
    '("ItemDescribeLength" ["argument"] 1)
    '("ItemDescribeBoolean" ["argument"] 1)
    '("ItemDescribeArgument" ["argument"] 1)
    '("ItemDescribeEnv" ["argument"] 1)
    '("ItemDescribeMacro" ["argument"] 1)
    '("DescribeOther" ["argument"] 1)
    '("DescribeObject" ["argument"] 1)
    '("DescribeKey" ["argument"] 1)
    '("DescribeCounter" ["argument"] 1)
    '("DescribeLength" ["argument"] 1)
    '("DescribeBoolean" ["argument"] 1)
    '("DescribeArgument" ["argument"] 1)
    '("DescribeOption" ["argument"] 1)
    '("userentry" 1)
    '("margintag" 1)
    '("DescribeDefault" 1)
    '("meta" 1)
    '("parg" 1)
    '("oarg" 1)
    '("marg" 1)
    '("cs" 1)
    '("hyperpage" 1)
    "warningsign"
    "DTXD"
    "url"
    "the"
    "PrintEnvName"
    "usage"
    "DescribeMacro"
    "DescribeEnv"
    "DescribeFile"
    "DescribeProgram"
    "DescribeCommand"
    "DescribePackage"
    "DescribeClass"
    "DescribeDefaultcolor"
    "ItemDescribePackage"
    "ItemDescribeClass"
    "ItemDescribeFile"
    "ItemDescribeProgram"
    "ItemDescribeCommand"
    "margintagcolor"
    "watchoutcolor"
    "dtxexamplecodename"
    "dtxexampleresultname"
    "fquad"
    "fqquad"
    "fqqquad"
    "userentryname"
    "thinskip"
    "thinbrspace"
    "thinthinbrspace"
    "quad"
    "pkg"
    "ctr"
    "bool"
    "optn"
    "env"
    "cs"
    "XeLaTeX"
    "TeX"
    "LaTeX"
    "LaTeXe"
    "LuaTeX"
    "LuaLaTeX"
    "XeTeX"
    "AmS"
    "Dash"
    "dash"
    "Slash"
    "prog"
    "progcode"
    "filenm"
    "brand"
    "acro"
    "ODT"
    "SVG"
    "PNG"
    "GIF"
    "JPG"
    "EPS"
    "PDF"
    "DVI"
    "UTF"
    "URL"
    "element"
    "attribute"
    "HTML"
    "HTMLfive"
    "CSS"
    "CSSthree"
    "EPUB"
    "TOC"
    "LOF"
    "LOT"
    "cmd"
    "MacroFont"
    "actualchar"
    "quotechar"
    "levelchar"
    "encapchar"
    "verbatimchar"
    "removebs"
    "emdash")
   (LaTeX-add-environments
    '("acronym" LaTeX-env-args ["argument"] 0)
    '("axiomlist" LaTeX-env-args ["argument"] 1)
    '("function" LaTeX-env-args ["argument"] 0)
    '("procedure" LaTeX-env-args ["argument"] 0)
    '("algorithmic" LaTeX-env-args ["argument"] 0)
    '("proof" LaTeX-env-args ["argument"] 0)
    '("gathered" LaTeX-env-args ["argument"] 0)
    '("alignedat" LaTeX-env-args ["argument"] 1)
    '("animateinline" LaTeX-env-args ["argument"] 1)
    '("AsciiDocList" LaTeX-env-args ["argument"] 0)
    '("AsciiList" LaTeX-env-args ["argument"] 1)
    '("decl" LaTeX-env-args ["argument"] 0)
    '("bchart" LaTeX-env-args ["argument"] 0)
    '("beamercolorbox" LaTeX-env-args ["argument"] 1)
    '("pauses" LaTeX-env-args ["argument"] 0)
    '("table" LaTeX-env-args ["argument"] 0)
    '("figure" LaTeX-env-args ["argument"] 0)
    '("overprint" LaTeX-env-args ["argument"] 0)
    '("enumstep" LaTeX-env-args ["argument"] 0)
    '("itemstep" LaTeX-env-args ["argument"] 0)
    '("slide" LaTeX-env-args ["argument"] 1)
    '("slide" LaTeX-env-args ["argument"] 0)
    '("blochsphere" LaTeX-env-args ["argument"] 0)
    '("bondgraph" LaTeX-env-args ["argument"] 0)
    '("xcalctab" LaTeX-env-args ["argument"] 0)
    '("calctab" LaTeX-env-args ["argument"] 0)
    '("calstable" LaTeX-env-args ["argument"] 0)
    '("baseenclosures" LaTeX-env-args ["argument"] 1)
    '("enclosures" LaTeX-env-args ["argument"] 0)
    '("adjustwidth" LaTeX-env-args ["argument"] 2)
    '("CJK" LaTeX-env-args ["argument"] 2)
    '("colorstrip" LaTeX-env-args ["argument"] 1)
    '("cnltxquote" LaTeX-env-args ["argument"] 0)
    '("papers" LaTeX-env-args ["argument"] 0)
    '("administrivia" LaTeX-env-args ["argument"] 0)
    '("tutorials" LaTeX-env-args ["argument"] 0)
    '("assignments" LaTeX-env-args ["argument"] 0)
    '("schedule" LaTeX-env-args ["argument"] 0)
    '("evaluation" LaTeX-env-args ["argument"] 0)
    '("introduction" LaTeX-env-args ["argument"] 0)
    '("textbooks" LaTeX-env-args ["argument"] 0)
    '("recipe" LaTeX-env-args ["argument"] 3)
    '("DTLthebibliography" LaTeX-env-args ["argument"] 1)
    '("DTLenvforeach" LaTeX-env-args ["argument"] 2)
    '("ditaa" LaTeX-env-args ["argument"] 2)
    '("neatopic" LaTeX-env-args ["argument"] 0)
    '("dotpic" LaTeX-env-args ["argument"] 0)
    '("ErstelleGrafik" LaTeX-env-args ["argument"] 1)
    '("Table" LaTeX-env-args ["argument"] 1)
    '("Figure" LaTeX-env-args ["argument"] 1)
    '("docsidebar" LaTeX-env-args ["argument"] 0)
    '("noindenvironment" 1)
    '("noindmacro" 1)
    '("environment" 1)
    '("macro" 1)
    "sourcedisplay"
    "UIdisplay")
   (LaTeX-add-lengths
    "IndexMin"))
 :latex)

