(TeX-add-style-hook
 "exercisebank"
 (lambda ()
   (TeX-run-style-hooks
    "xstring"
    "pgffor"
    "scrextend"
    "comment"
    "calc"
    "pgfpages"
    "geometry"
    "listofitems"
    "trimspaces"
    "needspace")
   (TeX-add-symbols
    '("buildsets" ["argument"] 1)
    '("buildset" ["argument"] 1)
    '("sprite" ["argument"] 0)
    '("makeset" ["argument"] 2)
    '("pgref" 1)
    '("pref" 1)
    '("ppgref" 1)
    '("ppref" 1)
    '("pppref" 1)
    '("pplabel" 1)
    '("refcounter" 1)
    '("buildtags" 2)
    '("orderedselect" 2)
    '("select" 2)
    '("exclude" 2)
    '("Trigger" 1)
    '("At" 2)
    '("translateExBank" 1)
    '("exercisebanksetup" 1)
    "ex"
    "exb"
    "stopfilbreak"
    "input"
    "Ginput"
    "buildall"
    "exbank"
    "totalpoints"
    "exercisepoints"
    "exercisebankversion"
    "string"
    "incl"
    "ignoreOutlineSpaces"
    "obeyOutlineSpaces"
    "needle"
    "haystack"
    "isFalse"
    "isInList"
    "whenfalse"
    "whentrue"
    "oldep"
    "AtNextPar"
    "removebs"
    "nextproblem"
    "resetnextproblems"
    "nextproblems"
    "ProcessCutFile"
    "squeeze"
    "markeverypar"
    "ea"
    "emptyList"
    "mname"
    "ipm"
    "setmacro"
    "about"
    "ncArgs"
    "DeclareExerciseCommand"
    "theproblemcounter"
    "setName"
    "continueLoop"
    "buildsprite"
    "pptag")
   (LaTeX-add-labels
    "pr:global:#1"
    "pp:global:#1")
   (LaTeX-add-environments
    '("acronym" LaTeX-env-args ["argument"] 0)
    '("axiomlist" LaTeX-env-args ["argument"] 1)
    '("function" LaTeX-env-args ["argument"] 0)
    '("procedure" LaTeX-env-args ["argument"] 0)
    '("algorithmic" LaTeX-env-args ["argument"] 0)
    '("proof" LaTeX-env-args ["argument"] 0)
    '("gathered" LaTeX-env-args ["argument"] 0)
    '("alignedat" LaTeX-env-args ["argument"] 1)
    '("animateinline" LaTeX-env-args ["argument"] 1)
    '("AsciiDocList" LaTeX-env-args ["argument"] 0)
    '("AsciiList" LaTeX-env-args ["argument"] 1)
    '("decl" LaTeX-env-args ["argument"] 0)
    '("bchart" LaTeX-env-args ["argument"] 0)
    '("beamercolorbox" LaTeX-env-args ["argument"] 1)
    '("pauses" LaTeX-env-args ["argument"] 0)
    '("table" LaTeX-env-args ["argument"] 0)
    '("figure" LaTeX-env-args ["argument"] 0)
    '("overprint" LaTeX-env-args ["argument"] 0)
    '("enumstep" LaTeX-env-args ["argument"] 0)
    '("itemstep" LaTeX-env-args ["argument"] 0)
    '("slide" LaTeX-env-args ["argument"] 1)
    '("slide" LaTeX-env-args ["argument"] 0)
    '("blochsphere" LaTeX-env-args ["argument"] 0)
    '("bondgraph" LaTeX-env-args ["argument"] 0)
    '("xcalctab" LaTeX-env-args ["argument"] 0)
    '("calctab" LaTeX-env-args ["argument"] 0)
    '("calstable" LaTeX-env-args ["argument"] 0)
    '("baseenclosures" LaTeX-env-args ["argument"] 1)
    '("enclosures" LaTeX-env-args ["argument"] 0)
    '("adjustwidth" LaTeX-env-args ["argument"] 2)
    '("CJK" LaTeX-env-args ["argument"] 2)
    '("colorstrip" LaTeX-env-args ["argument"] 1)
    '("cnltxquote" LaTeX-env-args ["argument"] 0)
    '("papers" LaTeX-env-args ["argument"] 0)
    '("administrivia" LaTeX-env-args ["argument"] 0)
    '("tutorials" LaTeX-env-args ["argument"] 0)
    '("assignments" LaTeX-env-args ["argument"] 0)
    '("schedule" LaTeX-env-args ["argument"] 0)
    '("evaluation" LaTeX-env-args ["argument"] 0)
    '("introduction" LaTeX-env-args ["argument"] 0)
    '("textbooks" LaTeX-env-args ["argument"] 0)
    '("recipe" LaTeX-env-args ["argument"] 3)
    '("DTLthebibliography" LaTeX-env-args ["argument"] 1)
    '("DTLenvforeach" LaTeX-env-args ["argument"] 2)
    '("ditaa" LaTeX-env-args ["argument"] 2)
    '("neatopic" LaTeX-env-args ["argument"] 0)
    '("dotpic" LaTeX-env-args ["argument"] 0)
    '("ErstelleGrafik" LaTeX-env-args ["argument"] 1)
    '("Table" LaTeX-env-args ["argument"] 1)
    '("Figure" LaTeX-env-args ["argument"] 1)
    '("docsidebar" LaTeX-env-args ["argument"] 0)
    '("move" LaTeX-env-args ["argument"] 1)
    '("Diagram" LaTeX-env-args ["argument"] 2)
    '("diagram" LaTeX-env-args ["argument"] 0)
    '("edstub" LaTeX-env-args ["argument"] 1)
    '("swapgender" LaTeX-env-args ["argument"] 0)
    '("problemset" LaTeX-env-args ["argument"] 0)
    '("problem" LaTeX-env-args ["argument"] 0)
    '("exercise" LaTeX-env-args ["argument"] 0)
    '("example" LaTeX-env-args ["argument"] 0)
    '("psli" LaTeX-env-args ["argument"] 0)
    '("Eqlist" LaTeX-env-args ["argument"] 1)
    '("eqlist" LaTeX-env-args ["argument"] 0)
    '("erratum" LaTeX-env-args ["argument"] 1)
    '("workarea" LaTeX-env-args ["argument"] 1)
    '("problemmp" LaTeX-env-args ["argument"] 0)
    '("test" LaTeX-env-args ["argument"] 0)
    '("risposta" LaTeX-env-args ["argument"] 1)
    '("tabella" LaTeX-env-args ["argument"] 2)
    '("etaremune" LaTeX-env-args ["argument"] 0)
    '("solutionorgrid" LaTeX-env-args ["argument"] 0)
    '("solutionordottedlines" LaTeX-env-args ["argument"] 0)
    '("solutionorlines" LaTeX-env-args ["argument"] 0)
    '("solutionorbox" LaTeX-env-args ["argument"] 0)
    '("solution" LaTeX-env-args ["argument"] 0)
    '("multiplechoice" LaTeX-env-args ["argument"] 0)
    '("shortanswer" LaTeX-env-args ["argument"] 0)
    '("truefalse" LaTeX-env-args ["argument"] 0)
    '("fillin" LaTeX-env-args ["argument"] 0)
    '("matching" LaTeX-env-args ["argument"] 0))
   (LaTeX-add-counters
    "problemcounter"
    "partproblemcounter"
    "numppInFile"
    "metacounter")
   (LaTeX-add-lengths
    "pMarginBelow"
    "pMarginAbove"
    "pMarginLeft"
    "ppMarginBelow"
    "ppMarginAbove"
    "ppMargin"
    "introOutdent"
    "solutionMarginAbove"
    "marginw"))
 :latex)

