(TeX-add-style-hook
 "fspolddefault"
 (lambda ()
   (TeX-run-style-hooks
    "fontspec"
    "unicode-math")
   (TeX-add-symbols
    '("textsansipa" 1)
    '("textipa" 1)
    '("textvibce" 1)
    '("textivbcealt" 1)
    '("textivbce" 1)
    '("textprosgegrammeni" 1)
    '("tttextsc" 1)
    "prosgegrammeni"
    "msansAlpha"
    "msansBeta"
    "msansGamma"
    "msansDelta"
    "msansEpsilon"
    "msansZeta"
    "msansEta"
    "msansTheta"
    "msansIota"
    "msansKappa"
    "msansLambda"
    "msansMu"
    "msansNu"
    "msansXi"
    "msansOmicron"
    "msansPi"
    "msansRho"
    "msansSigma"
    "msansTau"
    "msansUpsilon"
    "msansPhi"
    "msansChi"
    "msansPsi"
    "msansOmega"
    "msansalpha"
    "msansbeta"
    "msansgamma"
    "msansdelta"
    "msansepsilon"
    "msanszeta"
    "msanseta"
    "msanstheta"
    "msansiota"
    "msanskappa"
    "msanslambda"
    "msansmu"
    "msansnu"
    "msansxi"
    "msansomicron"
    "msanspi"
    "msansrho"
    "msansvarsigma"
    "msanssigma"
    "msanstau"
    "msansupsilon"
    "msansphi"
    "msanschi"
    "msanspsi"
    "msansomega"
    "msansvarepsilon"
    "mitsansAlpha"
    "mitsansBeta"
    "mitsansGamma"
    "mitsansDelta"
    "mitsansEpsilon"
    "mitsansZeta"
    "mitsansEta"
    "mitsansTheta"
    "mitsansIota"
    "mitsansKappa"
    "mitsansLambda"
    "mitsansMu"
    "mitsansNu"
    "mitsansXi"
    "mitsansOmicron"
    "mitsansPi"
    "mitsansRho"
    "mitsansSigma"
    "mitsansTau"
    "mitsansUpsilon"
    "mitsansPhi"
    "mitsansChi"
    "mitsansPsi"
    "mitsansOmega"
    "mitsansalpha"
    "mitsansbeta"
    "mitsansgamma"
    "mitsansdelta"
    "mitsansepsilon"
    "mitsanszeta"
    "mitsanseta"
    "mitsanstheta"
    "mitsansiota"
    "mitsanskappa"
    "mitsanslambda"
    "mitsansmu"
    "mitsansnu"
    "mitsansxi"
    "mitsansomicron"
    "mitsanspi"
    "mitsansrho"
    "mitsansvarsigma"
    "mitsanssigma"
    "mitsanstau"
    "mitsansupsilon"
    "mitsansphi"
    "mitsanschi"
    "mitsanspsi"
    "mitsansomega"
    "mitsansvarepsilon"
    "atticonequarter"
    "atticonehalf"
    "atticonedrachma"
    "atticfive"
    "atticfifty"
    "atticfivehundred"
    "atticfivethousand"
    "atticfiftythousand"
    "atticfivetalents"
    "attictentalents"
    "atticfiftytalents"
    "atticonehundredtalents"
    "atticfivehundredtalents"
    "atticonethousandtalents"
    "atticfivethousandtalents"
    "atticfivestaters"
    "attictenstaters"
    "atticfiftystaters"
    "atticonehundredstaters"
    "atticfivehundredstaters"
    "atticonethousandstaters"
    "attictenthousandstaters"
    "atticfiftythousandstaters"
    "attictenmnas"
    "heraleumoneplethron"
    "thespianone"
    "ermionianone"
    "epidauriantwo"
    "thespiantwo"
    "cyrenaictwodrachmas"
    "epidauriantwodrachmas"
    "troezenianfive"
    "troezenianten"
    "troezeniantenalt"
    "hermionianten"
    "messenianten"
    "thespianten"
    "thespianthirty"
    "troezenianfifty"
    "troezenianfiftyalt"
    "hermionianfifty"
    "thespianfifty"
    "thespianonehundred"
    "thespianthreehundred"
    "epidaurianfivehundred"
    "troezenianfivehundred"
    "thespianfivehundred"
    "carystianfivehundred"
    "naxianfivehundred"
    "thespianonethousand"
    "thespianfivethousand"
    "delphicfivemnas"
    "stratianfiftymnas"
    "greekonehalfsign"
    "greekonehalfsignalt"
    "greektwothirdssign"
    "greekthreequarterssign"
    "greekyearsign"
    "greektalentsign"
    "greekdrachmasign"
    "greekobolsign"
    "greektwoobolssign"
    "greekthreeobolssign"
    "greekfourobolssign"
    "greekfiveobolssign"
    "greekmetretessign"
    "greekkyathosbasesign"
    "greeklytrasign"
    "greekounkiasign"
    "greekxestessign"
    "greekartabesign"
    "greekarourasign"
    "greekgrammasign"
    "greektryblionbasesign"
    "greekzerosign"
    "greekonequartersign"
    "greeksinusoidsign"
    "greekindictionsign"
    "nomismasign"
    "nrightrightarrows"
    "nleftleftarrows")
   (LaTeX-add-environments
    '("acronym" LaTeX-env-args ["argument"] 0)
    '("axiomlist" LaTeX-env-args ["argument"] 1)
    '("function" LaTeX-env-args ["argument"] 0)
    '("procedure" LaTeX-env-args ["argument"] 0)
    '("algorithmic" LaTeX-env-args ["argument"] 0)
    '("proof" LaTeX-env-args ["argument"] 0)
    '("gathered" LaTeX-env-args ["argument"] 0)
    '("alignedat" LaTeX-env-args ["argument"] 1)
    '("animateinline" LaTeX-env-args ["argument"] 1)
    '("AsciiDocList" LaTeX-env-args ["argument"] 0)
    '("AsciiList" LaTeX-env-args ["argument"] 1)
    '("decl" LaTeX-env-args ["argument"] 0)
    '("bchart" LaTeX-env-args ["argument"] 0)
    '("beamercolorbox" LaTeX-env-args ["argument"] 1)
    '("pauses" LaTeX-env-args ["argument"] 0)
    '("table" LaTeX-env-args ["argument"] 0)
    '("figure" LaTeX-env-args ["argument"] 0)
    '("overprint" LaTeX-env-args ["argument"] 0)
    '("enumstep" LaTeX-env-args ["argument"] 0)
    '("itemstep" LaTeX-env-args ["argument"] 0)
    '("slide" LaTeX-env-args ["argument"] 1)
    '("slide" LaTeX-env-args ["argument"] 0)
    '("blochsphere" LaTeX-env-args ["argument"] 0)
    '("bondgraph" LaTeX-env-args ["argument"] 0)
    '("xcalctab" LaTeX-env-args ["argument"] 0)
    '("calctab" LaTeX-env-args ["argument"] 0)
    '("calstable" LaTeX-env-args ["argument"] 0)
    '("baseenclosures" LaTeX-env-args ["argument"] 1)
    '("enclosures" LaTeX-env-args ["argument"] 0)
    '("adjustwidth" LaTeX-env-args ["argument"] 2)
    '("CJK" LaTeX-env-args ["argument"] 2)
    '("colorstrip" LaTeX-env-args ["argument"] 1)
    '("cnltxquote" LaTeX-env-args ["argument"] 0)
    '("papers" LaTeX-env-args ["argument"] 0)
    '("administrivia" LaTeX-env-args ["argument"] 0)
    '("tutorials" LaTeX-env-args ["argument"] 0)
    '("assignments" LaTeX-env-args ["argument"] 0)
    '("schedule" LaTeX-env-args ["argument"] 0)
    '("evaluation" LaTeX-env-args ["argument"] 0)
    '("introduction" LaTeX-env-args ["argument"] 0)
    '("textbooks" LaTeX-env-args ["argument"] 0)
    '("recipe" LaTeX-env-args ["argument"] 3)
    '("DTLthebibliography" LaTeX-env-args ["argument"] 1)
    '("DTLenvforeach" LaTeX-env-args ["argument"] 2)
    '("ditaa" LaTeX-env-args ["argument"] 2)
    '("neatopic" LaTeX-env-args ["argument"] 0)
    '("dotpic" LaTeX-env-args ["argument"] 0)
    '("ErstelleGrafik" LaTeX-env-args ["argument"] 1)
    '("Table" LaTeX-env-args ["argument"] 1)
    '("Figure" LaTeX-env-args ["argument"] 1)
    '("docsidebar" LaTeX-env-args ["argument"] 0)
    '("move" LaTeX-env-args ["argument"] 1)
    '("Diagram" LaTeX-env-args ["argument"] 2)
    '("diagram" LaTeX-env-args ["argument"] 0)
    '("edstub" LaTeX-env-args ["argument"] 1)
    '("swapgender" LaTeX-env-args ["argument"] 0)
    '("problemset" LaTeX-env-args ["argument"] 0)
    '("problem" LaTeX-env-args ["argument"] 0)
    '("exercise" LaTeX-env-args ["argument"] 0)
    '("example" LaTeX-env-args ["argument"] 0)
    '("psli" LaTeX-env-args ["argument"] 0)
    '("Eqlist" LaTeX-env-args ["argument"] 1)
    '("eqlist" LaTeX-env-args ["argument"] 0)
    '("erratum" LaTeX-env-args ["argument"] 1)
    '("workarea" LaTeX-env-args ["argument"] 1)
    '("problemmp" LaTeX-env-args ["argument"] 0)
    '("test" LaTeX-env-args ["argument"] 0)
    '("risposta" LaTeX-env-args ["argument"] 1)
    '("tabella" LaTeX-env-args ["argument"] 2)
    '("etaremune" LaTeX-env-args ["argument"] 0)
    '("solutionorgrid" LaTeX-env-args ["argument"] 0)
    '("solutionordottedlines" LaTeX-env-args ["argument"] 0)
    '("solutionorlines" LaTeX-env-args ["argument"] 0)
    '("solutionorbox" LaTeX-env-args ["argument"] 0)
    '("solution" LaTeX-env-args ["argument"] 0)
    '("multiplechoice" LaTeX-env-args ["argument"] 0)
    '("shortanswer" LaTeX-env-args ["argument"] 0)
    '("truefalse" LaTeX-env-args ["argument"] 0)
    '("fillin" LaTeX-env-args ["argument"] 0)
    '("matching" LaTeX-env-args ["argument"] 0)
    '("subexercise" LaTeX-env-args ["argument"] 0)
    '("solutionseries" LaTeX-env-args ["argument"] 2)
    '("exerciseseries" LaTeX-env-args ["argument"] 1)
    '("exercises" LaTeX-env-args ["argument"] 0)
    '("flagderiv" LaTeX-env-args ["argument"] 0)
    '("flashcard" LaTeX-env-args ["argument"] 1)))
 :latex)

