(TeX-add-style-hook
 "jslectureplanner"
 (lambda ()
   (TeX-add-to-alist 'LaTeX-provided-package-options
                     '(("datetime2" "calc" "useregional")))
   (TeX-run-style-hooks
    "etoolbox"
    "xkeyval"
    "datetime2"
    "calc"
    "ifthen"
    "xparse")
   (TeX-add-symbols
    '("AdjSessionPresStudents" ["argument"] 0)
    '("AdjSessionRoom" ["argument"] 0)
    '("AdjSessionBlockNumber" ["argument"] 0)
    '("AdjSessionBlockTitle" ["argument"] 0)
    '("AdjSessionTitle" ["argument"] 0)
    '("AdjSessionShortTitle" ["argument"] 0)
    '("AdjSessionTimeSlot" ["argument"] 0)
    '("AdjSessionEndTime" ["argument"] 0)
    '("AdjSessionStartTime" ["argument"] 0)
    '("AdjSessionDTMDate" ["argument"] 0)
    '("AdjSessionShortDate" ["argument"] 0)
    '("AdjSessionDate" ["argument"] 0)
    '("AdjSessionFullTitle" ["argument"] 0)
    '("SetAutoOffset" ["argument"] 2)
    '("SetBreaks" ["argument"] 1)
    '("SetBreak" ["argument"] 1)
    '("NewSession" ["argument"] 1)
    '("makebeamerexamprogram" ["argument"] 0)
    '("makebeamerprogram" ["argument"] 0)
    '("ProgramListBreak" ["argument"] 1)
    '("DefSemType" ["argument"] 3)
    '("LecInstructor" ["argument"] 1)
    '("LecTitle" ["argument"] 1)
    '("MakeBeamerPresListLine" 1)
    '("MakePresListLine" 1)
    '("MakeProgramline" 1)
    '("SessionBlockNumber" 1)
    '("SessionBlockTitle" 1)
    '("SessionPresStudents" 1)
    '("SessionRoom" 1)
    '("SessionTimeSlot" 1)
    '("SessionEndTime" 1)
    '("SessionStartTime" 1)
    '("SessionDTMDate" 1)
    '("SessionShortDate" 1)
    '("SessionTitle" 1)
    '("SessionShortTitle" 1)
    '("SessionDate" 1)
    '("SessionFullTitle" 1)
    '("examsesno" 1)
    '("LocalSession" 1)
    '("ThisSession" 1)
    '("setlastpressession" 1)
    '("setfirstpressession" 1)
    '("SetPlatform" 1)
    '("SetOfficeNumber" 1)
    '("SetOfficeHours" 1)
    '("SetBeamerHook" 1)
    '("NewBlock" 1)
    '("StartBlock" 1)
    '("SetLecOffset" 1)
    '("BeamerProgramBlockBlocksOnlyItem" 2)
    '("BeamerProgramBlockItem" 2)
    '("ProgramBlockItem" 2)
    '("breakevent" 3)
    '("BeamerPresListItem" 4)
    '("PresListItem" 4)
    '("BeamerProgramListExamItem" 4)
    '("BeamerProgramListCancelItem" 4)
    '("BeamerProgramListItem" 4)
    '("ProgramListExamItem" 4)
    '("ProgramListCancelItem" 4)
    '("ProgramListItem" 4)
    '("blocknumberformat" 1)
    '("blocktitleformat" 1)
    '("cansestitleformat" 1)
    '("exsestitleformat" 1)
    '("sestitleformat" 1)
    '("programdateformat" 1)
    '("labelinglabel" 1)
    '("DefTypeWS" 2)
    '("DefTypeSS" 2)
    '("DefTypeHS" 2)
    '("DefTypeFS" 2)
    '("DefTypePV" 3)
    '("DefTypeKO" 3)
    '("DefTypeUE" 3)
    '("DefTypeSE" 3)
    '("DefTypePS" 3)
    '("DefTypeVO" 3)
    '("DefTypeVL" 3)
    '("DefLecType" 4)
    '("SessionTitleSep" 1)
    '("LecInterval" 1)
    '("LecDuration" 1)
    '("LecStartTime" 1)
    '("LecStartDate" 1)
    '("LecRoom" 1)
    '("LecInstitute" 1)
    '("LecUni" 1)
    '("LecSubTitle" 1)
    '("LecTitleSep" 1)
    '("LecType" 1)
    '("jstimeslot" 2)
    "leccancel"
    "lecprogram"
    "lecprogramlistindent"
    "sestopic"
    "js"
    "lecslot"
    "jslp"
    "makeprogram"
    "makeexamprogram"
    "beameruncoverspec"
    "beameruncoverffslidesspec"
    "beameruncoverblocksonlyspec"
    "makesessionbib"
    "adjsemester"
    "adjsemesterverb"
    "EndBlock"
    "SetBeamerFrameBreak"
    "makepreslist"
    "emptypressession"
    "presseparator"
    "beamerpresseparator"
    "makebeamerpreslist"
    "sesinstructor"
    "sesshortinstructor"
    "lsesinstructor"
    "lsesshortinstructor"
    "SessionInstructor"
    "SessionShortInstructor"
    "AdjSessionInstructor"
    "AdjSessionShortInstructor"
    "ResetDate"
    "lecdateformat"
    "lecdateshortformat"
    "filename"
    "lecendyearsep"
    "sesdate"
    "sesshortdate"
    "sesdtmdate"
    "sesstarttime"
    "sestitle"
    "sesshorttitle"
    "sessubtitle"
    "sesnr"
    "programlist"
    "programlistexam"
    "programlistbeamerexam"
    "programblocklistbeamer"
    "jsbiblist"
    "lectype"
    "lectypeverb"
    "lectypesession"
    "lecsemshort"
    "lecsemverb"
    "lecnsemshort"
    "lecnsemverb"
    "lecnsemny"
    "lectitle"
    "lectitlesep"
    "lecsubtitle"
    "lecshorttitle"
    "lecyear"
    "lecendyear"
    "lecuniversity"
    "lecinstitute"
    "lecroom"
    "lecstartdate"
    "lecstarttime"
    "lecduration"
    "lecinstructor"
    "lecshortinstructor"
    "sestitlesep"
    "lecsemester"
    "lecsemesterverb"
    "lecfulltitle"
    "sesfulltitle"
    "lecendtime"
    "makelabel"
    "bpdescbeg"
    "btitleapp"
    "lecnyear"
    "programlistbeameriv"
    "programlistbeameriii"
    "programlistbeamerii"
    "programlistbeamer"
    "officehours"
    "officenumber"
    "lecplatform")
   (LaTeX-add-environments
    '("acronym" LaTeX-env-args ["argument"] 0)
    '("axiomlist" LaTeX-env-args ["argument"] 1)
    '("function" LaTeX-env-args ["argument"] 0)
    '("procedure" LaTeX-env-args ["argument"] 0)
    '("algorithmic" LaTeX-env-args ["argument"] 0)
    '("proof" LaTeX-env-args ["argument"] 0)
    '("gathered" LaTeX-env-args ["argument"] 0)
    '("alignedat" LaTeX-env-args ["argument"] 1)
    '("animateinline" LaTeX-env-args ["argument"] 1)
    '("AsciiDocList" LaTeX-env-args ["argument"] 0)
    '("AsciiList" LaTeX-env-args ["argument"] 1)
    '("decl" LaTeX-env-args ["argument"] 0)
    '("bchart" LaTeX-env-args ["argument"] 0)
    '("beamercolorbox" LaTeX-env-args ["argument"] 1)
    '("pauses" LaTeX-env-args ["argument"] 0)
    '("table" LaTeX-env-args ["argument"] 0)
    '("figure" LaTeX-env-args ["argument"] 0)
    '("overprint" LaTeX-env-args ["argument"] 0)
    '("enumstep" LaTeX-env-args ["argument"] 0)
    '("itemstep" LaTeX-env-args ["argument"] 0)
    '("slide" LaTeX-env-args ["argument"] 1)
    '("slide" LaTeX-env-args ["argument"] 0)
    '("blochsphere" LaTeX-env-args ["argument"] 0)
    '("bondgraph" LaTeX-env-args ["argument"] 0)
    '("xcalctab" LaTeX-env-args ["argument"] 0)
    '("calctab" LaTeX-env-args ["argument"] 0)
    '("calstable" LaTeX-env-args ["argument"] 0)
    '("baseenclosures" LaTeX-env-args ["argument"] 1)
    '("enclosures" LaTeX-env-args ["argument"] 0)
    '("adjustwidth" LaTeX-env-args ["argument"] 2)
    '("CJK" LaTeX-env-args ["argument"] 2)
    '("colorstrip" LaTeX-env-args ["argument"] 1)
    '("cnltxquote" LaTeX-env-args ["argument"] 0)
    '("papers" LaTeX-env-args ["argument"] 0)
    '("administrivia" LaTeX-env-args ["argument"] 0)
    '("tutorials" LaTeX-env-args ["argument"] 0)
    '("assignments" LaTeX-env-args ["argument"] 0)
    '("schedule" LaTeX-env-args ["argument"] 0)
    '("evaluation" LaTeX-env-args ["argument"] 0)
    '("introduction" LaTeX-env-args ["argument"] 0)
    '("textbooks" LaTeX-env-args ["argument"] 0)
    '("recipe" LaTeX-env-args ["argument"] 3)
    '("DTLthebibliography" LaTeX-env-args ["argument"] 1)
    '("DTLenvforeach" LaTeX-env-args ["argument"] 2)
    '("ditaa" LaTeX-env-args ["argument"] 2)
    '("neatopic" LaTeX-env-args ["argument"] 0)
    '("dotpic" LaTeX-env-args ["argument"] 0)
    '("ErstelleGrafik" LaTeX-env-args ["argument"] 1)
    '("Table" LaTeX-env-args ["argument"] 1)
    '("Figure" LaTeX-env-args ["argument"] 1)
    '("docsidebar" LaTeX-env-args ["argument"] 0)
    '("move" LaTeX-env-args ["argument"] 1)
    '("Diagram" LaTeX-env-args ["argument"] 2)
    '("diagram" LaTeX-env-args ["argument"] 0)
    '("edstub" LaTeX-env-args ["argument"] 1)
    '("swapgender" LaTeX-env-args ["argument"] 0)
    '("problemset" LaTeX-env-args ["argument"] 0)
    '("problem" LaTeX-env-args ["argument"] 0)
    '("exercise" LaTeX-env-args ["argument"] 0)
    '("example" LaTeX-env-args ["argument"] 0)
    '("psli" LaTeX-env-args ["argument"] 0)
    '("Eqlist" LaTeX-env-args ["argument"] 1)
    '("eqlist" LaTeX-env-args ["argument"] 0)
    '("erratum" LaTeX-env-args ["argument"] 1)
    '("workarea" LaTeX-env-args ["argument"] 1)
    '("problemmp" LaTeX-env-args ["argument"] 0)
    '("test" LaTeX-env-args ["argument"] 0)
    '("risposta" LaTeX-env-args ["argument"] 1)
    '("tabella" LaTeX-env-args ["argument"] 2)
    '("etaremune" LaTeX-env-args ["argument"] 0)
    '("solutionorgrid" LaTeX-env-args ["argument"] 0)
    '("solutionordottedlines" LaTeX-env-args ["argument"] 0)
    '("solutionorlines" LaTeX-env-args ["argument"] 0)
    '("solutionorbox" LaTeX-env-args ["argument"] 0)
    '("solution" LaTeX-env-args ["argument"] 0)
    '("multiplechoice" LaTeX-env-args ["argument"] 0)
    '("shortanswer" LaTeX-env-args ["argument"] 0)
    '("truefalse" LaTeX-env-args ["argument"] 0)
    '("fillin" LaTeX-env-args ["argument"] 0)
    '("matching" LaTeX-env-args ["argument"] 0)
    '("subexercise" LaTeX-env-args ["argument"] 0)
    '("solutionseries" LaTeX-env-args ["argument"] 2)
    '("exerciseseries" LaTeX-env-args ["argument"] 1)
    '("exercises" LaTeX-env-args ["argument"] 0)
    '("flagderiv" LaTeX-env-args ["argument"] 0)
    '("flashcard" LaTeX-env-args ["argument"] 1)
    '("fullminipage" LaTeX-env-args ["argument"] 0)
    '("gmatrix" LaTeX-env-args ["argument"] 0)
    '("printunsrtglossarywrap" LaTeX-env-args ["argument"] 0)
    '("maszynopis" LaTeX-env-args ["argument"] 0)
    '("gnuplot" LaTeX-env-args ["argument"] 0)
    '("Encap" LaTeX-env-args ["argument"] 3)
    '("Row" LaTeX-env-args ["argument"] 0)
    '("row" LaTeX-env-args ["argument"] 2)
    '("arttitsub" LaTeX-env-args ["argument"] 2)
    '("artsubtit" LaTeX-env-args ["argument"] 2)
    '("art" LaTeX-env-args ["argument"] 1)
    '("widedesc" LaTeX-env-args ["argument"] 0)
    '("flexlist" LaTeX-env-args ["argument"] 1)
    '("hvFloatEnv" LaTeX-env-args ["argument"] 0)
    '("inctext" LaTeX-env-args ["argument"] 0)
    '("labeling" LaTeX-env-args ["argument"] 1)
    '("SessionBlock" 1)
    '("ProgramListBlock" 2)
    "ProgramList"
    "BeamerProgramList"
    "ProgramListExam"
    "PresList"
    "BeamerPresList"
    "BeamerProgramListExam")
   (LaTeX-add-counters
    "sesunit"
    "dateratio"
    "cancellations"
    "snum"
    "blocks"
    "fbreaks"
    "lecinterval"
    "sesoffset"
    "autooffset"
    "autooffsettrigger"
    "autooffsetcounter"
    "breakunits"
    "loopcounter"
    "adjsession"
    "sestopic"
    "exams"
    "pressession"
    "lastpressession")
   (LaTeX-add-lengths
    "blankpreslistvspace"))
 :latex)

