(TeX-add-style-hook
 "lwarp-SIunits"
 (lambda ()
   (TeX-add-symbols
    '("rpfourth" 1)
    '("rpcubic" 1)
    '("rpsquare" 1)
    '("reciprocal" 1)
    '("fourth" 1)
    '("cubic" 1)
    '("squaren" 1)
    '("power" 2)
    '("unit" 2)
    "LWR"
    "one"
    "meter"
    "deka"
    "dekad"
    "per"
    "usk"
    "squared"
    "cubed"
    "rp"
    "rpsquared"
    "rpcubed"
    "yocto"
    "zepto"
    "atto"
    "femto"
    "pico"
    "nano"
    "micro"
    "milli"
    "centi"
    "deci"
    "deca"
    "hecto"
    "kilo"
    "mega"
    "giga"
    "tera"
    "peta"
    "exa"
    "zetta"
    "yotta"
    "yoctod"
    "zeptod"
    "attod"
    "femtod"
    "picod"
    "nanod"
    "microd"
    "millid"
    "centid"
    "decid"
    "decad"
    "hectod"
    "kilod"
    "megad"
    "gigad"
    "terad"
    "petad"
    "exad"
    "zettad"
    "yottad"
    "gram"
    "metre"
    "kilogram"
    "second"
    "ampere"
    "kelvin"
    "mole"
    "candela"
    "radian"
    "steradian"
    "hertz"
    "newton"
    "pascal"
    "joule"
    "watt"
    "coulomb"
    "volt"
    "farad"
    "ohm"
    "siemens"
    "weber"
    "tesla"
    "henry"
    "degreecelsius"
    "celsius"
    "lumen"
    "lux"
    "becquerel"
    "sievert"
    "katal"
    "radianbase"
    "steradianbase"
    "hertzbase"
    "newtonbase"
    "pascalbase"
    "joulebase"
    "wattbase"
    "coulombbase"
    "voltbase"
    "faradbase"
    "ohmbase"
    "siemensbase"
    "weberbase"
    "teslabase"
    "henrybase"
    "celsiusbase"
    "lumenbase"
    "luxbase"
    "becquerelbase"
    "graybase"
    "sievertbase"
    "katalbase"
    "derradian"
    "dersteradian"
    "derhertz"
    "dernewton"
    "derpascal"
    "derjoule"
    "derwatt"
    "dercoulomb"
    "dervolt"
    "derfarad"
    "derohm"
    "dersiemens"
    "derweber"
    "dertesla"
    "derhenry"
    "dercelsius"
    "derlumen"
    "derlux"
    "derbecquerel"
    "dergray"
    "dersievert"
    "derkatal"
    "minute"
    "hour"
    "dday"
    "degree"
    "paminute"
    "arcminute"
    "pasecond"
    "arcsecond"
    "ton"
    "tonne"
    "liter"
    "litre"
    "neper"
    "bel"
    "curie"
    "rad"
    "arad"
    "rem"
    "roentgen"
    "electronvolt"
    "atomicmass"
    "atomicmassunit"
    "dalton"
    "are"
    "hectare"
    "barn"
    "bbar"
    "gal"
    "angstrom"
    "rperminute"
    "rpersecond"
    "squaremetre"
    "cubicmetre"
    "graypersecond"
    "graypersecondnp"
    "metrepersquaresecond"
    "metrepersquaresecondnp"
    "joulepermole"
    "joulepermolenp"
    "molepercubicmetre"
    "molepercubicmetrenp"
    "radianpersquaresecond"
    "radianpersquaresecondnp"
    "kilogramsquaremetrepersecond"
    "kilogramsquaremetrepersecondnp"
    "radianpersecond"
    "radianpersecondnp"
    "squaremetrepercubicmetre"
    "squaremetrepercubicmetrenp"
    "katalpercubicmetre"
    "katalpercubicmetrenp"
    "coulombpermol"
    "coulombpermolnp"
    "amperepersquaremetre"
    "amperepersquaremetrenp"
    "kilogrampercubicmetre"
    "kilogrampercubicmetrenp"
    "squaremetrepernewtonsecond"
    "squaremetrepernewtonsecondnp"
    "pascalsecond"
    "coulombpercubicmetre"
    "coulombpercubicmetrenp"
    "amperemetresecond"
    "voltpermetre"
    "voltpermetrenp"
    "coulombpersquaremetre"
    "coulombpersquaremetrenp"
    "faradpermetre"
    "faradpermetrenp"
    "ohmmetre"
    "kilowatthour"
    "wattpersquaremetre"
    "wattpersquaremetrenp"
    "joulepersquaremetre"
    "joulepersquaremetrenp"
    "newtonpercubicmetre"
    "newtonpercubicmetrenp"
    "newtonperkilogram"
    "newtonperkilogramnp"
    "jouleperkelvin"
    "jouleperkelvinnp"
    "jouleperkilogram"
    "jouleperkilogramnp"
    "coulombperkilogram"
    "coulombperkilogramnp"
    "squaremetrepersecond"
    "squaremetrepersecondnp"
    "squaremetrepersquaresecond"
    "squaremetrepersquaresecondnp"
    "kilogrammetrepersecond"
    "kilogrammetrepersecondnp"
    "candelapersquaremetre"
    "candelapersquaremetrenp"
    "amperepermetre"
    "amperepermetrenp"
    "joulepertesla"
    "jouleperteslanp"
    "henrypermetre"
    "henrypermetrenp"
    "kilogrampersecond"
    "kilogrampersecondnp"
    "kilogrampersquaremetresecond"
    "kilogrampersquaremetresecondnp"
    "kilogrampersquaremetre"
    "kilogrampersquaremetrenp"
    "kilogrampermetre"
    "kilogrampermetrenp"
    "joulepermolekelvin"
    "joulepermolekelvinnp"
    "kilogramperkilomole"
    "kilogramperkilomolenp"
    "kilogramsquaremetre"
    "kilogramsquaremetrenp"
    "kilogrammetrepersquaresecond"
    "kilogrammetrepersquaresecondnp"
    "newtonpersquaremetre"
    "newtonpersquaremetrenp"
    "persquaremetresecond"
    "persquaremetresecondnp"
    "wattperkilogram"
    "wattperkilogramnp"
    "wattpercubicmetre"
    "wattpercubicmetrenp"
    "wattpersquaremetresteradian"
    "wattpersquaremetresteradiannp"
    "jouleperkilogramkelvin"
    "jouleperkilogramkelvinnp"
    "squaremetreperkilogram"
    "rpsquaremetreperkilogram"
    "cubicmetreperkilogram"
    "rpcubicmetreperkilogram"
    "newtonpermetre"
    "newtonpermetrenp"
    "Celsius"
    "wattpermetrekelvin"
    "wattpermetrekelvinnp"
    "newtonmetre"
    "newtonmetrenp"
    "squaremetrepercubicsecond"
    "squaremetrepercubicsecondnp"
    "metrepersecond"
    "metrepersecondnp"
    "joulepercubicmetre"
    "joulepercubicmetrenp"
    "kilogrampercubicmetrecoulomb"
    "kilogrampercubicmetrecoulombnp"
    "cubicmetrepersecond"
    "rpcubicmetrepersecond"
    "kilogrampersecondcubicmetre"
    "kilogrampersecondcubicmetrenp")
   (LaTeX-add-environments
    '("acronym" LaTeX-env-args ["argument"] 0)
    '("axiomlist" LaTeX-env-args ["argument"] 1)
    '("function" LaTeX-env-args ["argument"] 0)
    '("procedure" LaTeX-env-args ["argument"] 0)
    '("algorithmic" LaTeX-env-args ["argument"] 0)
    '("proof" LaTeX-env-args ["argument"] 0)
    '("gathered" LaTeX-env-args ["argument"] 0)
    '("alignedat" LaTeX-env-args ["argument"] 1)
    '("animateinline" LaTeX-env-args ["argument"] 1)
    '("AsciiDocList" LaTeX-env-args ["argument"] 0)
    '("AsciiList" LaTeX-env-args ["argument"] 1)
    '("decl" LaTeX-env-args ["argument"] 0)
    '("bchart" LaTeX-env-args ["argument"] 0)
    '("beamercolorbox" LaTeX-env-args ["argument"] 1)
    '("pauses" LaTeX-env-args ["argument"] 0)
    '("table" LaTeX-env-args ["argument"] 0)
    '("figure" LaTeX-env-args ["argument"] 0)
    '("overprint" LaTeX-env-args ["argument"] 0)
    '("enumstep" LaTeX-env-args ["argument"] 0)
    '("itemstep" LaTeX-env-args ["argument"] 0)
    '("slide" LaTeX-env-args ["argument"] 1)
    '("slide" LaTeX-env-args ["argument"] 0)
    '("blochsphere" LaTeX-env-args ["argument"] 0)
    '("bondgraph" LaTeX-env-args ["argument"] 0)
    '("xcalctab" LaTeX-env-args ["argument"] 0)
    '("calctab" LaTeX-env-args ["argument"] 0)
    '("calstable" LaTeX-env-args ["argument"] 0)
    '("baseenclosures" LaTeX-env-args ["argument"] 1)
    '("enclosures" LaTeX-env-args ["argument"] 0)
    '("adjustwidth" LaTeX-env-args ["argument"] 2)
    '("CJK" LaTeX-env-args ["argument"] 2)
    '("colorstrip" LaTeX-env-args ["argument"] 1)
    '("cnltxquote" LaTeX-env-args ["argument"] 0)
    '("papers" LaTeX-env-args ["argument"] 0)
    '("administrivia" LaTeX-env-args ["argument"] 0)
    '("tutorials" LaTeX-env-args ["argument"] 0)
    '("assignments" LaTeX-env-args ["argument"] 0)
    '("schedule" LaTeX-env-args ["argument"] 0)
    '("evaluation" LaTeX-env-args ["argument"] 0)
    '("introduction" LaTeX-env-args ["argument"] 0)
    '("textbooks" LaTeX-env-args ["argument"] 0)
    '("recipe" LaTeX-env-args ["argument"] 3)
    '("DTLthebibliography" LaTeX-env-args ["argument"] 1)
    '("DTLenvforeach" LaTeX-env-args ["argument"] 2)
    '("ditaa" LaTeX-env-args ["argument"] 2)
    '("neatopic" LaTeX-env-args ["argument"] 0)
    '("dotpic" LaTeX-env-args ["argument"] 0)
    '("ErstelleGrafik" LaTeX-env-args ["argument"] 1)
    '("Table" LaTeX-env-args ["argument"] 1)
    '("Figure" LaTeX-env-args ["argument"] 1)
    '("docsidebar" LaTeX-env-args ["argument"] 0)
    '("move" LaTeX-env-args ["argument"] 1)
    '("Diagram" LaTeX-env-args ["argument"] 2)
    '("diagram" LaTeX-env-args ["argument"] 0)
    '("edstub" LaTeX-env-args ["argument"] 1)
    '("swapgender" LaTeX-env-args ["argument"] 0)
    '("problemset" LaTeX-env-args ["argument"] 0)
    '("problem" LaTeX-env-args ["argument"] 0)
    '("exercise" LaTeX-env-args ["argument"] 0)
    '("example" LaTeX-env-args ["argument"] 0)
    '("psli" LaTeX-env-args ["argument"] 0)
    '("Eqlist" LaTeX-env-args ["argument"] 1)
    '("eqlist" LaTeX-env-args ["argument"] 0)
    '("erratum" LaTeX-env-args ["argument"] 1)
    '("workarea" LaTeX-env-args ["argument"] 1)
    '("problemmp" LaTeX-env-args ["argument"] 0)
    '("test" LaTeX-env-args ["argument"] 0)
    '("risposta" LaTeX-env-args ["argument"] 1)
    '("tabella" LaTeX-env-args ["argument"] 2)
    '("etaremune" LaTeX-env-args ["argument"] 0)
    '("solutionorgrid" LaTeX-env-args ["argument"] 0)
    '("solutionordottedlines" LaTeX-env-args ["argument"] 0)
    '("solutionorlines" LaTeX-env-args ["argument"] 0)
    '("solutionorbox" LaTeX-env-args ["argument"] 0)
    '("solution" LaTeX-env-args ["argument"] 0)
    '("multiplechoice" LaTeX-env-args ["argument"] 0)
    '("shortanswer" LaTeX-env-args ["argument"] 0)
    '("truefalse" LaTeX-env-args ["argument"] 0)
    '("fillin" LaTeX-env-args ["argument"] 0)
    '("matching" LaTeX-env-args ["argument"] 0)
    '("subexercise" LaTeX-env-args ["argument"] 0)
    '("solutionseries" LaTeX-env-args ["argument"] 2)
    '("exerciseseries" LaTeX-env-args ["argument"] 1)
    '("exercises" LaTeX-env-args ["argument"] 0)
    '("flagderiv" LaTeX-env-args ["argument"] 0)
    '("flashcard" LaTeX-env-args ["argument"] 1)
    '("fullminipage" LaTeX-env-args ["argument"] 0)
    '("gmatrix" LaTeX-env-args ["argument"] 0)
    '("printunsrtglossarywrap" LaTeX-env-args ["argument"] 0)
    '("maszynopis" LaTeX-env-args ["argument"] 0)
    '("gnuplot" LaTeX-env-args ["argument"] 0)
    '("Encap" LaTeX-env-args ["argument"] 3)
    '("Row" LaTeX-env-args ["argument"] 0)
    '("row" LaTeX-env-args ["argument"] 2)
    '("arttitsub" LaTeX-env-args ["argument"] 2)
    '("artsubtit" LaTeX-env-args ["argument"] 2)
    '("art" LaTeX-env-args ["argument"] 1)
    '("widedesc" LaTeX-env-args ["argument"] 0)
    '("flexlist" LaTeX-env-args ["argument"] 1)
    '("hvFloatEnv" LaTeX-env-args ["argument"] 0)
    '("inctext" LaTeX-env-args ["argument"] 0)
    '("labeling" LaTeX-env-args ["argument"] 1)
    '("KeyValTable" LaTeX-env-args ["argument"] 1)
    '("pattern" LaTeX-env-args ["argument"] 2)
    '("letter" LaTeX-env-args ["argument"] 1)
    '("InstanceDescription" LaTeX-env-args ["argument"] 3)
    '("edtable" LaTeX-env-args ["argument"] 1)
    '("longbox" LaTeX-env-args ["argument"] 0)
    '("longfbox" LaTeX-env-args ["argument"] 0)
    '("lpic" LaTeX-env-args ["argument"] 1)
    '("FullLsc" LaTeX-env-args ["argument"] 7)
    '("Lsc" LaTeX-env-args ["argument"] 3)
    '("lsccreateinst" LaTeX-env-args ["argument"] 3)
    '("lscinst" LaTeX-env-args ["argument"] 1)
    '("simregion" LaTeX-env-args ["argument"] 0)
    '("coregion" LaTeX-env-args ["argument"] 0)
    '("ltssidetoks" LaTeX-env-args ["argument"] 1)
    '("ltsfnquote" LaTeX-env-args ["argument"] 0)))
 :latex)

