(TeX-add-style-hook
 "lwarp-common-mathjax-newpxtxmath"
 (lambda ()
   (TeX-add-symbols
    '("hathat" 1)
    '("hattilde" 1)
    '("hatbar" 1)
    '("tildehat" 1)
    '("tildetilde" 1)
    '("tildebar" 1)
    '("barhat" 1)
    '("bartilde" 1)
    '("barbar" 1)
    '("lrharpoonacc" 1)
    '("lharpoonacc" 1)
    '("harpoonacc" 1)
    '("lrvec" 1)
    '("lvec" 1)
    '("LWRvvstar" 2)
    '("widering" 1)
    "fAlt"
    "rhoAlt"
    "imathscr"
    "jmathscr"
    "Perp"
    "nPerp"
    "Zbar"
    "Angstrom"
    "Euler"
    "transp"
    "hermtransp"
    "circledplus"
    "circledminus"
    "circledtimes"
    "circledslash"
    "circleddot"
    "vv"
    "smalliintsl"
    "smalliiintsl"
    "smalliiiintsl"
    "smallointsl"
    "smalloiintsl"
    "smalloiiintsl"
    "smallvarointclockwisesl"
    "smallointctrclockwisesl"
    "smallsumintsl"
    "smallfintsl"
    "smallsqintsl"
    "smalliintup"
    "smalliiintup"
    "smalliiiintup"
    "smallointup"
    "smalloiintup"
    "smalloiiintup"
    "smallvarointclockwiseup"
    "smallointctrclockwiseup"
    "smallsumintup"
    "smallfintup"
    "smallsqintup"
    "iint"
    "iiint"
    "iiiint"
    "oiint"
    "oiiint"
    "varointclockwise"
    "ointctrclockwise"
    "sumint"
    "fint"
    "sqint"
    "iintsl"
    "iiintsl"
    "iiiintsl"
    "oiintsl"
    "oiiintsl"
    "varointclockwisesl"
    "ointctrclockwisesl"
    "sumintsl"
    "fintsl"
    "sqintsl"
    "iintup"
    "iiintup"
    "iiiintup"
    "oiintup"
    "oiiintup"
    "varointclockwiseup"
    "ointctrclockwiseup"
    "sumintup"
    "fintup"
    "sqintup"
    "bigcupdot"
    "bigcupplus"
    "bigsqcap"
    "bigtimes"
    "mappedfrom"
    "mapsfrom"
    "longmappedfrom"
    "Mapsto"
    "Longmapsto"
    "Mappedfrom"
    "Mapsfrom"
    "Longmappedfrom"
    "medcirc"
    "medbullet"
    "varparallel"
    "varparallelinv"
    "nvarparallel"
    "nvarparallelinv"
    "coloneq"
    "eqcolon"
    "VDash"
    "preceqq"
    "succeqq"
    "nprecsim"
    "nsuccsim"
    "nlesssim"
    "ngtrsim"
    "nsubset"
    "nsupset"
    "notni"
    "nlessapprox"
    "ngtrapprox"
    "npreccurlyeq"
    "nsucccurlyeq"
    "ngtrless"
    "nlessgtr"
    "nbumpeq"
    "nBumpeq"
    "nbacksim"
    "nbacksimeq"
    "nasymp"
    "nequiv"
    "napprox"
    "nll"
    "ngg"
    "nthickapprox"
    "napproxeq"
    "nprecapprox"
    "nsuccapprox"
    "npreceqq"
    "nsucceqq"
    "nsimeq"
    "nSubset"
    "nSupset"
    "nsqsubseteq"
    "nsqsupseteq"
    "coloneqq"
    "eqqcolon"
    "Coloneqq"
    "Coloneq"
    "Eqcolon"
    "cdotB"
    "cdotBB"
    "circS"
    "bulletSSS"
    "bulletSS"
    "bulletS"
    "primeS"
    "invamp"
    "Lbag"
    "Rbag"
    "circledless"
    "circledgtr"
    "circledbslash"
    "lJoin"
    "rJoin"
    "lrJoin"
    "lrtimes"
    "Diamondblack"
    "nplus"
    "nsqsubset"
    "nsqsupset"
    "dasharrow"
    "leftsquigarrow"
    "ntwoheadrightarrow"
    "ntwoheadleftarrow"
    "boxast"
    "boxbslash"
    "boxbar"
    "boxslash"
    "varclubsuit"
    "vardiamondsuit"
    "varheartsuit"
    "varspadesuit"
    "Nearrow"
    "Searrow"
    "Nwarrow"
    "Swarrow"
    "Top"
    "Bot"
    "leadstoext"
    "sqcupplus"
    "sqcapplus"
    "dlb"
    "drb"
    "varg"
    "vary"
    "varv"
    "varw"
    "nexistsAlt"
    "existsAlt"
    "forallAlt"
    "emptysetAlt"
    "uppartial"
    "openbox"
    "mathsterling"
    "mathcent"
    "llbracket"
    "rrbracket"
    "smlbrace"
    "smrbrace"
    "htransp"
    "overgroup"
    "overgroupra"
    "undergroup"
    "undergroupla"
    "widearc"
    "wideOarc"
    "smallintsl"
    "smallintup"
    "intsl"
    "ointsl"
    "intup"
    "ointup"
    "varprod"
    "mappedfromchar"
    "Mapstochar"
    "Mappedfromchar"
    "notowns"
    "varmathbb"
    "vmathbb"
    "vvmathbb"
    "smallprod"
    "smallsum"
    "smallcoprod"
    "textsquare"
    "varemptyset")
   (LaTeX-add-environments
    '("acronym" LaTeX-env-args ["argument"] 0)
    '("axiomlist" LaTeX-env-args ["argument"] 1)
    '("function" LaTeX-env-args ["argument"] 0)
    '("procedure" LaTeX-env-args ["argument"] 0)
    '("algorithmic" LaTeX-env-args ["argument"] 0)
    '("proof" LaTeX-env-args ["argument"] 0)
    '("gathered" LaTeX-env-args ["argument"] 0)
    '("alignedat" LaTeX-env-args ["argument"] 1)
    '("animateinline" LaTeX-env-args ["argument"] 1)
    '("AsciiDocList" LaTeX-env-args ["argument"] 0)
    '("AsciiList" LaTeX-env-args ["argument"] 1)
    '("decl" LaTeX-env-args ["argument"] 0)
    '("bchart" LaTeX-env-args ["argument"] 0)
    '("beamercolorbox" LaTeX-env-args ["argument"] 1)
    '("pauses" LaTeX-env-args ["argument"] 0)
    '("table" LaTeX-env-args ["argument"] 0)
    '("figure" LaTeX-env-args ["argument"] 0)
    '("overprint" LaTeX-env-args ["argument"] 0)
    '("enumstep" LaTeX-env-args ["argument"] 0)
    '("itemstep" LaTeX-env-args ["argument"] 0)
    '("slide" LaTeX-env-args ["argument"] 1)
    '("slide" LaTeX-env-args ["argument"] 0)
    '("blochsphere" LaTeX-env-args ["argument"] 0)
    '("bondgraph" LaTeX-env-args ["argument"] 0)
    '("xcalctab" LaTeX-env-args ["argument"] 0)
    '("calctab" LaTeX-env-args ["argument"] 0)
    '("calstable" LaTeX-env-args ["argument"] 0)
    '("baseenclosures" LaTeX-env-args ["argument"] 1)
    '("enclosures" LaTeX-env-args ["argument"] 0)
    '("adjustwidth" LaTeX-env-args ["argument"] 2)
    '("CJK" LaTeX-env-args ["argument"] 2)
    '("colorstrip" LaTeX-env-args ["argument"] 1)
    '("cnltxquote" LaTeX-env-args ["argument"] 0)
    '("papers" LaTeX-env-args ["argument"] 0)
    '("administrivia" LaTeX-env-args ["argument"] 0)
    '("tutorials" LaTeX-env-args ["argument"] 0)
    '("assignments" LaTeX-env-args ["argument"] 0)
    '("schedule" LaTeX-env-args ["argument"] 0)
    '("evaluation" LaTeX-env-args ["argument"] 0)
    '("introduction" LaTeX-env-args ["argument"] 0)
    '("textbooks" LaTeX-env-args ["argument"] 0)
    '("recipe" LaTeX-env-args ["argument"] 3)
    '("DTLthebibliography" LaTeX-env-args ["argument"] 1)
    '("DTLenvforeach" LaTeX-env-args ["argument"] 2)
    '("ditaa" LaTeX-env-args ["argument"] 2)
    '("neatopic" LaTeX-env-args ["argument"] 0)
    '("dotpic" LaTeX-env-args ["argument"] 0)
    '("ErstelleGrafik" LaTeX-env-args ["argument"] 1)
    '("Table" LaTeX-env-args ["argument"] 1)
    '("Figure" LaTeX-env-args ["argument"] 1)
    '("docsidebar" LaTeX-env-args ["argument"] 0)
    '("move" LaTeX-env-args ["argument"] 1)
    '("Diagram" LaTeX-env-args ["argument"] 2)
    '("diagram" LaTeX-env-args ["argument"] 0)
    '("edstub" LaTeX-env-args ["argument"] 1)
    '("swapgender" LaTeX-env-args ["argument"] 0)
    '("problemset" LaTeX-env-args ["argument"] 0)
    '("problem" LaTeX-env-args ["argument"] 0)
    '("exercise" LaTeX-env-args ["argument"] 0)
    '("example" LaTeX-env-args ["argument"] 0)
    '("psli" LaTeX-env-args ["argument"] 0)
    '("Eqlist" LaTeX-env-args ["argument"] 1)
    '("eqlist" LaTeX-env-args ["argument"] 0)
    '("erratum" LaTeX-env-args ["argument"] 1)
    '("workarea" LaTeX-env-args ["argument"] 1)
    '("problemmp" LaTeX-env-args ["argument"] 0)
    '("test" LaTeX-env-args ["argument"] 0)
    '("risposta" LaTeX-env-args ["argument"] 1)
    '("tabella" LaTeX-env-args ["argument"] 2)
    '("etaremune" LaTeX-env-args ["argument"] 0)
    '("solutionorgrid" LaTeX-env-args ["argument"] 0)
    '("solutionordottedlines" LaTeX-env-args ["argument"] 0)
    '("solutionorlines" LaTeX-env-args ["argument"] 0)
    '("solutionorbox" LaTeX-env-args ["argument"] 0)
    '("solution" LaTeX-env-args ["argument"] 0)
    '("multiplechoice" LaTeX-env-args ["argument"] 0)
    '("shortanswer" LaTeX-env-args ["argument"] 0)
    '("truefalse" LaTeX-env-args ["argument"] 0)
    '("fillin" LaTeX-env-args ["argument"] 0)
    '("matching" LaTeX-env-args ["argument"] 0)
    '("subexercise" LaTeX-env-args ["argument"] 0)
    '("solutionseries" LaTeX-env-args ["argument"] 2)
    '("exerciseseries" LaTeX-env-args ["argument"] 1)
    '("exercises" LaTeX-env-args ["argument"] 0)
    '("flagderiv" LaTeX-env-args ["argument"] 0)
    '("flashcard" LaTeX-env-args ["argument"] 1)
    '("fullminipage" LaTeX-env-args ["argument"] 0)
    '("gmatrix" LaTeX-env-args ["argument"] 0)
    '("printunsrtglossarywrap" LaTeX-env-args ["argument"] 0)
    '("maszynopis" LaTeX-env-args ["argument"] 0)
    '("gnuplot" LaTeX-env-args ["argument"] 0)
    '("Encap" LaTeX-env-args ["argument"] 3)
    '("Row" LaTeX-env-args ["argument"] 0)
    '("row" LaTeX-env-args ["argument"] 2)
    '("arttitsub" LaTeX-env-args ["argument"] 2)
    '("artsubtit" LaTeX-env-args ["argument"] 2)
    '("art" LaTeX-env-args ["argument"] 1)
    '("widedesc" LaTeX-env-args ["argument"] 0)
    '("flexlist" LaTeX-env-args ["argument"] 1)
    '("hvFloatEnv" LaTeX-env-args ["argument"] 0)
    '("inctext" LaTeX-env-args ["argument"] 0)
    '("labeling" LaTeX-env-args ["argument"] 1)
    '("KeyValTable" LaTeX-env-args ["argument"] 1)
    '("pattern" LaTeX-env-args ["argument"] 2)
    '("letter" LaTeX-env-args ["argument"] 1)
    '("InstanceDescription" LaTeX-env-args ["argument"] 3)
    '("edtable" LaTeX-env-args ["argument"] 1)
    '("longbox" LaTeX-env-args ["argument"] 0)
    '("longfbox" LaTeX-env-args ["argument"] 0)
    '("lpic" LaTeX-env-args ["argument"] 1)
    '("FullLsc" LaTeX-env-args ["argument"] 7)
    '("Lsc" LaTeX-env-args ["argument"] 3)
    '("lsccreateinst" LaTeX-env-args ["argument"] 3)
    '("lscinst" LaTeX-env-args ["argument"] 1)
    '("simregion" LaTeX-env-args ["argument"] 0)
    '("coregion" LaTeX-env-args ["argument"] 0)
    '("ltssidetoks" LaTeX-env-args ["argument"] 1)
    '("ltsfnquote" LaTeX-env-args ["argument"] 0)))
 :latex)

