(TeX-add-style-hook
 "mathfont"
 (lambda ()
   (TeX-add-to-alist 'LaTeX-provided-package-options
                     '(("fontspec" "no-math")))
   (TeX-run-style-hooks
    "atveryend"
    "fontspec")
   (TeX-add-symbols
    "imath"
    "jmath"
    "acute"
    "aacute"
    "dot"
    "ddot"
    "grave"
    "breve"
    "hat"
    "check"
    "bar"
    "mathring"
    "tilde"
    "Alpha"
    "Beta"
    "Gamma"
    "Delta"
    "Epsilon"
    "Zeta"
    "Eta"
    "Theta"
    "Iota"
    "Kappa"
    "Lambda"
    "Mu"
    "Nu"
    "Xi"
    "Omicron"
    "Pi"
    "Rho"
    "Sigma"
    "Tau"
    "Upsilon"
    "Phi"
    "Chi"
    "Psi"
    "Omega"
    "varTheta"
    "alpha"
    "beta"
    "gamma"
    "delta"
    "epsilon"
    "zeta"
    "eta"
    "theta"
    "iota"
    "kappa"
    "lambda"
    "mu"
    "nu"
    "xi"
    "omicron"
    "pi"
    "rho"
    "sigma"
    "tau"
    "upsilon"
    "phi"
    "chi"
    "psi"
    "omega"
    "varbeta"
    "varepsilon"
    "vartheta"
    "varrho"
    "varsigma"
    "varphi"
    "Heta"
    "Sampi"
    "Digamma"
    "Koppa"
    "Stigma"
    "Sho"
    "San"
    "varSampi"
    "varDigamma"
    "varKoppa"
    "heta"
    "sampi"
    "digamma"
    "koppa"
    "stigma"
    "sho"
    "san"
    "varsampi"
    "vardigamma"
    "varkoppa"
    "cyrA"
    "cyrBe"
    "cyrVe"
    "cyrGhe"
    "cyrDe"
    "cyrIe"
    "cyrZhe"
    "cyrZe"
    "cyrI"
    "cyrKa"
    "cyrEl"
    "cyrEm"
    "cyrEn"
    "cyrO"
    "cyrPe"
    "cyrEr"
    "cyrEs"
    "cyrTe"
    "cyrU"
    "cyrEf"
    "cyrHa"
    "cyrTse"
    "cyrChe"
    "cyrSha"
    "cyrShcha"
    "cyrHard"
    "cyrYeru"
    "cyrSoft"
    "cyrE"
    "cyrYu"
    "cyrYa"
    "cyrvarI"
    "cyra"
    "cyrbe"
    "cyrve"
    "cyrghe"
    "cyrde"
    "cyrie"
    "cyrzhe"
    "cyrze"
    "cyri"
    "cyrka"
    "cyrel"
    "cyrem"
    "cyren"
    "cyro"
    "cyrpe"
    "cyrer"
    "cyres"
    "cyrte"
    "cyru"
    "cyref"
    "cyrha"
    "cyrtse"
    "cyrche"
    "cyrsha"
    "cyrshcha"
    "cyrhard"
    "cyryeru"
    "cyrsoft"
    "cyre"
    "cyryu"
    "cyrya"
    "cyrvari"
    "aleph"
    "beth"
    "gimel"
    "daleth"
    "he"
    "vav"
    "zayin"
    "het"
    "tet"
    "yod"
    "kaf"
    "lamed"
    "mem"
    "nun"
    "samekh"
    "ayin"
    "pe"
    "tsadi"
    "qof"
    "resh"
    "shin"
    "tav"
    "varkaf"
    "varmem"
    "varnun"
    "varpe"
    "vartsadi"
    "mathhash"
    "mathdollar"
    "mathpercent"
    "mathand"
    "mathparagraph"
    "mathsection"
    "mathsterling"
    "neg"
    "infty"
    "partial"
    "mathbackslash"
    "degree"
    "increment"
    "hbar"
    "comma"
    "times"
    "div"
    "pm"
    "bullet"
    "dagger"
    "ddagger"
    "cdot"
    "setminus"
    "leq"
    "geq"
    "sim"
    "approx"
    "equiv"
    "mid"
    "parallel"
    "relbar"
    "Relbar"
    "models"
    "wp"
    "Re"
    "Im"
    "ell"
    "forall"
    "exists"
    "emptyset"
    "nabla"
    "in"
    "ni"
    "mp"
    "top"
    "bot"
    "vdash"
    "dashv"
    "flat"
    "natural"
    "sharp"
    "fflat"
    "ssharp"
    "bclubsuit"
    "bdiamondsuit"
    "bheartsuit"
    "bspadesuit"
    "wclubsuit"
    "wdiamondsuit"
    "wheartsuit"
    "wspadesuit"
    "wedge"
    "vee"
    "cap"
    "cup"
    "sqcap"
    "sqcup"
    "amalg"
    "wr"
    "ast"
    "star"
    "diamond"
    "varcdot"
    "varsetminus"
    "oplus"
    "otimes"
    "ominus"
    "odiv"
    "oslash"
    "odot"
    "sqplus"
    "sqtimes"
    "sqminus"
    "sqdot"
    "subset"
    "supset"
    "subseteq"
    "supseteq"
    "sqsubseteq"
    "sqsupseteq"
    "triangleleft"
    "triangleright"
    "trianglelefteq"
    "trianglerighteq"
    "propto"
    "hourglass"
    "therefore"
    "because"
    "ratio"
    "proportion"
    "ll"
    "gg"
    "lll"
    "ggg"
    "leqq"
    "geqq"
    "lapprox"
    "gapprox"
    "simeq"
    "eqsim"
    "simeqq"
    "approxeq"
    "sssim"
    "seq"
    "coloneq"
    "eqcolon"
    "ringeq"
    "arceq"
    "wedgeeq"
    "veeeq"
    "stareq"
    "triangleeq"
    "defeq"
    "qeq"
    "lsim"
    "gsim"
    "prec"
    "succ"
    "preceq"
    "succeq"
    "preceqq"
    "succeqq"
    "precsim"
    "succsim"
    "precapprox"
    "succapprox"
    "precprec"
    "succsucc"
    "asymp"
    "nin"
    "nni"
    "nsubset"
    "nsupset"
    "nsubseteq"
    "nsupseteq"
    "subsetneq"
    "supsetneq"
    "nsqsubseteq"
    "nsqsupseteq"
    "sqsubsetneq"
    "sqsupsetneq"
    "nl"
    "nleq"
    "ngeq"
    "lneq"
    "gneq"
    "lneqq"
    "gneqq"
    "ntriangleleft"
    "ntriangleright"
    "ntrianglelefteq"
    "ntrianglerighteq"
    "nsim"
    "napprox"
    "nsimeq"
    "nsimeqq"
    "simneqq"
    "nlsim"
    "ngsim"
    "lnsim"
    "gnsim"
    "lnapprox"
    "gnapprox"
    "nprec"
    "nsucc"
    "npreceq"
    "nsucceq"
    "precneq"
    "succneq"
    "precneqq"
    "succneqq"
    "precnsim"
    "succnsim"
    "precnapprox"
    "succnapprox"
    "nequiv"
    "leftbrace"
    "rightbrace"
    "rightarrow"
    "nrightarrow"
    "Rightarrow"
    "nRightarrow"
    "Rrightarrow"
    "rightbararrow"
    "Rightbararrow"
    "longrightbararrow"
    "Longrightbararrow"
    "rightdasharrow"
    "rightharpoonup"
    "rightharpoondown"
    "rightarrowtail"
    "rightoplusarrow"
    "rightwavearrow"
    "rightsquigarrow"
    "longrightsquigarrow"
    "looparrowright"
    "curvearrowright"
    "circlearrowright"
    "twoheadrightarrow"
    "rightarrowtobar"
    "rightwhitearrow"
    "rightrightarrows"
    "rightrightrightarrows"
    "leftarrow"
    "nleftarrow"
    "Leftarrow"
    "nLeftarrow"
    "Lleftarrow"
    "leftbararrow"
    "Leftbararrow"
    "longleftbararrow"
    "Longleftbararrow"
    "leftdasharrow"
    "leftharpoonup"
    "leftharpoondown"
    "leftarrowtail"
    "leftoplusarrow"
    "leftwavearrow"
    "leftsquigarrow"
    "longleftsquigarrow"
    "looparrowleft"
    "curvearrowleft"
    "circlearrowleft"
    "twoheadleftarrow"
    "leftarrowtobar"
    "leftwhitearrow"
    "leftleftarrows"
    "leftleftleftarrows"
    "leftrightarrow"
    "Leftrightarrow"
    "nLeftrightarrow"
    "leftrightwavearrow"
    "leftrightarrows"
    "leftrightharpoons"
    "leftrightarrowstobar"
    "rightleftarrows"
    "Uuparrow"
    "upbararrow"
    "updasharrow"
    "upharpoonleft"
    "upharpoonright"
    "twoheaduparrow"
    "uparrowtobar"
    "upwhitearrow"
    "upwhitebararrow"
    "upuparrows"
    "Ddownarrow"
    "downbararrow"
    "downdasharrow"
    "zigzagarrow"
    "downharpoonleft"
    "downharpoonright"
    "twoheaddownarrow"
    "downarrowtobar"
    "downwhitearrow"
    "downdownarrows"
    "updownarrows"
    "downuparrows"
    "updownharpoons"
    "downupharpoons"
    "nearrow"
    "Nearrow"
    "nwarrow"
    "Nwarrow"
    "searrow"
    "Searrow"
    "swarrow"
    "Swarrow"
    "nwsearrow"
    "neswarrow"
    "lcirclearrow"
    "rcirclearrow"
    "intop"
    "iintop"
    "iiintop"
    "ointop"
    "oiintop"
    "oiiintop"
    "bigsqcap"
    "M"
    "EasterEggUpdate"
    "setfont"
    "mathbb"
    "mathcal"
    "mathfrak"
    "mathbcal"
    "mathbfrak"
    "newmathfontcommand"
    "newmathrm"
    "newmathit"
    "newmathbf"
    "newmathbfit"
    "newmathbold"
    "newmathboldit"
    "restoremathinternals"
    "colon"
    "mathellipsis"
    "angle"
    "sqsubset"
    "sqsupset"
    "bowtie"
    "doteq"
    "neq"
    "ng"
    "clubsuit"
    "spadesuit"
    "diamondsuit"
    "heartsuit"
    "cong"
    "uparrow"
    "Uparrow"
    "downarrow"
    "Downarrow"
    "updownarrow"
    "Updownarrow"
    "longrightarrow"
    "longleftarrow"
    "longleftrightarrow"
    "hookrightarrow"
    "hookleftarrow"
    "Longrightarrow"
    "Longleftarrow"
    "Longleftrightarrow"
    "rightleftharpoons"
    "to"
    "mapsto"
    "longmapsto"
    "from"
    "mapsfrom"
    "longmapsfrom"
    "lightningboltarrow"
    "sum"
    "prod"
    "coprod"
    "bigvee"
    "bigwedge"
    "bigcup"
    "bigcap"
    "bigoplus"
    "bigotimes"
    "bigodot"
    "bigsqcup"
    "iint"
    "iiint"
    "oint"
    "oiint"
    "oiiint")
   (LaTeX-add-environments
    '("acronym" LaTeX-env-args ["argument"] 0)
    '("axiomlist" LaTeX-env-args ["argument"] 1)
    '("function" LaTeX-env-args ["argument"] 0)
    '("procedure" LaTeX-env-args ["argument"] 0)
    '("algorithmic" LaTeX-env-args ["argument"] 0)
    '("proof" LaTeX-env-args ["argument"] 0)
    '("gathered" LaTeX-env-args ["argument"] 0)
    '("alignedat" LaTeX-env-args ["argument"] 1)
    '("animateinline" LaTeX-env-args ["argument"] 1)
    '("AsciiDocList" LaTeX-env-args ["argument"] 0)
    '("AsciiList" LaTeX-env-args ["argument"] 1)
    '("decl" LaTeX-env-args ["argument"] 0)
    '("bchart" LaTeX-env-args ["argument"] 0)
    '("beamercolorbox" LaTeX-env-args ["argument"] 1)
    '("pauses" LaTeX-env-args ["argument"] 0)
    '("table" LaTeX-env-args ["argument"] 0)
    '("figure" LaTeX-env-args ["argument"] 0)
    '("overprint" LaTeX-env-args ["argument"] 0)
    '("enumstep" LaTeX-env-args ["argument"] 0)
    '("itemstep" LaTeX-env-args ["argument"] 0)
    '("slide" LaTeX-env-args ["argument"] 1)
    '("slide" LaTeX-env-args ["argument"] 0)
    '("blochsphere" LaTeX-env-args ["argument"] 0)
    '("bondgraph" LaTeX-env-args ["argument"] 0)
    '("xcalctab" LaTeX-env-args ["argument"] 0)
    '("calctab" LaTeX-env-args ["argument"] 0)
    '("calstable" LaTeX-env-args ["argument"] 0)
    '("baseenclosures" LaTeX-env-args ["argument"] 1)
    '("enclosures" LaTeX-env-args ["argument"] 0)
    '("adjustwidth" LaTeX-env-args ["argument"] 2)
    '("CJK" LaTeX-env-args ["argument"] 2)
    '("colorstrip" LaTeX-env-args ["argument"] 1)
    '("cnltxquote" LaTeX-env-args ["argument"] 0)
    '("papers" LaTeX-env-args ["argument"] 0)
    '("administrivia" LaTeX-env-args ["argument"] 0)
    '("tutorials" LaTeX-env-args ["argument"] 0)
    '("assignments" LaTeX-env-args ["argument"] 0)
    '("schedule" LaTeX-env-args ["argument"] 0)
    '("evaluation" LaTeX-env-args ["argument"] 0)
    '("introduction" LaTeX-env-args ["argument"] 0)
    '("textbooks" LaTeX-env-args ["argument"] 0)
    '("recipe" LaTeX-env-args ["argument"] 3)
    '("DTLthebibliography" LaTeX-env-args ["argument"] 1)
    '("DTLenvforeach" LaTeX-env-args ["argument"] 2)
    '("ditaa" LaTeX-env-args ["argument"] 2)
    '("neatopic" LaTeX-env-args ["argument"] 0)
    '("dotpic" LaTeX-env-args ["argument"] 0)
    '("ErstelleGrafik" LaTeX-env-args ["argument"] 1)
    '("Table" LaTeX-env-args ["argument"] 1)
    '("Figure" LaTeX-env-args ["argument"] 1)
    '("docsidebar" LaTeX-env-args ["argument"] 0)
    '("move" LaTeX-env-args ["argument"] 1)
    '("Diagram" LaTeX-env-args ["argument"] 2)
    '("diagram" LaTeX-env-args ["argument"] 0)
    '("edstub" LaTeX-env-args ["argument"] 1)
    '("swapgender" LaTeX-env-args ["argument"] 0)
    '("problemset" LaTeX-env-args ["argument"] 0)
    '("problem" LaTeX-env-args ["argument"] 0)
    '("exercise" LaTeX-env-args ["argument"] 0)
    '("example" LaTeX-env-args ["argument"] 0)
    '("psli" LaTeX-env-args ["argument"] 0)
    '("Eqlist" LaTeX-env-args ["argument"] 1)
    '("eqlist" LaTeX-env-args ["argument"] 0)
    '("erratum" LaTeX-env-args ["argument"] 1)
    '("workarea" LaTeX-env-args ["argument"] 1)
    '("problemmp" LaTeX-env-args ["argument"] 0)
    '("test" LaTeX-env-args ["argument"] 0)
    '("risposta" LaTeX-env-args ["argument"] 1)
    '("tabella" LaTeX-env-args ["argument"] 2)
    '("etaremune" LaTeX-env-args ["argument"] 0)
    '("solutionorgrid" LaTeX-env-args ["argument"] 0)
    '("solutionordottedlines" LaTeX-env-args ["argument"] 0)
    '("solutionorlines" LaTeX-env-args ["argument"] 0)
    '("solutionorbox" LaTeX-env-args ["argument"] 0)
    '("solution" LaTeX-env-args ["argument"] 0)
    '("multiplechoice" LaTeX-env-args ["argument"] 0)
    '("shortanswer" LaTeX-env-args ["argument"] 0)
    '("truefalse" LaTeX-env-args ["argument"] 0)
    '("fillin" LaTeX-env-args ["argument"] 0)
    '("matching" LaTeX-env-args ["argument"] 0)
    '("subexercise" LaTeX-env-args ["argument"] 0)
    '("solutionseries" LaTeX-env-args ["argument"] 2)
    '("exerciseseries" LaTeX-env-args ["argument"] 1)
    '("exercises" LaTeX-env-args ["argument"] 0)
    '("flagderiv" LaTeX-env-args ["argument"] 0)
    '("flashcard" LaTeX-env-args ["argument"] 1)
    '("fullminipage" LaTeX-env-args ["argument"] 0)
    '("gmatrix" LaTeX-env-args ["argument"] 0)
    '("printunsrtglossarywrap" LaTeX-env-args ["argument"] 0)
    '("maszynopis" LaTeX-env-args ["argument"] 0)
    '("gnuplot" LaTeX-env-args ["argument"] 0)
    '("Encap" LaTeX-env-args ["argument"] 3)
    '("Row" LaTeX-env-args ["argument"] 0)
    '("row" LaTeX-env-args ["argument"] 2)
    '("arttitsub" LaTeX-env-args ["argument"] 2)
    '("artsubtit" LaTeX-env-args ["argument"] 2)
    '("art" LaTeX-env-args ["argument"] 1)
    '("widedesc" LaTeX-env-args ["argument"] 0)
    '("flexlist" LaTeX-env-args ["argument"] 1)
    '("hvFloatEnv" LaTeX-env-args ["argument"] 0)
    '("inctext" LaTeX-env-args ["argument"] 0)
    '("labeling" LaTeX-env-args ["argument"] 1)
    '("KeyValTable" LaTeX-env-args ["argument"] 1)
    '("pattern" LaTeX-env-args ["argument"] 2)
    '("letter" LaTeX-env-args ["argument"] 1)
    '("InstanceDescription" LaTeX-env-args ["argument"] 3)
    '("edtable" LaTeX-env-args ["argument"] 1)
    '("longbox" LaTeX-env-args ["argument"] 0)
    '("longfbox" LaTeX-env-args ["argument"] 0)
    '("lpic" LaTeX-env-args ["argument"] 1)
    '("FullLsc" LaTeX-env-args ["argument"] 7)
    '("Lsc" LaTeX-env-args ["argument"] 3)
    '("lsccreateinst" LaTeX-env-args ["argument"] 3)
    '("lscinst" LaTeX-env-args ["argument"] 1)
    '("simregion" LaTeX-env-args ["argument"] 0)
    '("coregion" LaTeX-env-args ["argument"] 0)
    '("ltssidetoks" LaTeX-env-args ["argument"] 1)
    '("ltsfnquote" LaTeX-env-args ["argument"] 0)
    '("subfloatrow" LaTeX-env-args ["argument"] 0)
    '("floatrow" LaTeX-env-args ["argument"] 0)
    '("fullwidth" LaTeX-env-args ["argument"] 0)
    '("longtable" LaTeX-env-args ["argument"] 1)
    '("multlined" LaTeX-env-args ["argument"] 0)
    '("Vsmallmatrix" LaTeX-env-args ["argument"] 0)
    '("vsmallmatrix" LaTeX-env-args ["argument"] 0)
    '("Bsmallmatrix" LaTeX-env-args ["argument"] 0)
    '("bsmallmatrix" LaTeX-env-args ["argument"] 0)
    '("psmallmatrix" LaTeX-env-args ["argument"] 0)
    '("strip" LaTeX-env-args ["argument"] 0)
    '("system" LaTeX-env-args ["argument"] 0)
    '("darray" LaTeX-env-args ["argument"] 1)
    '("fleqn" LaTeX-env-args ["argument"] 0)
    '("VNiceMatrix" LaTeX-env-args ["argument"] 0)
    '("vNiceMatrix" LaTeX-env-args ["argument"] 0)
    '("BNiceMatrix" LaTeX-env-args ["argument"] 0)
    '("bNiceMatrix" LaTeX-env-args ["argument"] 0)
    '("pNiceMatrix" LaTeX-env-args ["argument"] 0)
    '("NiceMatrix" LaTeX-env-args ["argument"] 0)
    '("NiceArray" LaTeX-env-args ["argument"] 1)
    '("Parallel" LaTeX-env-args ["argument"] 2)
    '("parcolumns" LaTeX-env-args ["argument"] 1)
    '("pdfsidelinecomment" LaTeX-env-args ["argument"] 1)
    '("stabular" LaTeX-env-args ["argument"] 1)
    '("itembox" LaTeX-env-args ["argument"] 1)
    '("screen" LaTeX-env-args ["argument"] 0)
    '("measuredfigure" LaTeX-env-args ["argument"] 0)
    '("tablenotes" LaTeX-env-args ["argument"] 0)
    '("threeparttable" LaTeX-env-args ["argument"] 0)
    '("tram" LaTeX-env-args ["argument"] 0)
    '("WithArrows" LaTeX-env-args ["argument"] 0)))
 :latex)

